*COMDECK HISTORYL383     ***
 SC41412  FIX THE WAY RESTART GENERSTES EB/US FIELDS IN REQ REQUEST,
          CHANGE RST TO ALLOW CI DISPOSITION CODE 
          PAN    74/06/07  RST,RESTART
  
 SC41806C SC41806 CHANGED THE FORMAT OF THE PSEUDO-FET FOR DAYFILE AND
          CERFILE.
          WHEN THIS CHANGE WAS MADE, 1DF AND IEF WERE OVERLOOKED. 
          THIS WOULD CAUSE PROBLEMS IF A FULL DUMP IS DONE ON A FILE
          WHOSE BUFFER SIZE IS LESS THAN 100B.
  
          PFE IS MODIFIED TO SET A LARGE END OF FILE PRU COUNT
          FOR DAYFILE OR CERFILE
          RLM    74/05/29           1DF 
  
SC42546   MESSAGES ISSUED WITHOUT RECALL CAUSE
          OPERATOR ACTION MESSAGES TO BE LOST.
          JWB    05/20/74    LABELMS
 SC42753B PURGE DECK 1TD WHICH IS NO LONGER NEEDED AFTER FEAT61.
          DAD    74/05/28       1TD 
  
 SC42866  RESERVED NAME *AUDFILE* IS REPLACED BY *ZZZZZPC*. 
          AKS    74/06/12    AUDIT
          AKS    74/06/12    EPF
          AKS    74/06/12    PFCCP
  
SC41843A  SET EXACT BIT IN DIRECT STACK REQUEST TO PREVENT 1SP HANG 
          RLH    7/9/74      ADS
 RECOVERY CLEAN-UP CODE FOR DSM ABNORMAL EXITS. 
    JCL     6/6/74    DSM,MNT 
SC43015   RECOVER MODS TO ALLOW DIFFERENT RBR ORD. IN RBT CHAINS OF FILE
          (JCL)    07/29/74 
SC43041   IF A USER SET FILE IS OPENED AFTER BEING REQUESTED ON A FULL
          DEVICE, AND THE UP BIT  IS SET IN THE FET,  THE FIRST SEGMENT 
          OF THE CHAIN WILL HAVE NO RBS ASSIGNED. 
          SKH    7/30/74           1PK
SC43058   THIS CORRECTION IDENT STORES THE SUBDIRECTORY NUMBER FROM THE 
          PFD ENTRY, SO THAT IT CAN LATER BE PASSED ON TO 1FC TO BE 
          STORED IN THE PFC ENTRY.
          EG     74/07/30    PFE
SC43087   FIX TO ALLOW EXTEND ON SMALLER RBR THAN CATALOGED 
          RLH    8/6/74      PFE
 SC43088  THIS PSR CORRECTS A BUG IN 1PF THAT RESULTS IN PFA NOT
          FINDING OUT IF AN ARCHIVE RETRIEVAL ATTEMPT WAS UNSUCCESS-
          FUL.  THUS, PFA INITIATES ANOTHER ARCHIVE  RETRIEVAL
          AND THE PROCESS MAY GO ON FOREVER.
  
          CODE INTRODUCED INTO THE 1PF ARCHIVE RETRIEVAL CODE BY
          FEAT61B TO CALL 1TJ CLOBBERS W.PPMES4 AND W.PPMES5.  THUS,
          WHEN THE C1SO MACRO PLACES THE PP(PFA IS IN THE PPIR) INTO
          THE EVENT STACK, THE WRONG WORDS ARE SAVED(THE WORDS PFA
          NEEDS WHEN RE-LOADED THAT WERE IN W.PPMES4 AND W.PPMES5 HAVE
          BEEN CLOBBERED).
L380F    ***
L383F    ***
FEAT51A57 DO NOT COMPARE FLAG BYTE AND PERFORM COMPARISON FOR 
          THE CORRECT NO. OF BYTES. 
          AKS    74/06/12    FEAT51A23
FEAT51A58 1PC SHOULD NOT COMPARE FLAG BYTES DURING CHAIN COMPARISON 
          SKH    06/12/74    1PC
 FEAT53D91  SPF CHANGE - SPF IS USED FOR MULTI-MAINFRAME CATALOGS 
          THIS CHANGE CORRECTS DOCUMENTATION
          THIS CHANGE ADDS CHECK FOR FILE NOT ASSIGNED TO A DEVICE
          THIS CODE ADDS CORRECTIONS NEEDED FOR MST ORDINAL USE 
          LEW    74/06/07          SPF
  
 FEAT53D92  GPF CHANGE - GPF IS USED FOR MULTI-MAINFRAME ATTACHES 
          THIS CHANGE CORRECTS DOCUMENTATION
          THIS CODE ADDS CORRECTIONS NEEDED FOR MST ORDINAL USE 
          LEW    74/06/07          GPF
  
 FEAT53D93  1PG CHANGE - 1PG IS AN OVERLAY TO PFP USED FOR
          MULTI-MAINFRAME PURGES
          THIS CHANGE CORRECTS DOCUMENTATION
          THIS CODE ADDS CORRECTIONS NEEDED FOR MST ORDINAL USE 
          LEW    74/06/07          PFP
  
 FEAT7414 ADD CODE TO LDC FOR NEW 1SP INTERFACE.  THIS PREVENTS D/S FROM
          HANGING.
          GEL  74/07/07   LDC 
 FEAT7415 PREVENT LDCMR FROM MOVING DIRECTORY DOWN.  IF CM PRESENT ON 
          JOB CARD THEN FL IS CORRECT. ADD PASSWORD TO ZZZZCMR.  IF ECS 
          IS NOT UP THEN DO NOT REQUIRE A PO=I.  CORRECT SEVERAL DAYFILE
          MESSAGES. 
          GEL  74/07/07  LDCMR
L386     ***
SC40399   TO MODIFY RESTART SO THAT TWO WORD RECORDS ARE TREATED AS DATA
          IF THE CONTENTS DO NOT MATCH THE CKP FILE HEADER. ALSO, A 
          CHECK IS MADE FOR A POTENTIAL EOF FOR A NULL MASS STORAGE FILE
          BEFORE TRYING TO READ THE DATA. 
          PAN    74/07/19    RESTART
SC41771   MODIFIES 1PC TO CLEAR FNT ENTRY FROM BOTTOM UP INSTEAD OF 
          FROM TOP DOWN 
          KJJ  06/06/74  1PC
  
SC41787   FORCE PFC TO CHECK FOR UNASSIGNED TAPE AND
          ABORT INSTEAD OF HANGING
          KJJ 06/03/74 PFC
SC41936.  CHANGE *DUPLICATE PROGRAM NAME* FROM FATAL TO NONFATAL. 
          SRN.   74/07/21.   SEGBILD. 
  
SC42295   CODE CORRECTED TO PROTECT AGAINST THE JUMP FROM PFP TO 1PD
          BEING OVERWRITTEN BY THE 1PD IMAGE. 
          DLW 06/10/74 COMMON DECK DECKALL
  
 SC42317         TO ALLOW VSN WITH CHARACTER 0 TO THE 
                 RIGHT OF ANY NON-ZERO CHARACTER. 
                 JCL    74/06/06    RECOVER 
  
 SC42419  CODE TO NEWAPF ROUTINE TO CHECK RETURN ON REQUEST FOR APF I/L 
       AKS   6/10/74     PFA,LPF
  
SC42468   CODE CORRECTED TO ACCEPT A BLANK AS A VALID SEPARATOR BETWEEN 
          THE MOUNT KEYWORD AND THE FIRST PARAMETER.
          DLW 06/04/74 COMMON DECK COMCUPC
  
SC42608.  EXECUTION PARAMETERS PASSED PROPERLY WHEN 
          LDSET(LIB=LIBNAME) USED IN AN OVERLAY LOAD. 
          SBJ.   74/06/27.   OGBLOAD. 
  
 SC42633. CORRECT AUTO-RECALL ERROR WHEN LOADER REQUESTS MORE MEMORY
          DUE TO TABLE OVERFLOW.
          SBJ.   74/06/26.   CCBLOAD,UCBLOAD. 
  
SC42653   ABORT ON CALLS TO AUX FROM OTHER THAN SYSTEM OVERLAYS 
          KJJ 06/03/74 AUX
  
SC42664   LACK OF SYMBOLIC REFERENCE IN PFM COMDECK DECKALL. FIXED VALUE
          REPLACED WITH SYMBOLIC REFERENCE. 
          DLW 06/04/74 COMMON DECK DECKALL
  
SC42671   DECREMENTS ACTIVITY COUNT BEFORE RETURNING RC012 IN 
          CASES OF ATTACH FN = 16B AND PFN .NE. *DUM* 
          KJJ 06/05/74 PFA
  
 SC42710. RETURN FILES ZZZZZ03, ZZZZZ04, AND ZZZZZ06 AT 
          START OF LOAD.
          SBJ.   74/07/02.   CCBLOAD,UCBLOAD. 
  
SC42776   CODE CORRECTED TO CLOSE AND UMLOAD THE TAPE AFTER AN OPERATOR 
          DLW 06/13/74 DUMPF
  
 SC42857. ISSUE FE104 IF ATTEMPTING TO LOAD AN ECS COMMON BLOCK 
          AND NO ECS IS AVAILABLE.  THIS CODE IS DEPENDENT ON 
          IP.MECS.
          SBJ.   74/07/03.   CCBLOAD,UCBLOAD. 
  
SC43011   THIS MOD ALLOWS QUEDUMP TO ACCEPT THE KINDS OF LABEL IT CAN 
          PROCESS WITHOUT OPERATOR INTERVENTION.
          RPM    74/07/17    QUEDUMP
  
**        SC43063    GMT.    74/07/17.    BLOAD,CCBLOAD.
*         IF THE LOADER IS NOT GIVEN ENOUGH FL FOR INPUT BUFFER 
*         AND MINIMUM-LENGTH TABLES, IT SHOULD ISSUE A MESSAGE
*         AND ABORT NICELY RATHER THAN GETTING A MODE 1.
  
SC43068   CORRECT ENTRY TO JUMP AROUND TABLES COMDECK 
          RLH    8/1/74   1QF 
FEAT51A66 CORRECT CHAIN PROBLEM WITH SYSTEM FILES WHOES NON-PERM
          EXTENTIONS BEGIN ON A WORD PAIR BOUNDRY.
          SKH    08/06/74          1PC
FEAT7419  MODIFIED LDCMR TO BYPASS SEGMENT LINKAGE CODE IN INDEXED
          GOTO IF ENTRY POINT IS IN RESIDENT. 
          GEL    74/08/01    LDCMR
FEAT7424  PREVENT LDC FROM DEADLOCKING DSD WHEN THE SYSTEM IS IN STEP 
          MODE AND LDC IS MOVING THE DIRECTORY. 
          GEL    74/08/01    LDC
 FEAT51A56       TO DETECT VACUOUS FILES RESIDING ON A SET DEVICE 
                 BEFORE THE DELSET FUNCTION IS PERFORMED. 
                 JCL    74/06/06    DLM 
FEAT51A64 THIS CORRECTION IDENT ALLOWS THE OLD RBTC ENTRY TO BE RELEASED
          WHEN IT IS BROUGHT INTO CM BY 1FC 
          EG     74/07/15    1FC
  
SC42965   THIS CODE PREVENTS BAD MTR REEUEST WHRN A JOB WITH MULTI-PRU
          RBTC ENTRY IN INPUT-QUEUE IS RERUN. 
  
          AKS    74/08/01    1QF
  
SC43104   THIS CODE PREVENTS MERGING PF LOGICAL RECORDS WHEN THE FILES
          ARE LOADED FROM 3.3 TAPE UNDER SCOPE 3.4.1/3.4.2. 
  
          AKS    74/08/13    LOADPF 
SC43132   SET EXACT BIT IN DIRECT WRITE REQUEST 
          RLH    8/14/74  DSM 
FEAT51A68 SYSTEM FILES OF ONLY ONE WORD PAIR GET CM CHAIN EVICTED ON
          DROPPED EDITLIBES.
          SKH    08/21/74          1PC
 FEAT53DB5 SPF CHANGE - CORRECT INTERLOCK ON ZZZZZPK FILE 
          LEW    74/08/24    SPF
  
 FEAT53DB6 GPF CHANGE - CORRECT INTERLOCK ON ZZZZZPK FILE 
          LEW    74/08/24    GPF
  
 FEAT53DB7 PFP CHANGE - CORRECT INTERLOCK ON ZZZZZPK FILE (1PG OVERLAY) 
          LEW    74/08/24    PFP (1PG)
  
FEAT11B   THIS CODE FIXES THE PROBLEM IN TRANSPF REGARDING BAD REQUEST
          MACRO 
          AKS    (09/06/74)  TRANSPF
FEAT51A69 THIS CORRECTION IDENT FIXES THE WRITE SUBROUTINE SO THAT IT 
          COPIES THE ENTIRE RBT CHAIN TO THE BUFFER.
          EG     74/08/27    PFE
FEAT51A71 4ES MUST CALL 1PK IN OVERFLOW MODE ON SKELATON OVERFLOW 
          WORD PAIRS.  1PK MUST BE TAUGHT TO PROCESS OVERFLOW WITH
          NO STACK REQUEST ORDINAL GIVEN. 
          SKH    09/09/74         1PK 
FEAT51A73 POSITION WITHIN PFC CHAIN NOT KEPT PROPERLY ON OVERFLOW 
          SKH    09/09/74 
 FEAT51A74       PREVENTS A SYSTEM ABORT DUE TO A CONVERSION OF THE 
                 DAM ORDINAL INTO A CM RBR ORDINAL (PSR S41B140)
  
                 FIXES A BAD AVAILABLE RB COUNT IN THE SMT AFTER
                 THE PURGE OF A PF RESIDING ON AN OFF-LINE MEMBER 
                 OF A USER SET (PSR SC43093)
  
                 PREVENTS RBT OVERFLOW WORD PAIRS WITH AN END OF
                 VOLUME EQUAL TO 7777B (PSR SC43091)
                 JRL  74/08/29  1PK 
 FEAT53DB8 PFP CHANGE - CHECK IF ST AND SN PARAMETERS BOTH APPEAR 
          IN THE FDB AND IF SO FATAL ERROR THE JOB. 
          ALSO CHECK IF PFP HAS BEEN RESTARTED DUE TO A MMF PURGE 
          OPERATION BEING COMPLETED.
          LEW    74/09/05    PFP(1PG),1PD,PFMESS
  
 FEAT53DB9 SPF CHANGE - CORRECT ZZZZZPK FILE SEARCH ENTRY 
          LEW    74/09/05    SPF
  
 FEAT53DC1 GPF CHANGE - 
          CHECK FOR ERROR FLAG ON CONTROL POINT AREA ON ENTRY 
          LEW    74/09/05    GPF
  
SC43079   AUDIT WILL CORRECTLY COMPUTE THE NO.OF RBS AND PRUS 
          ALLOCATED TO PERMANENT FILES. 
          AKS    (74/07/30)        AUDIT
  
 FEAT53DC6 SPF CHANGE - CORRECT SPF TO SET COMPLETE BIT ON ZZZZZPK FILE 
          IF ACTUAL FILE IS NOT FOUND 
          LEW    74/14/74    SPF
  
L389    *** 
 SC43364  PFP CHANGE - ADD PPENTRY MACRO  TO BEGINNING OF OVERLAY 1PG 
          THIS IS TO PREVENT READING INCORRECT FDB ADDRESS IF STORAGE 
          HAS BEEN MOVED DURING THE 1PG  LOAD 
          LEW    74/10/02    PFP(1PG) 
  
 SC43495  CLEARS THE FET ADDRESS FIELD IN THE INPUT FNT BEFORE SENDING
          IT TO 1QF, BECAUSE 1QF INTERPRETS THIS AS A DAYFILE FNT TO BE 
          PURGED. 
          BJP    11/1/74    RST 
L393     ***
 MMFCOM   ADD NEW MMF PF STAGING COMMON DECK - MMFCOM 
          LEW    74/10/30    MMFCOM 
  
SC40296   CODE FIXED TO ALLOW TRAILING BLANKS AFTER A LITERAL STRING
          IN PERMANENT FILE CONTROL CARDS.
          DLW 05/31/74 PFCCP
  
SC41964   CODE CORRECTED TO ACCEPT VALID SEPARATORS ON PERMANENT FILE 
          CONTROL CARDS.
          DLW 06/03/74 PFCCP
  
SC43102   CHANGE DIRECTIVE TERMINATOR TO BLANK INSTEAD OF ZERO
          SRN.   8/15/74.    SEGBILD. 
  
SC40665   TRUNCATE BLANK COMMON TO MAXIMUM JOB FIELD LENGTH WHEN
          IN REDUCE MODE. 
          THIS CODE IS DEPENDENT ON SC42599 BEING INSTALLED.
          SBJ    74/10/31    CCBLOAD,UCBLOAD
  
 SC40870  ISSUE FATAL ERROR IF EXECUTION FL REQUESTED BY USE
          OF THE MEM REQUEST IS REJECTED. 
          SBJ    74/09/05    CCBLOAD,UCBLOAD
  
 SC41670  FIXES BKSP TO GENERATE A CORRECT DIAGNOSTIC WHEN A USER 
          DOES NOT HAVE A LFN IN HIS CALL TO BKSP.
          ALSO BKSP HAS BEEN MADE ABSOLUTE
          74/07/03      BKSP
SC42515   QUEDUMP MAY HANG IN AUTO RECALL BECAUSE XDQ DOES NOT HAVE 
          THE FIELD ACCESS FLAG SET WHEN IT SETS THE COMPLETE BIT.
          RPM  74/09/06 XDQ 
SC42658   THIS CORRECTION IDENT ENHANCES PFDUMP SO THAT MORE TABLES CAN 
          BE DUMPED BESIDES THE PFD AND PFC 
          EG     09/19/74    PFDUMP,PFD 
SC42391   THIS CODE  PREVENTS LOADPF FROM LOSING LAST PRUS WHILE LOADING
          FILES ON DISK.
          AKS    9/16/74     LOADPF 
 SC42788A FILE CARD MISSING FOR LDSET FILES FILENAME.  THIS CODE
          IS FOR THE CASE WHEN THERE ARE FILE CARDS BUT NOT FOR 
          THE FILES NAMED ON THE LDSET FILES CARD.
          SBJ    74/09/10    OGBLOAD
  
  
          USE NEW FORM OF ABORT MACRO CALL
          MAA    74/09/16    LDCMR
SC42931   THE INTERLOCK WORD IN "1PD" WAS INCORRECTLY DEFINED 
          EL     08/28/74  1PD
  
 SC42981  CAUSE LOADER TO DELETE PROGRAMS THAT WERE PREVIOUSLY
          LOADED BEYOND THE CURRENT FIELD LENGTH. 
          SBJ.   74/09/03    CCBLOAD,UCBLOAD
  
           THIS CODE FOR SCOPE 3.4.2. 
           FIXES DSM TO CHECK DEVICE TYPE WHEN CHOOSING FILES FOR 1PC.
          JFR    8/28/74  DSM 
SC43142   DUMPF SHOULD CHECK FOR STRANGER TAPE FORMAT DUMTAPE 
          AKS    (09/17/74)  DUMPF
 SC43147  LOADER MAP LISTS LABELLED COMMON BLOCK NAMES ENCLOSED 
          BY SLASHES.  THIS CODE CORRECTS THIS FOR BLOCK NAMES
          WHOSE LEFTMOST CHARACTER IS A 5, 6, 7, 8, OR 9. 
          SBJ    74/09/05    CCBLOAD,UCBLOAD
  
 SC43179  ISSUE ERROR MESSAGE WHEN ENTRY POINT NAME SPECIFIED ON END DIR
          ECTIVE NOT FOUND
          SRN        9/23/74.      SEGBILD
  
SC43180.  SUPPRESS TREE DIAGRAM IF OVER 64 GENERATIONS. 
          SRN.   74/06/05.   SEGBILD. 
  
SC43206   LOADPF COUNTING EOF MARKS CORRECTLY WHEN A SCOPE 3.3 DUMTAPE
          IS LOADED UNDER 3.4.X SYSTEM. 
          AKS    (09/17/74)  LOADPF 
 SC43233  FIX FOR EPF USING THE OLD 3.4 ARCHIVE BIT IN PFD ENTRY
          JCL     09/10/74     EPF
 SC43235  SLOAD DOES NOT WORK 
          SRN    9/6/74      SEGBILD
  
 SC43249  ISSUE FATAL DIAGNOSTIC IF BAD BINARY TABLE. 
          SBJ    74/09/16    CCBLOAD,UCBLOAD
  
SC43274   TRANSPF WILL NOT MISS A JUMP ON ZERO VALUE
          AKS    74/06/25 
  
 SC43283  TO ELIMINATE EXTRANEOUS HEADER LINE IN MAP, 
          ISSUE PAGE EJECT AT END OF AN ODD PAGED  MAP WITHOUT
          INCREMENTING LINE COUNT.
          SBJ    74/09/25    CCBLOAD,UCBLOAD
  
 SC43416  SPF CHANGE - SET NO RERUN BIT FOR SAVEPF ACTION 
          LEW    74/10/10    SPF
  
 SC43586  SPG, GPF, PFP CHANGE -
          CORRECT MMF STAGING ROUTINES TO HANDLE THE CONDITION
          WHERE A SWAP/ROLL OUT IS IMPOSSIBLE 
          THIS INVOLVES CALLING C1SO WITH THE PROPER PARAMETERS TO
          GET CONTROL BACK IN ALL CASES AFTER THE C1SO CALL HAS BEEN
          MADE. 
          THIS MODIFICATION IS IMPLEMENTED BY BEGINNING TO
          PUT COMMON MMF PF STAGING FUNCTIONS WITHIN A COMMON DECK
          CALLED MMFCOM 
          LEW    74/10/30    GPG,SPF,PFP-1PG
  
SC43517   THIS CODE FOR 3.4.3 ON PL1B.
          FIXES MNT TO DROP SET I/L IN MST UNDER CHANNEL I/L. 
          JFR    10/30/74   MNT 
SC43518   THIS CODE FOR 3.4.3 ON PL1B.
          FIXES MNT TO CALCULATE SUBDIRECTORY SHIFT COUNT CORRECTLY.
          JFR    10/30/74   MNT 
 SC41562  ALLOW TRAPPER TO USE INTERNALLY ALLOCATED BUFFER SPACE
          FOR ALL FILES AND TRAP TABLES.
          ARS.   75/01/07.   TRAPPER. 
  
 SC43840  CHANGE VERSION IN HEADING TO 3.4.3. 
          SBJ    74/12/16    CCBLOAD,UCBLOAD,OGBLOAD
  
  
 SC43917  PREVENT LDCMR FROM ATTACHING ZZZZZ23 AT DEADSTART TIME
          PAP    75/01/08    LDCMR
  
SC43918      MODIFICATION FOR COMPATIBILITY WITH 3.4.4
             (BIT 59 SET IN THE 9TH WORD OF THE LABEL INDICATES 
             AN INVALID SDT)
             JRL  01/05/74  RECOVER 
L397     ***
 E009A    THIS CODE REMOVES THE ROUTINE COPYL FROM THE SCOPEPL
          IT WILL BE REINSERTED ON THE UPDATE PL
          74/09/16      COPYL 
SC40732   TO PROPERLY SET SP PATAM IN PP CALL TO CKP
          PAN    9/23/74     CHEKPT 
 SC41898  SCOPE 3.4 PPU ROUTINES *LDV* AND *LDW* ARE MODIFIED TO
          PROPERLY DIAGNOSE *INSUFFICIENT FIELD LENGTH* CONDITION 
          WHEN ISSUING STACK REQUESTS TO READ DISK RESIDENT 
          LIBRARY OVERLAYS. 
          CJL     10/29/74     LDV,LDW     SCOPE 3.4 ONLY 
 SC42337  PFR MOD TO REMOVE IP.PFACT
          JCL      12/10/74        PFR
 SC42337  1FC MOD TO REMOVE IP.PFACT
          JCL      12/10/74        1FC
SC42479   ADD MISSING "ENDX" CARD TO PFCD03 DECK
          JEC    74/10/03    PFCD03 
  
SC42658A  DROP FNT CHANNEL BEFORE EXITING ON ERROR
          EG     12/02/74    PFD
SC42795   MAKE AUDIT INITIALIZE THE VARIABLE IUNIT TO REMOVE
          DEPENDENCE ON LOADER PRESETTING CORE
          JEC    10/01/74    AUDIT
  
 SC42855  SCOPE 3.4 PPU ROUTINE *LDW* IS MODIFIED TO PROPERLY DIAGNOSE
          ERROR CONDITIONS FOR (SPECIAL CASE) *RUNG* (G-MODE) CALLS.
          CJL     10/31/74     LDW     SCOPE 3.4 ONLY 
 SC42952  SUPPLY LWA+1 IN THE LDV CALL WHEN LOADING OVERLAYS
          OF THE OVERLAY LOADER.  THIS SHOULD PREVENT LOADER TABLES 
          BEING OVERWRITTEN.
          SBJ    74/10/02    OGBLOAD
  
 SC43100 RETURNS THE COUNT OF ADDITIONAL RB-S SET BY RECOVER
         JDV 9/24/74 RECOVER
 SC43109 ALLOWS THE FL INCREASE TO COMPLETE SUCESSFULLY 
         IF THE REQUEST DOES NOT EXCEED CM ON THE JOB CARD
         OR THE INSTALLATION CM LIMIT 
         JDV 9/24/74 RECOVER
 SC43255  CHECK IF MEM REQUEST IS GRANTED WHEN MORE MEMORY IS NEEDED
          FOR OVERLAY LOAD. 
          SBJ    74/09/25    OGBLOAD
  
 SC43266  CORRECT MODE 1 ERROR ABORT IN OVERLAY LOADER WHEN 
          INSUFFICIENT FL FOR LOAD. 
          SBJ    74/09/25    OGBLOAD
  
  
**        SC43267    GMT.    74/10/24.    LDW.
*         PSR 
*         THIS MOD MAKES LDV ERROR MESSAGES (ACTUALLY ISSUED BY 
*         LDW) LESS CRYPTIC AND MORE USEFUL BY ADDING THE NAME
*         OF THE OVERLAY, FILE, ETC. WHICH WAS IN ERROR.
  
 SC43295A ADD TRANSF, TRANSR AND TRANSF$ TO PL1B. 
          PNB 20 SEP 74 
 SC43301 CORRECTS AN INCORRECT SHIFT COUNT FOR CHECKING SWAPOUT 
         IN PROGRESS. 
         JDV   10/3/74   1PK
 SC43347  FIX BULLUP TO USE XJ WHEN POSTING RA+1 REQUESTS.
          PNB MID NOV 74
SC43347A  MODIFIED PP CALLING SUBROUTINES TO USE SYS= SO THAT 
          AN XJ INSTRUCTION WILL BE USED IF POSSIBLE. 
          RFG  12/11/74  CHEKPT,RESTART 
SC43383   PROBLEM - 1PK CAN CAUSE PP SATURATION BY SWAPPING IN
          SEVERAL JOBS UNDER CH.SCH. USING THE SCHEDULER CHANNEL
          PREVENTS SCHEDULER - 1SI FROM PROCESSING ANY OF THE 
          REQUESTS
          SOLUTION - 1PK SHOULD USE CH.DDT RATHER THAN CH.SCH. A
          CHANNEL HAS TO BE USED TO PREVENT MORE THAN ONE COPY
          OF 1PK PROCESSING THE SAME PERMANENT PACK QUEUE JDT 
          RCS    74/10/14    1PK
 SC43397   RST DOESNOT RESTORE W.CPLDR3 . 
  
           IF THE OLD FL = 300B FOR A CHECKPOINT/RESTART ,
           1RC WILL ABORT ON A *BUFFER ARGUMENT ERROR* .
  
           IF 1RC ABORTS ON A CIO ERROR IT DOESNOT
           CLEAR THE * CP SUSPENDED BY CHECKPOINT * 
           BIT IN BYTE C.CPSTAT OF THE CONTROL POINT
           AREA . 
  
 10/14/74  DWW   RST,1RC
  
**        SC43428    GMT.    74/10/10.     LDV,LDW. 
* 
*         FIX LDV/LDW TO READ OVERLAY ENTRY POINT NAME FROM CM
*         BEFORE LOADING OVERLAY ON TOP OF IT.
  
SC43491   3.3 SCOPE DUMTAPE WHEN LOADED UNDER 3.4 LEVEL PRINTS GARBAGE
          WHEN IT IS IN SKIP MODE.
        AKS      (10/24/74)  LOADPF 
 SC43751  MMFCOM,SPF,GPF,PFP(1PG) CHANGE - MOVE THE CHECK FOR NO JDT
          (DIS CONTROL POINT) AND FOR JOB BEING LOCKED IN TO THE
          MMF COMMON DECK - MMFCOM.  THIS WILL STANDARDIZE THESE
          CHECKS FOR ALL THE MMF ROUTINES 
          LEW    74/11/05    MMFCOM, SPF, GPF, PFP(1PG) 
  
 SC43752  MMFCOM,SPF,GPF,PFP(1PG) CHANGE - CORRECT CHECK FOR PROPER 
          LAST PRU WRITTEN AFTER THE PACKET IS WRITTEN TO DISK. 
*         PREVIOUSLY THERE WAS NO CHECK MADE TO SEE IF AN RB BOUNDARY 
*         WAS CROSSED 
          LEW    74/11/05    MMFCOM, SPF, GPF, PFP(1PG) 
  
SC43922   1QF CANNOT HANDLE 102 OR 103 TYPE LINKS ON NORMAL DEAD START
          RPM  01/10/75  1QF
SC43923   1QF LOST PRE DAYFILE ON NORMAL DEADSTARTS 
          RPM  01/10/75  1QF
SC43940   XJK MACROS
          JSB  01/14/75  1QF
SC43951   1QF DOES NOT UPDATE MST ORDINAL IN C.FIOQ ON NORMAL D.S.
          RPM  01/15/75  1QF
 CP103B   *LDL*, *LDV*, AND *LDW* ARE MODIFIED TO INTERFACE PROPERLY
          WITH THE *CYBER LOADER*.  MODIFICATIONS ARE TO ALLOW A USER 
          LIBRARY TO OVERRIDE A SYSTEM LIBRARY OF THE SAME NAME WITH
          THE EXCEPTION OF THE SYSTEM LIBRARY *NUCLEUS* WHICH IS
          SPECIAL CASED AND CANNOT BE OVERRIDEN.  THE FOLLOWING DECKS 
          AND/OR COMMON DECKS ARE PURGED FROM *PL1B* SINCE THEY (OR 
          THEIR REPLACEMENTS) WILL NOW RESIDE ON *PL1E*  -- 
          *LDRTEXT*, *SEGBILD*, *SEGRES*, *LOADREL*, *BLOADC*, *BLOAD*, 
          *BLOADM*, *CCBLOAD*, *UCBLOAD*, *UCLOAD*, *LIBRARY*,
          *TRAPCOM*, *TRAP*, AND *TRAPPER*. 
          *LOADO* IS MODIFIED TO INTERFACE WITH THE *CYBER LOADER*. 
          CJL    01/06/75    LDL LDV LDW OGBLOAD    SCOPE 3.4 FEATURE 
L393     ***
 HDS        NEW DECK PP PROGRAM FOR POST DEADSTART
            VMS  01/20/74    HDS
 FEAT51B01  ADDSET PUBLIC DEVICES IN POST DEADSTART MODE
            VMS  01/21/74    COMSDSS
 TMT       NEW PP ROUTINE TO HELP RECOVER 
           JRL   08/08/74    TMT
 FEAT51B03  MOUNT PUBLIC DEVICES IN POST DEADSTART MODE 
            JCL  12/14/73    MNT
 FEAT51B04  PROCESS THE DS AND EST PARAMETERS FOR MOUNT AND ADDSET
            VMS  01/21/74    SETCCP 
 FEAT51B05  RESOLVE CODE CONFLICT INTRODUCED BY FEAT51B01 
            VMS  02/06/74    LABELMS
 FEAT51B06  RECOVER PUBLIC DEVICES IN POST DEADSTART MODE 
            HJB  02/18/74    RECOVER
 FEAT51B20  HANDLE MULTIPLE RBR-S AND VARIABLE RB SIZES 
            VMS  04/15/74    COMSDSS
 FEAT51B21  FIND LABEL WHEN RB SIZE IS NOT YET KNOWN
            VMS  04/15/74    COMPFLB
 FEAT51B22  LABEL PUBLIC DEVICES IN POST DEADSTART MODE 
            ALLOW MULTIPLE RBR-S AND VARIABLE RB SIZE 
            VMS  04/15/74    LBL
 FEAT51B28  LABEL PUBLIC DEVICES IN POST DEADSTART MODE 
            LABEL MULTIPLE RBR AND VARIABLE RB SIZE.
            VMS  04/15/74    LABELMS
 FEAT51B33  MOUNT DEVICES WITH VARIABLE RB SIZES
            CAK  04/15/74    MNT
 FEAT51B85 RESOLVE FEATURE AND PSR CONFLICT 
           JCL   08/08/74    DSM
 FEAT51B45  DAT-DDT NEW TABLE FORMATS 
            YWH  04/15/74    DLM
 FEAT51B53  USE LOWER 6 BITS ONLY OF PF DEFAULT MST ORDINAL 
            RPM  04/22/74    DSM
 FEAT51B54  FIXED AND VARIABLE DDT ENTRIES DIFFERENT
            RPM  04/22/74    DECKALL
 FEAT51B56  NEW DDT-DAT WORD FORMAT 
            YWH  04/15/74    MNT
 FEAT51B46  DAT-DDT NEW TABLE FORMATS 
            YWH  04/15/74    DSM
 FEAT51B48  DAT-DDT NEW TABLE FORMAT
            YWH  04/15/74    1PK
 FEAT51B75  AT LABEL TIME DO NOT SET BITS FOR LFT IN LFT
            VMS  05/28/74    LABELMS
 FEAT51B76  ENABLE LABELMS TO RUN WITH EITHER THAE OLD OR NEW 
            DDT FORMAT DEPENDING ON THE TEXT USED 
            VMS  05/28/74    LBL
 FEAT51B77  MOUNT PUBLIC DEVICES IN POST DEADSTART MODE 
            CAK  05/28/74    MNT
 FEAT51B82  MJLTIPLE RBR-S AND VARIABLE RB SIZE 
            CAK  05/31/74    DSM
 FEAT51B83  UPDATE AUX TO USE NEW COMSDSS 
            VMS  05/30/74    AUX
 FEAT51B58  REDUCE 1PK SIZE 
            YWH  04/30/74    1PK
 FEAT51B55  DAT-DDT NEW TABLE FORMAT
            YWH  04/15/74    TAT
 FEAT51B52  ONLY 6 BITS FOR DEFAULT PF MST ORDINAL
            RPM  04/22/74    1DF
 FEAT54C01  NO SUBDIRECTORY COUNT 
            AKS  01/22/74    PFCD03 
 FEAT54C02  NO SUBDIRECTORY COUNT 
            AKS  01/22/74    DECKALL
 FEAT54C03  NO SUBDIRECTORY COUNT 
            AKS  01/22/74    PREAMB 
 FEAT54C04  NO SUBDIRECTORY COUNT 
            AKS  01/22/74    PFC
 FEAT54C05  NO SUBDIRECTORY COUNT 
            AKS  01/22/74    PFA
 FEAT54C06  NO SUBDIRECTORY COUNT 
            AKS  01/22/74    LPF
 FEAT54C07  NO SUBDIRECTORY COUNT 
            AKS  01/22/74    PFP
 FEAT54C08  NO SUBDIRECTORY COUNT 
            AKS  01/22/74    PFR
 FEAT54C09  NO SUBDIRECTORY COUNT 
            JCL  01/22/74    EPF
 FEAT54C10  NO SUBDIRECTORY COUNT 
            JCL  01/22/74    ADS
 FEAT54C11  NO SUBDIRECTORY COUNT 
            JCL  01/22/74    DSM
 FEAT54C12  NO SUBDIRECTORY COUNT 
            JCL  01/22/74    MNT
 FEAT54C13  NO SUBDIRECTORY COUNT 
            JCL  01/22/74    TPF
 FEAT54C14  NO SUBDIRECTORY COUNT 
            JCL  01/22/74    COMSDSS
 FEAT54C15  NO SUBDIRECTORY COUNT 
            AKS  01/22/74    AUDIT
 FEAT54C16  NO SUBDIRECTORY COUNT 
            JCL  01/22/74    LABELMS
 FEAT54C19  NO SUBDIRECTORY COUNT 
            AKS  01/22/74    CPAUDIT
 FEAT54C20  NO SUBDIRECTORY COUNT 
            JCL  01/22/74    TRANSPF
 FEAT54C21  NO SUBDIRECTORY COUNT 
            JCL  01/22/74    COMPSDF
 FEAT54B01  RELEASE RBT CHAIN AT DISMOUNT TIME
            JCL  11/28/73    DSM
 FEAT54B02  CREAT RBT CHAIN FOR DAM AT MOUNT TIME AND SAVE
            RBT ORDINAL IN MST
            JCL  11/28/74    MNT
 FEAT54B03  FLAW CM RBR FOR SHARED DEVICES AT MOUNT TIME
            JCL  11/28/73    MNT
 FEAT54B07  PROCESS OVERFLOW ON SHARED RMS
            HJB  02/15/74    1PK
 FEAT54B1   REMOVE INCOMPATIBILITIES BETWEEN 51B AND 54B
            CAK  04/15/74    MNT
 FEAT54B11  USE C.RBTFB SYMBOL WHEN NEEDED
            SKH  03/11/74    DSM
 FEAT54B12  REMOVE INCOMPATIBILITY BETWEEN FEAT51A AND 54B01
            TABLE CHAIN EVICTS
            SKH  03/16/74    DSM
FEAT54B13   SOLVES CONFLICT BETWEEN 54B03 AND 51B33 
            CAK  04/15/74    MNT
 FEAT51B88 ADD SYMBOL W.LBLWA TO THE LABEL SYMBOLS -- LWA+1 OF USED AREA
          OF THE LABEL. 
          ALSO RE-INSERT THE SYMBOLS W.LBSD AND C.LBSD. 
          JSB  06/26/74  COMSDSS
 FEAT51BA6 BUG FIXES TO FEAT51B20 
          VMS    07/02/74    COMSDSS
 FEAT51B87 REPLACEMENT OF ADS FOR MULTIMAINFRAME FEAT51BA.
          INCLUDES MULTI-RBR AND VARIABLE-RB-SIZE CAPABILITY, AND 
          UPGRADES FOR GENERALIZED-SETS DEADSTART.
          JSB 6/26/74 ADS 
  ADS     THIS ADDS A NEW ADS DECK, THEREFORE WE HAVE THE FEAT51B87 ID
          FOR THE PURGE AND PURDECK, AND THEN A NEW *IDENT ADS. 
          JSB 06/26/74 ADS
 FEAT51BC4 CORRECT A PROBLEM IN ADS WHERE IT FAILS TO FIND THE MST. 
          AFFECTS ONLY DEADSTART UNDER MOST CIRCUMSTANCES.
          ALSO MEMBER ADDSET WILL BOMB WITH *DAM/RBR DISCREPANCY*.
            JSB  07/18/74  ADS
FEAT51BE2  FIX ADS ASSIGNMENT-ERROR MESSAGES SO THEY DONT GET CLEARED 
          FROM THE SCREEN.
            JSB   008/09/74   ADS 
 FEAT51B91       THIS CODE REMOVES 3 EXTRANEOUS CARDS INSERTED
                 BY THE DUPLICATOR WHEN FEAT51B33 WAS TRANSMITTED.
                 THIS CODE GETS AROUND THE FATAL ERROR MESSAGE
                 *NOT ENOUGH BIT TABLE SPACE IN CM*.
                 JFR    6/28/74    MNT
 FEAT51BC5  THE PURPOSE OF THIS CODE IS TO CORRECT TWO PROBLEMS 
          IN MNT. THE FIRST WAS THAT MNT WAS CLEARING THE SET 
          INTERLOCK IN THE MST IN THE CASE OF POST DEADSTART MNT
          OF A PUBLIC DEFAULT SET. THE SECOND PROBLEM WAS THAT
          THE MST ORDINAL WAS NOT SAVED IN THE SET FNT FOR
          THE SAME CASE AS PREVIOUS.
          CAK    JULY 25,1974     MNT 
 FEAT51BA5 BUG FIXES TO FEAT51B28 
          VMS    07/02/74    LABELMS
 FEAT51BD8 OBTAIN DEVICE TYPE FROM RBR IF NO DT IS SPECIFIED
          VMS    08/01/74    LABELMS
FEAT51BB0 THIS CODE ALLOWS RECOVER TO RUN IN FIVE DIFFERENT MODES 
                                       USER SET 
                                       INITIAL DEARSTART
                                       SECONDARY DEADSTART
                                       RECOVERY DEADSTART 
                                       CLEAN-UP 
                                       ERROR LISTING (DS MODE)
          JRL  74/04/22  RECOVER
FEAT51BD6   CROSS CHECK SMT/LFT FOR MULTIPLE RBR DEVICES
            JRL  07/31/74    RECOVER
FEAT51B89  REMOVE THE USAGE OF TEH SYMBOL -T0- FROM COMPFLB BECAUSE IT
          IS D.Z0.   INSERT INSTEAD, EXPLICIT REFERENCES TO D.Z0, WITH
          WARNING COMMENTS. 
          JSB   06/26/74   COMPFLB
 FEAT51BA4 ALLOW FOR SHARE IO IN LABEL READING/WRITING
          VMS    07/02/74    COMPFLB
 FEAT51BA2 BUG FIXES TO FEAT51B22 
          VMS    07/02/74    LBL
 FEAT51BA3 LBL CHANGES TO MATCH COMPFLB FOR SHARED IO 
          VMS    07/02/74    LBL
 FEAT51BEO  BUG FIXES TO 51B 1PK CODE 
          VMS    08/01/74    1PK
 FEAT51BA9  INTERFACE TO NEW COMPFLB
         (FEAT51B21)
     JRL   7/3/74   TAT 
THIS CODE IS DEPENDANT ON FEAT51B21 
 FEAT51BD9  BUG FIXES TO 51B DSM CODE 
          VMS    08/01/74    DSM
FEAT54B21      USE NEW COMPFLB WITH I/L STACK REQUEST 
                 I/O ERRORS CAN NOW RETURN POSITIVE + NON-ZERO. 
                 JFR    6/28/74    MNT
FEAT54B17 REMOVE CODE TO USE THE FIELD FOR USABLE RBS AS AVALABLE 
          ON THE DAM. 
          RPM  74/07/02  MNT
FEAT51C09 THIS MODIFIES THE PERMANENT FILE MANAGER TO SEARCH BOTH C. P. 
          ZERO AND ITS OWN CONTROL POINT FOR SET FNT S.  IF ONE EXISTS
          AT BOTH C. P. S THE JOB CONTROL POINT IS GIVEN PREFERANCE.
          RPM  74/06/19 
FEAT51C10 THIS MODIFIES THE PERMANENT FILE MANAGER TO SEARCH BOTH C. P. 
          ZERO AND ITS OWN CONTROL POINT FOR SET FNT S.  IF ONE EXISTS
          AT BOTH C. P. S THE JOB CONTROL POINT IS GIVEN PREFERANCE.
          RPM  74/06/19 
FEAT51A70 THIS CORRECTION IDENT FIXES PFE SO THAT THE LAST PRU+1 IN 
          THE RBT CHAIN IS ALWAYS UPDATED.
          EG     74/09/09    PFE
FEAT54B25 FIXES A BUG DUE TO FEAT54B17 MODS IN MOUNT
          THE BYTE 4 OF THE 2D RBR HEADER WORD STILL USED FOR THE 
          TOTAL NUMBER OF RBS INSTEAD OF THE NUMBER OF RBS AVAILABLE
          IN THE DAM
          JRL  09/18/74  1PK
FEAT54C85 THIS CODE SAVES SPACE IN NEWAPF 
          EG     09/12/74    NEWAPF 
 FEAT54C72     SPACE SAVING CODE FOR PFA
               JCL      08/29/74     COMDECK RSVAPF 
 FEAT54C60     SINGLE I/L CODE FOR COMDECK COMPSDF
               JCL     08/19/74     COMPSDF COMDECK 
 FEAT54C58     SINGLE PFM I/L CODE FOR COMDECK PFMESS 
               JCL     08/19/74     PFMESS COMDECK
FEAT54C56        SINGLE INTERLOCK AND DEVICE INTERLOCK CODE FOR AUX 
          AKS    08/19/74    AUX
FEAT54C68 SINGLE INTERLOCK AND REMOVING OF 51BB COMPATIBILITY CODE FOR
          AUX 
          AKS    (08/29/74)  AUX
FEAT54C80 INTRODUCTION OF SR I/L INTERNAL FLAG AND ITS PROCESSING 
          AKS    09/08/74    AUX
 FEAT54C47     SINGLE PFM I/L CODE FOR DSM
               JCL     08/19/74     DSM 
 FEAT54C59     SINGLE PFM I/L CODE FOR EPF
               JCL     08/19/74     EPF 
 FEAT54C30 THIS CODE IMPLEMENTS THE MMF INTERLOCK WORD IN THE PFC ENTRY 
           EG    08/20/74    LPF
FEAT54C51        SINGLE INTERLOCK AND DEVICE INTERLOCK CODE FOR LPF 
          AKS    08/19/74    LPF
FEAT54C67 THIS CODE ALLOWS SECOND ARCHIVE RETRIEVAL INITIATED JOB TO
          LOAD THE FILE EVEN IF THE FIRST ARCH. RET. INITIATED JOB IS 
          DROPPED WHILE LOADING OF FILE WAS IN PROCESS. 
          AKS    (08/29/74)  LPF
FEAT54C77 FIXES FOR BUGS IN LPF 
          AKS    09/08/74    LPF
 FEAT54C26 THIS CODE IMPLEMENTS THE MMF INTERLOCK WORD IN THE PFC ENTRY 
           EG    08/20/74    PFA
 FEAT54C37     SINGLE PFM I/L CODE FOR PFA
               JCL     08/19/74     PFA 
 FEAT54C63     PFA SPACE SAVING CODE
               JCL     08/29/74     PFA 
FEAT54C75 SAVE SPACE IN PFA, FIX TURNKEY BUG, AND FIX MULTIPRU
          INTERLOCK BUG 
          EG     09/12/74    PFA
 FEAT54C57 THIS CODE IMPLEMENTS THE MMF INTERLOCK WORD IN THE PFC ENTRY 
           EG    08/20/74    PFC
 FEAT54C36     SINGLE PFM I/L CODE FOR PFC
               JCL     08/19/74     PFC 
 FEAT54C61     1FC SPACE SAVING CODE, PFC TO RESERVE PFM I/L FOR 1FC
               JCL     08/29/74     PFC 
 FEAT54C27 THIS CODE IMPLEMENTS THE MMF INTERLOCK WORD IN THE PFC ENTRY 
           EG    08/20/74    PFE
 FEAT54C38     SINGLE PFM I/L CODE FOR PFE
               JCL     08/19/74     PFE 
 FEAT54C39     SINGLE PFM I/L CODE FOR PFP
               JCL     08/19/74     PFP 
 FEAT54C86     PFP BUG FIX FOR RECOVERY AFTER BROKEN CONNECT
               JCL     09/10/74     PFP 
FEAT54C53        SINGLE INTERLOCK AND DEVICE INTERLOCK CODE FOR PFR 
          AKS    08/19/74    PFR
FEAT54C73 CLEANUP ON SINGLE INTERLOCK CODE
          AKS    (08/29/74)  PFR
FEAT54C52        SINGLE INTERLOCK AND DEVICE INTERLOCK CODE FOR PFS 
          AKS    08/19/74    PFS
 FEAT54C31 THIS CODE IMPLEMENTS THE MMF INTERLOCK WORD IN THE PFC ENTRY 
           EG    08/20/74    1FC
 FEAT54C40     SINGLE PFM I/L CODE FOR 1FC
               JCL     08/19/74     1FC 
 FEAT54C50     1FC SPACE SAVING CODE
               JCL     08/29/74     1FC 
FEAT54C66 THIS CODE ALLOWS SECOND ARCHIVE RETRIEVAL INITIATED JOB TO
          LOAD THE FILE EVEN IF THE FIRST ARCH. RET. INITIATED JOB IS 
          DROPPED WHILE LOADING OF FILE WAS IN PROCESS. 
          AKS    (08/29/74)  1FC
 FEAT54C28 THIS CODE IMPLEMENTS THE MMF INTERLOCK WORD IN THE PFC ENTRY 
           EG    08/20/74    1PC
FEAT54C55        SINGLE INTERLOCK AND DEVICE INTERLOCK CODE FOR 1PC 
          AKS    08/19/74    1PC
FEAT54C69 SINGLE INTERLOCK AND REMOVING OF 51BB COMPATIBILITY CODE FOR
          AKS    (08/29/74)  1PC
          1PC 
FEAT54C79 INTRODUCTION OF SR I/L INTERNAL FLAG AND ITS PROCESSING 
          AKS    09/08/74    1PC
 FEAT54C41     SINGLE PFM I/L CODE FOR 1PD
               JCL     08/19/74     1PD 
 FEAT54C70     SEETING CELLS IN 1PD 
               JCL     08/29/74     1PD 
 FEAT54C42     SINGLE PFM I/L CODE FOR 1PF
               JCL    08/19/74     1PF
 FEAT54C29 THIS CODE IMPLEMENTS THE MMF INTERLOCK WORD IN THE PFC ENTRY 
           EG    08/20/74    1QF
FEAT54C54        SINGLE INTERLOCK AND DEVICE INTERLOCK CODE FOR 1QF 
          AKS    08/19/74    1QF
FEAT54C74 CLEANUP ON SINGLE INTERLOCK CODE
          AKS    (08/29/74)  1QF
FEAT54C78 INTRODUCTION OF SR I/L INTERNAL FLAG AND ITS PROCESSING 
          AKS    09/08/74    1QF
 FEAT54C35 THIS CODE IMPLEMENTS THE MMF INTERLOCK WORD IN THE PFC ENTRY 
           EG    08/20/74    DECKALL
 FEAT54C46     SINGLE PFM I/L CODE FOR COMDECK DECKALL
               JCL     08/19/74     COMDECK DECKALL 
 FEAT54C49     ALLOW CONTROL POINT ABORT FOR STACK REQUEST ERROR
               JCL     08/29/74     COMDECK DECKALL 
 FEAT54C65 DUCUMENTATION CORRECTION 
           EG    08/30/74    DECKALL
FEAT54C76 SAVE SPACE IN DECKALL AND FIX INTERLOCK BUG WITH MULTIPRU 
          FILES 
          EG     09/12/74    DECKALL
 FEAT54C33 THIS CODE IMPLEMENTS THE MMF INTERLOCK WORD IN THE PFC ENTRY 
           EG    08/20/74    PFCELLS
 FEAT54C43     SINGLE PFM I/L CODE FOR COMDECK PFCELLS
               JCL     08/19/74    COMDECK PFCELLS
 FEAT54C71     ADD CELLS TO COMDECK PFCELLS FOR SR I/L FLAG 
               JCL     08/29/74     COMDECK PFCELLS 
 FEAT54C34 THIS CODE IMPLEMENTS THE MMF INTERLOCK WORD IN THE PFC ENTRY 
           EG    08/20/74    PREAMB 
 FEAT54C44     SINGLE PFM I/L CODE FOE COMDECK PREAMB 
               JCL     08/19/74     COMDECK PREAMB
 FEAT54C32 THIS CODE IMPLEMENTS THE MMF INTERLOCK WORD IN THE PFC ENTRY 
           EG    08/20/74    TABLES 
 FEAT54C45     SINGLE PFM I/L CODE FOR COMDECK TABLES 
               JCL     08/19/74     COMDECK TABLES
 FEAT54C62     ASSEMBLEY ERROR FIX FOR TPT
               JCL     08/28/74     TPT 
 FEAT54C64 DOCUMENTATION CORRECTION 
           EG    08/30/74    TABLES 
FEAT54C84 THIS CODE SAVES SPACE IN PFCD03 
          EG     09/12/74    PFCD03 
 FEAT54C97     BUG FIX TO 1FC FOR LOADPF(LP=R) CHAIN EVICT PROBLEM
               JCL    10/11/74     1FC
FEAT51BM2 THIS CODE FOR SCOPE 3.4.4 ON PL1B.
          FIXES CALCULATION OF RBR TABLE LENGTH.
   MNT    JFR    10/08/74 
 FEAT54CA8     RSVAPF COMDECK MOD TO PUT MST ORDINAL IN APF RESERVED
               EMPTY SLOT.
               JCL     10/23/74     RSVAPF COMDECK
 FEAT54C94     DECKALL MOD TO HANDLE UTILITY BIT  PROPERLY
               JCL     10/11/74     DECKALL COMDECK 
 FEAT54C95     PFA MOD TO HANDLE UTILITY BIT PROPERLY 
               JCL     10/11/74     PFA 
 FEAT54C96     PFC MOD TO HANDLE UTILITY BIT PROPERLY 
               JCL     10/11/74     PFC 
 FEAT54C98     PFE MOD TO HANDLE UTILITY BIT PROPERLY 
               JCL     10/11/74     PFE 
FEAT54CC0 PFS ISSUED SR I/L BEFORE IT GETS THE PFM I/L. 
          AKS    (10/31/74)  PFS
 FEAT54C99     PFP MOD TO HANDLE UTILITY BIT PROPERLY 
               JCL     10/11/74     PFP 
 FEAT54CB1     1FC FIX TO DROP SR I/L BEFORE CALLING OVERLAY 2FC
               JCL    10/23/74     1FC
FEAT54CB0 RESERVE MST CHANNEL FOR DROPPING PFM INTERLOCK
          EG     10/23/74    DECKALL
 FEAT54CC2     PFC MOD TO FIX SR I/L PROBLEM. 
               JCL    11/07/74     PFC
 FEAT54CC7     PFE TO DROP SR I/L BEFORE CALLING 1FC
               JCL    11/20/74     PFE
L397     ***
FEAT51BZ2 FIX PURGE,ST=LID FOR LID EQUAL LOCAL ID 
          RLH    1/7/75            PFP
FEAT54CA1 SR I/L NOT NEEDED FOR AUX FUNCTIONS CALLED BY TRANSPF 
          AKS    (10/09/74) 
FEAT54CA5 FIX FOR TRANSPF 
          AKS    (10/09/74)  LFP
FEAT54CA4 THIS CORRECTION IDENT STORES THE MSTORD IN THE FNT FOR THE
           SPECIAL CASE (DUMPF MO=3 OF ARCHIVED FILE) 
          EG     09/25/74    PFA
 FEAT54CE2     PFR FIX FOR ACCOUNTING MESSAGE BUG 
               JCL    12/17/74     PFR
L401     ***
 E025     ADDS CODE TO RETURN CHECKPOINT NUMBER TO CALLER 
          RFG    02/19/75    1RC
SC41278   CAUSES QUEDUMP TO CHECK STATUS OF I/O FOR PARITY
         RPM  12/31/74  QUEDUMP 
SC42376   FIXES MNT TO ABORT WITH USER ERROR *DEVICE NOT MEMBER OF SET* 
          WHEN FAMILY PACK OF SAME SETNAME FOUND AT THE CONTROL POINT.
          THIS CODE FOR SCOPE 3.4.3 ON PL1B 
          MNT   2/3/75   JFR
 SC42435  COMPARE WAS GIVING A MODE 1 WHEN AN LFN GREATER 
          THAN 7 CHARACTERS WAS USED. THIS WAS CAUSED BY A BAD CALL 
          TO THE ERROR MESSAGE SUBROUTINE.
                        COMPARE 
 SC42712  APPLIES TO SCOPEPL2 ONLY. 
          THIS CODE ALLOWS CPC, AFTER PUTTING A MONITOR REQUEST 
          INTO RA+1, TO DO AN   XJ    IF BIT 59 OF RA+66B IS 1. 
          THIS BIT IS SET BY THE SYSTEM TO TELL USER JOBS WHETHER 
          XJ IS AVAILABLE OR NOT. 
          AFRB 02/12/75   CPCOM 
SC42719   TO HAVE TAPE LABELS CHECKED WHEN RESTARTING 
         PAN    74/10/07             RESTART
SC42726   CHECKS IF THE FILE IS REWOUND BEFORE CHANGING THE FIRST 
          WORD PAIR. THE FIRST WORD PAIR IS NOT CHANGED IF THE FILE 
          IS REWOUND. 
          JDV    12/06/74     PFE 
SC43081   DUMPF ABORTS WITH "ILLIGAL UNIT SPECIFIED" WHEN DOING A 
          UNIT DUMP OF THE LAST RBR IN THE EST. 
          AKS    (01/08/75)  DUMPF
SC43198   LOADPF DOES NOT STOP IF PFC IS FULL.
          AKS    (01/29/75)  DECKALL
SC43508   CORRECTIONS TO DESCRIPTION OF INSTALL. PROC. FOR
          ACCOUNTING ON ARCH. RET. JOB
          RLH    11/7/74   1PF
SC43510   WHEN ARCH. RET. INITIATED LOADPF IS DROPPED,IT ISSUES A BMR,
          IF FILE HAS ALREADY LOADED BY ANOTHER LOADPF JOB. 
 SC43581  LDV DOCUMENTATION CORRECTION. 
          SBJ    75/01/22    LDV
  
SC43729   SET FNT BUSY DURING PURGE OF PF 
          RLH    12/5/74     PFP
SC43843   CONDITIONALLY DELETES PFN MESSAGE FROM INIT WHEN
          ASSEMBLED BY 1FC. 
          JDV   12/30/74     INIT 
SC43846   DAYFILE,CP,FULL.   ACTUALLY DOES   DAYFILE,CP.
          RLM    75/01/02          1DF
 SC43965     EPF FIX FOR AUDIT ACCOUNTING PROBLEM.
             JCL    01/15/75     EPF
SC44054   FIX 9 TRACK LOADPF FOR ODD IP.US
          SKH    02/10/75    LOADPF 
SC44087   LOADPF LOADS FILES ON WRONG VSN 
          AKS    (01/24/75)  LOADPF 
SC44130   AUDIT GENERATES A BAD TOTAL ALTER/REWRITES COUNT AT THE END 
          OF AUDIT. 
          AKS    (02/19/75)  AUDIT
 SC44179  *LDV* AND *LDW* ARE MODIFIED TO PROCESS SYSTEM LIBRARY
          OVERLAY LOADS PROPERLY WHEN CM/ECS ADDRESSES ARE FLAGGED
          AS INVALID BY *EDITLIB*, AND TO GO INTO RECALL IF WAITING 
          FOR *EDITLIB* TO FINISH RATHER THAN WAITING IN THE PP.
          CJL    75/02/27    LDV,LDW                       PSR
  
FEAT51CA3. THIS IDENT PLACES ROUTINES SPUNOFF OF PL1A INTO THE
           DESIRED POSITION ON PL1B. ROUTINE NOW ON PL1B ARE
          DMP,MSG,1IR,1IQ,1IU,2LP,2PC,2RC,MDI,SRB,EDITLIB,DISPOSE 
          DSP,RWE,CON,ACT,D00,1GM 
  
L401     ***
HSTRY1B  CONTAINS THE HISTORY OF FEATURES 
         THAT ARE LACKING HISTORY 
         JDV  11/05/74
FEAT51B44 THIS CODE IS FOR SCOPE 3.4 ON PL1B
          THIS CODE IS FOR DAT-DDT NEW TABLES 
          YWH  04/15/74  DMNT 
FEAT51B43 THIS CODE IS FOR SCOPE 3.4 ON PL1B
          THIS CODE IS FOR DAT-DDT NEW TABLES 
          YWH  04/15/74  AUX
FEAT51BR3 MAKE PFA USE NEW MONITOR FUNCTION (EX.RBT)
          SKH    11/1/74           PFCD01 
FEAT51BS0 THIS CODE ALLOWS PFDUMP. TO WORK AND AND RELEASE RBT CHAINS 
          RBT CHAINS
          EG     11/06/74    PFDUMP 
 FEAT51BH3 ASSURE COMPATABILITY BETWEEN 3.4.3 AND MMF 
           VMS   8/26/74     COMPFLB
 FEAT51BW9   UPCOMP. THE POINTER TO THE TYPE 02 LABEL IS MOVED TO THE 
             WORD 5 OF THE TYPE 00 LABEL
             JRL  12/13/74  COMPFLB 
 FEAT51BH5 COMPATIBILITY
           VMS   8/26/74     LABELMS
 FEAT51BL9  LBL MODS FOR RELABEL
          VMS    10/02/74    LBL
 FEAT51BH4 COMPATIBILITY CODE 
           VMS   8/26/74     LBL
 FEAT51BK0  BUG FIXES 
           VMS   09/15/74    HDS
 FEAT51BQ3  RELASE THE CPA CHANNEL EVEN IF NO CONTROL POINT FOUND 
           VMS   10/24/74    HDS
 FEAT51BT4 DO NOT ASSIGN DAYFILE TO UNMOUNTED Q SET 
          VMS    11/15/74    LBL
FEAT51BV4  PASS THE MFID TO GENDJ AND RUN JOBS AT PR.BATCH PRIORITY 
           VMS   12/3/74     VMS
 FEAT51BC7       CORRECTS SYMBOL DEFINITIONS IN SMT + LABEL.
                 JFR   08/13/74   COMSDSS 
FEAT51BJ7 DEFINE W.PCRB,C.PCRB, AND S.PCRB
          SKH    09/17/74    COMSDSS
 FEAT51BF6 THIS CODE IMPLEMENTS THE NO SPECIAL CASE SYSTEM SET
           EG    08/20/74    PFC
FEAT51BL8 FIX CATALOG BUG WHEN FILE NOT REQUESTED WITH *PF
          EG     10/01/74    PFC
 FEAT54CD7     PFC FIX FOR PFM SYS ERROR CODE 13 - APF FLAG ON. 
               JCL    12/17/74     PFC
FATE54CG6 READ RIGHT DEVICE FOR SAAM FILES
          SKH    01/24/75    PFC
 FEAT51BF4 THIS CODE IMPLEMENTS THE NO SPECIAL CASE SYSTEM SET
           EG    08/20/74    PFS
 FEAT51BF8 THIS CODE IMPLEMENTS THE NO SPECIAL CASE SYSTEM SET
           EG    08/20/74    1PC
FEAT54CG5 1PC HAS PROBLEMS WITH COMPARISON OF OVERFLOW WORD PAIRS 
          SKH    01/24/75    1PC
 FEAT51BF5 THIS CODE IMPLEMENTS THE NO SPECIAL CASE SYSTEM SET
           EG    08/20/74    1PF
FEAT51BS1 THIS CODE CHANGES 1PF TO ISSUE DIRECT STACK REQUESTS
          EG     11/06/74    1PF
FEAT51BAH FIX PFA HANG WITH CHANNEL 44
          EG     01/16/75    1PF
 FEAT51BF9 THIS CODE IMPLEMENTS THE NO SPECIAL CASE SYSTEM SET
           EG    08/20/74    INIT 
FEAT51BZ8 FIX ATTACH OF FILE ON DISMOUNTED MEMBER 
          EG     01/10/75    INIT 
FEAT51BAU FIX GETSATR 
          EG     01/24/75    INIT 
 FEAT51BG2 THIS CODE IMPLEMENTS THE NO SPECIAL CASE SYSTEM SET
           EG    08/20/74    PFCD02 
FEAT51BR0 SPACE SAVING CODE 
          EG     10/28/74    PFCD02 
FEAT51BR4 MAKE PFA USE NEW MONITOR FUNCTION (EX.RBT)
          SKH    11/1/74           PFCD02 
 FEAT51BAD     UPWARD COMPATABILITY FIX TO CHECK FOR IMBEDDED 
               ZEROS IN PFD/PFC RBT CHAINS. 
               JCL     01/15/75     COMDECK PFCD02
 FEAT51BF0 THIS CODE IMPLEMENTS THE NO SPECIAL CASE SYSTEM SET
           EG    08/20/74    PFCD03 
FEAT51BR5 MAKE PFA USE NEW MONITOR FUNCTION (EX.RBT)
          SKH    11/1/74           PFCD03 
FEAT51BW0 FIX PSDFNT BUG
          EG     12/09/74    PFCD03 
FEAT51BX1 REMOVE CHECK OF MST ORDINAL IN FINDMST
          EG     12/16/74    PFCD03 
FEAT51BX5 DEFAULT ID=SYSTEM TO SYSTEM SET 
          EG     12/17/74    PFCD03 
 FEAT51BG0 THIS CODE IMPLEMENTS THE NO SPECIAL CASE SYSTEM SET
           EG    08/20/74    PFCELLS
FEAT51BAM FIX PURGE BY PFN OF ARCHIVED FILE 
          EG     01/18/75    PFCELLS
FEAT51BZ6 FIX ATTACH OF FILE ON DISMOUNTED MEMBER 
          EG     01/10/75    PFCELLS
 FEAT51BG1 THIS CODE IMPLEMENTS THE NO SPECIAL CASE SYSTEM SET
           EG    08/20/74    PREAMB 
FEAT51BX3 REMOVE CODE 22
          EG     12/17/74    PREAMB 
          EVICT OF TABLE (PFC,PFD, ETC) CHAINS MUST HAVE WORD PAIRS 
          IN NEW FORMAT ON ANY PUBLIC SET.
          SKH    06/28/74          DSM
FEAT51BI7 THIS CODE FOR 3.4.4 ON PL1B.
          FIXES DSM TO CLEAR ALL BYTES IN DUMMY CHAIN BEFORE
          RELEASING IT. 
          JFR    10/04/74  DSM
 FEAT51BE6  AUX MODS FOR NO-SPECIAL-CASE SYSTEM SET.
            JSB   08/09/74         AUX
 FEAT51BK8  ADJUST FEAT51BE6 TO ACCOMODATE OTHER AUX MODS. BY INSERTING 
          A UJK AFTER STP.
            JSB   09/17/74   AUX
FEAT51BG8 1PK NEEDS SPACE 
          SKH    8/22/74
 FEAT51BP2   3DO/1PK INTERFACE FOR NEW FILES ALLOCATION ON A NON
             MOUNTED MEMBER OF A DEVICE SET.
             JRL  10/22/74  1PK 
 FEAT51BN4 DETECTS STACK REQUESTS 
 FEAT51BN4   DETECS OUTSTANDING STACK REQUESTS ON A MULTIPLE RBR DEVICE.
             JRL  10/18/74  1PK 
         THIS CODE WILL ALLOW THE STATUSING BY THE MMF SYSTEM OF
         A SCOPE 3.4 TYPE SYSTEM SET (TYPE 00) IF THE RECONFIGURATION 
         (R) OPTION HAS BEEN SELECTED AT DEADSTART TIME.
         1PK  10/10/74  JRL 
 FEAT51BS5   RANDOM READ ON A NON MOUNTED MEMBER OF A USER DEVICE SET 
             JRL  11/14/74  1PK 
 FEAT51BS6   SET MASTER DEVICE FLAG IN THE DDT DURING DEVICE STATUSING
             NO IDLING DOWN OF A MASTER DEVICE IF THERE IS ANY
             OUTSTANDING OFF-LINE EVICT ON A MEMBER OF THE DEVICE SET 
             JRL  11/14/74  1PK 
 FEAT51BT9   PREVENTS 1PK FROM HANGING ON AN IDLE DOWN REQUEST. 
             JRL  11/19/74  1PK 
 FEAT51BW7   UPCOMP. THE POINTER TO THE TYPE 02 LABEL IS MOVED TO THE 
             WORD 5 OF THE TYPE 00 LABEL
             JRL  12/13/74  PFPACK
 FEAT51BW2 AFTER ASSIGNMENT OF A NEW FILE, 1PK MUST RECALL CIO
             JRL  12/09/74  1PK 
 FEAT51BY7   FIXES MISCELLANEOUS BUGS IN 1PK
                   SCANNING OF DDT VARIABLE PART ONLY 
                   ORDRE CODE MASK (EVICT SR) 
                   SET LABEL TYPE TO 77B BEFORE CALLING READLBL 
             JRL  01/14/75  1PK 
 FEAT51BBC   MOUNT A MEMBER OF A DEVICE SET AND RESUME A READ OR
             WRITE NOT-AT -EOI FUNCTION.
             REWRITE IN PLACE ON A PF RESIDING ON A DEVICE SET AND
             OVERFLOWING FROM ONE MEMBER TO ANOTHER (PSR SC43320) 
             JRL  02/12/75  1PK 
 FEAT51B78 THIS CODE ALLOWS RETURN OF INCOMPLETE CYCLE STATUS IF RW=1 
           RLH   7/11/74  PFA 
 FEAT51BF2 THIS CODE IMPLEMENTS THE NO SPECIAL CASE SYSTEM SET
           EG    08/20/74    PFA
 FEAT51BI0   THIS CODE CREATES AN OVERLAY (6PA) THAT WILL ATTACH ON THE 
         MMF SYSTEM A PERMANENT FILE RESIDING ON A SCOPE 3.4. SYSTEM
          SET (I.E. TYPE 00). 
         PFA  10/10/74  JRL 
FEAT51BQ8 SPACE SAVING CODE FOR PFA 
          EG     10/28/74    PFA
FEAT51BR2 MAKE PFA USE NEW MONITOR FUNCTION (EX.RBT)
          SKH    11/1/74           PFA
FEAT51BW4 FIX PURGE OF ARCHIVED FILES 
          EG     12/11/74    PFA
FEAT51BZ3 FIX ATTACH OF FILE ON DISMOUNTED MEMBER 
          EG     01/10/75    PFA
FEAT54CG9 FIX LC=0
          EG     01/30/75    PFA
 FEAT51BD2       SET CATALOG PF BIT IN FIRST WORD PAIR IN CM
                 YWH   74/07/25    DECKALL
 FEAT51BG3 THIS CODE IMPLEMENTS THE NO SPECIAL CASE SYSTEM SET
           EG    08/20/74    DECKALL
 FEAT51BP8   MODIFICATIONS TO DECKALL FOR UPWARD COMPATIBILITY
             DECKALL  10/10/74  JRL 
FEAT51BQ9 SPACE SAVING CODE 
          EG     10/28/74    DECKALL
FEAT51BI4 THIS CODE MAKES THE OLD SYSTEM SET COMPATIBLE WITH THE NEW
          EG     10/04/74    DECKALL
FEAT51BS3 FIX CHECK OF UTILITY BIT
          EG     11/11/74    DECKALL
 FEAT51BU0   SETS DEVICE TYPE AND MST ORDINAL IN THE FNT (UPCOMP) 
             JRL  11/18/74  DECKALL 
FEAT51BR6 MAKE PFA USE NEW MONITOR FUNCTION (EX.RBT)
          SKH    11/1/74           DECKALL
FEAT51BU8 FIX PRU/RB FOR WORD PAIRS 
          EG     11/22/74    DECKALL
FEAT51BV0 FIX PRU/RB BUG
           EG    12/03/74    DECKALL
FEAT51BAL FIX PURGE BY PFN OF ARCHIVED FILE 
          EG     01/18/75    DECKALL
FEAT51BY5 FIX ATTACH OF INCOMPETE CYCLE 
          EG     12/30/74    DECKALL
FEAT51BZ4 FIX ATTACH OF FILE ON DISMOUNTED MEMBER 
          FIX PFA CH 44 HANG
          EG     01/10/75    DECKALL
FEAT54CE9 "CHKSTS" SUBROUTINE IN "DECKALL" HAS SNATCHED TWENTY BYTES
          VERY UNINTELLIGENTLY FROM LPF.
          AKS    (01/08/75)  DECKALL
 FEAT54CG4     DECKALL FIX TO DROP PFM I/L IF SUBROUTINE FINAUS ABORTS. 
               AND GET THE CORRECT PRU/RB COUNT FOR CHECKIOQ. 
               JCL    01/22/75     DECKALL
FEAT54CH6 CLEANS UP AN I/L PROBLEM. 
          RPM  02/11/75  DECKALL
FEAT51BBE FIX ZEROING OF PFC HEADER 
          FIX OVERFLOW COMPATIBILITY BUG
          EG     02/05/75    DECKALL
 FEAT51BD3       SET CATALOG PF BIT IN FIRST WORD PAIR IN CM
                 YWH   74/07/25    1FC
 FEAT51BF3 THIS CODE IMPLEMENTS THE NO SPECIAL CASE SYSTEM SET
           EG    08/20/74    1FC
 FEAT51BI1   THIS CODE CREATES TWO OVERLAYS (3FC AND 4FC) THAT WILL 
         CATALOG ON THE MMF SYSTEM A PERMANENT FILE RESIDING ON A 
         SCOPE 3.4 SYSTEM SET (I.E. TYPE 00). 
         JRL  10/10/74  1FC 
FEAT51BN3 FIX CATALOG PF BIT BUG
          EG     10/16/74    1FC
 FEAT51BS7   FIXES A PROBLEM IN UPCOMP
         JRL  11/11/74  1FC 
 FEAT51BU1   SET DEVICE TYPE IN THE RBTC 1ST WORD PAIR
             JRL  11/18/74 1FC
FEAT51BAT FIX GETSATR 
          EG     01/24/75    1FC
 FEAT51A83     1FC FIX FOR INCORRECT OVERFLOW WORD PAIR FORMAT ON DISK
               JCL    01/22/75    1FC 
 FEAT54CF9     1FC FIX FOR CORRECT EXIT FROM SUBROUTINE RDRBTC
               JCL     01/20/75     1FC 
 FEAT51BBI     1FC FIX FOR UPWARD COMPATABILITY 
               JCL     02/10/75     OVERLAY 3FC IN 1FC
FEAT51BBP FIX PFC SIZE FOR COMP.
          EG     02/20/75    1FC
FEAT51BBJ DROP SR I/L BEFORE CALLING 3FC
          EG     02/14/75    1FC
FEAT51BBW FIX PFC ENTRY SIZE COMPATIBILITY BUG
          EG     03/01/75    1FC
 FEAT51BD4       CLEAR CATALOG PF BIT IN FIRST WORD PAIR IN CM
                 YWH   74/07/25    PFP
FEAT51BJ6 ZERO RBS IN CHAIN IF S.PCRB SET AND RB=1
          SKH    09/17/74    PFP
 FEAT54CD3     CLEAR PFC PERMISSION BYTE AT DUMPF MO=2 MODE 
               JCL     11/22/74     PFP 
 FEAT51BF7 THIS CODE IMPLEMENTS THE NO SPECIAL CASE SYSTEM SET
           EG    08/20/74    PFE
FEAT51BD5 THIS CODE DELETES THE SPECIAL CASE SYSTEM SET CODE
          EG     10/01/74    PFE
FEAT51BI3 THIS CODE MAKES THE OLD SYSTEM SET COMPATIBLE WITH THE NEW
          EG     10/04/74    PFE
FEAT51BAR FIX LAST PRU+1 CHECK OF DAYFILE 
          EG     01/21/75    PFE
FEAT51BBD FIX ZEROING OF PFC HEADER 
          FIX COMPATIBILITY BUGS
          EG     02/04/75    PFE
FEAT51BM6 IMPLEMENT NO SPECIAL CASE SYSTEM SET
          EG     10/15/74    PFD
FEAT51BR9 THIS CODE RELEASES RBT CHAIN
          EG     11/06/74    PFD
FEAT51BX9 FIX RELEASE OF MULTI WORD PAIR CHAINS 
          EG     12/18/74    PFD
FEAT51BAX FIX DEFAULT MST ORDINAL FOR PFDUMP
          EG     01/31/75    PFD
 FEAT51BE9  EPF MODS FOR NO-SPECIAL-CASE SYSTEM SET.
            JSB   08/09/74         EPF
 FEAT51BR7     EPF FIX FOR NO SYSTEM SET SPECIAL CASING BUG 
               JCL     11/22/74     EPF 
FEAT51BJ4 DEFINE RB PARAMETER AS FDB CODE 43B 
          SKH    09/17/74    PFCOM
FEAT51BJ5 DEFINE RB PARAMETER AS FDB CODE 43B 
          SKH    09/17/74    PFCCP
FEAT54CE0 SN AND VSN PARAMETERS USE WRONG FDB CODE IN DUP CHECKING
          SKH     12/27/74          PFCCP 
FEAT51BJ8 IF S.PCRB SET IN PFC FLAG BYTE, ADD C TO AUDIT FLAGS
          SKH    09/17/74    AUDIT
FEAT51BJ9 DEFINE RB PARAMETER IN TABLES COMDECK 
          SKH    09/23/74    TABLES 
FEAT51BY4 FIX ATTACH OF INCOMPETE CYCLE 
          EG     12/30/74    PFMESS 
FEAT51BZ5 FIX ATTACH OF FILE ON DISMOUNTED MEMBER 
          EG     01/10/75    PFMESS 
 TLOADI07 THIS CODE IS REQUIRED TO ALLOW TLOAD TO RUN WITH THE MMF
          CODE AND QUEUE DEVICES
                       TLOAD
FEAT51C51 SET DEFAULT MST ORDINAL TO SYSTEM SET.
          RPM  11/08/74  1DF
 FEAT51C26 IF 3DO DOES NOT FIND ANY AVAILABLE SPACE ON THE MOUNTED
           MEMBERS OF A DEVICE SET, IT CALLS 1PK TO ALLOCATE AN OTHER 
           MEMBER OF THE DEVICE SET (FIRST CHOICE   DEVICES ON LINE 
                                     SECOND CHOICE  DEVICES OFF LINE) 
           JRL  09/16/74
FEAT51BT0 MODS FOR SPLITING OFFLINE EVICT FROM 1PK TO 1EV 
          SKH    11/9/74     PFPACK 
FEAT51BT1 MODS FOR SPLITING OFFLINE EVICT FROM 1PK TO 1EV 
          SKH    11/9/74     1PK
FEAT51C21  FIX RESQ TO DO A REQUEST(*Q) ON THE DISK FILE. 
            JSB   09/04/74   QUEDUMP
 FEAT51C49 FIXES RESQ WHERE IT GOT AUTO-RECALL ERROR. 
             JSB   11/10/74   QUEDUMP 
FEAT51C66 FIXES REQUEST FOR DISK FILE TO QUEUE SET/DEVICE 
          RPM  12/12/74  QUEDUMP
FEAT51C83 QUEDUMP WILL ASSIGN THE PREDAYFILE TO A QUEUE DEVICE
          RPM  01/22/75  QUEDUMP
 FEAT51C27  INTRODUCES ADS CODE WHICHINTERLOCKS ADDSET OPERATIONS 
          AGAINST MULTI-COMPUTER INTERFERENCE.  ALSO PARAMETER ACCESS 
          IS REWRITTEN. 
            JSB   09/30/74   ADS
  FEAT51C28   FIX ADS TO RUN JOBS IN SEQUENCE AT DEADSTART. 
                 JSB   10/17/74   ADS 
 FEAT51C48   FIX ADS TO GET N.SD FROM P.DPT FOR 3.4.3 UPWARD COMPATIBL- 
          ITY.  FIX TO COORDINATE IN DEADSTART TO RUN SYSTEM-SET ADDS 
          IN THE PROPER ORDER.
             JSB   11/4/74   ADS
 FEAT51C56   FIX ADS SO RECONFIG ACTION (UPWARD PF COMPATIBILITY) SETS
          CORRECT RBRBITS.
             JSB   12/02/74   ADS 
 FEAT51C57  FIX ADS TO NOT READ UNUSED AREAS OF DISK, AND TO PROCESS
          CORRECTLY LABELS CREATED ON PREVIOUS SYSTEMS. 
             JSB   12/10/74   ADS 
 FEAT51C69  FIX PROB OF ADS CLOBBERING P.DFB ON OPERATOR JOBS.
            ALSO FIX POSSIBLE WILD JUMP ON BAD CALLS TO ADS.
             JSB   12/15/74   ADS 
FEAT51C74  FIX ADS FOR PF UPWARD COMPATIBILITY, TO ACCEPT N.ESD FROM
          CMR WORD P.DPT, BYTE 3. 
             JSB   01/14/75   ADS 
FEAT51C77  FIX ADS TO CHECK NM WHEN ADDING MEMBER.
             JSB   01/15/75   ADS 
FEAT51BAN FMT SUBROUTINE IN PFCD03 IS NOT CA LCULATING MSTORD 
          CORRECTLY 
          AKS    (01/16/75)  PFCD03 
 FEAT51BK9 RECOVER IN MODES 1 AND 2 WILL RUN ON MOUNTED DEVICE SETS.
           MODIFICATIONS FOR THE NEW PFC I/L WORD AND SMT STRUCTURE.
           JRL  09/28/74  RECOVER 
 FEAT51BM7   PFC I/L MOVED FROM WORD 17 TO WORD 24
             SET BIT 2**9 IN PFC 2D WORD IF AN RB CONFLICT IS DETECTED
             IN THE PF RBT CHAIN. 
         JRL  10/15/74  RECOVER 
 FEAT51BR8   SETS A FLAG IN THE PFC ENTRY IF AN RB CONFLICT IS DETECTED 
             JRL  11/14/74  RECOVER 
 FEAT51BT7   SPECIAL CASES THE INPUT/OUTPUT FILES PFC ENTRIES 
               PROCESSING BY SCANPFC. 
             JRL  11/17/74
 FEAT51BV1   NON INITIALIZED PARAMETER
             JRL  12/03/74  RECOVER 
 FEAT51BW1   I/O FLAG IS BIT 4 OF THE PFC ENTRY 1ST WORD
             JRL  12/09074  RECOVER 
 FEAT51BX4   MISCELLANEOUS FIEXS
                   DAM/SMT VALIDATION (MODE 2)
                   NON-FATAL ERRORS PROCESSING
                   NO OUTPUT IN DS MODE 
                   RBT CHAIN SCANNING IN MODE 4  (PFD,PFC,DAM)
             JRL  12/16/74  RECOVER 
 FEAT51BY6   MISC. FIXES FOR DOWNWARDS COMPATIBILITY
             JRL  31012/74  RECOVER 
 FEAT51BAB   GETS TEMPORARILY RID OF THE PAM TABLE
             JRL  01/14/75  RECOVER 
 FEAT51BAG   SETS INITIAL FL TO 50K TO PREVENT MULTIPLE RECOVERS
             DEADLOCK WHEN THEY TRY TO INCREASE THEIR FL
             JRL  01/15/75  RECOVER 
 FEAT51BAJ   FIXES A FEAT51BAG BUG
 FEAT51BAP   RECOVER WILL ONLY READ THE PORTION OF THE LOGICAL FLAW 
             TABLE CORRESPONDING TO EXISTING MEMBERS OF THE DEVICE SET
             IN ORDER TO AVOID THE CURRENT 808 PROBLEM
             JRL  01/20/75  RECOVER 
 FEAT51BBQ   FIX EOI PRU VALIDITY TEST FOR A FILE ASSIGNED TO A 
             MULTIPLE RBR DEVICE AND OVERFLOWING
             JRL  02/25/75 RECOVER
 FEAT51BG4       QSET-USER SET
                 RESTRUCTURE 1QF FOR SPACE
                 YWH   74/08/15    1QF
 FEAT51BL6     1PC COMPATABILITY CODE FOR 3.4.1 SYSTEM SET
               JCL      09/30/74     1PC
FEAT51BH6 THIS CORRECTION IDENT FIXES CONFLICTS IN CODE 
          EG     09/09/74    1PC
FEAT51BBH FIX MULTI RETURNS COMPATIBILITY BUG 
          EG     02/10/75    1PC
FEAT51BBK FIX MULTI RETURN COMPATIBILITY BUG
          EG     02/17/75    1PC
 FEAT51BM8  THE SCOPE 3.4 ROUTINE *LDV* IS MODIFIED TO
          PERFORM SHORT TO LONG DISK ADDRESS CONVERSIONS
          VIA *M.ICE*/*EX.RBT*. 
          CJL     10/15/74     LDV     SCOPE 3.4 MULTIMAINFRAME ONLY
 FEAT51BM9  THE SCOPE 3.4 PP ROUTINE *LDW* IS MODIFIED TO 
          PERFORM SHORT TO LONG DISK ADDRESS CONVERSIONS
          VIA *M.ICE*/*EX.RBT*. 
          CJL     10/15/74     LDW     SCOPE 3.4 MULTIMAINFRAME ONLY
 FEAT51BY8   FIXES BUGS IN 1EV
             JRL  01/14/75  1EV 
 FEAT51BAV   FIXES A BUG IN 1EV 
             JRL  02/12/75
 FEAT51C30       1QF UPWARD COMPATIBILITY CODE
                 YWH   74/10/20    1QF
 FEAT51C39       DEFINE AND REFER SYMBOLS FOR TYPE 00 AND TYPE 02 
                 WORD PAIRS 
                 CHECK RECONFIGURATION BIT IN MST 
                 YWH   74/10/25    1QF
 FEAT51C44       IMPLEMENT IN CALL CODE 21B TO RECOVER ONLY 
                 THE QUEUE FILES BELONG TO NO MF
                 YWH    74/10/30   1QF
 FEAT51C61       MODIFY FUNCTION CODE 21B 
                 YWH   74/11/17    1QF
FEAT54CD6 ELIMINATE STACK REQUEST IF NO I/O WAS DONE, WHEN DROPPING I/L 
          ALSO  DELAY ON MST NOT LOW CORE 
          RPM  12/15/74  1QF
 FEAT51C65       FIX INTERNAL MACRO 
                 YWH    74/12/06   1QF
FEAT51C73 HANDLE XJK MACROS 
          RPM  01/14/75  1QF
FEAT54CE7 1QF DID NOT DROP CH.FNT IF THE FNT IS FULL ON A CODE 20 
          RPM  01/08/75  1QF
FEAT54CG3 1QF WILL CHECK STATUS ON HIGH SPEED READ FOR BROKEN CONNECT 
          RPM  01/21/75 1QF 
FEAT54CH4 1QF DID NOT RETURN CH.PFM IF THE QUEUE FULL BIT 
          WAS ALREADY SET.
          RPM  02/10/75  1QF
FEAT54CH5 CLEANS UP A I/L PROBLEM, IMPROVES DEBUGING, AND FIXES 
          A COMPATABILITY PROBLEM.
          RPM  02/11/75 
 FEAT54CH7       IMPLEMENT IN PF UTILITY INTERLOCK CHECK
                 1QF   YWH   75/02/14 
FEAT51C67 LDCMR MUST USE THE SYSTEM SET FOR SYSTEM FILES
          PAP    12/12/74    LDCMR
FEAT54CD2 FIX PFC FULL MESSAGE
          EG     11/19/74    1PD
FEAT54CA9 THIS CORRECTION IDENT STOPS PFA FROM GOING INTO DELAY STACK 
          IF RT BIT IN FDB IS SET 
          EG     10/20/74    PFA
FEAT54CC6 FIX ABORT OF INCOMPLETE CYCLE ATTACH
          EG     11/13/74    PFA
FEAT51BAK FIX PURGE BY PFN OF ARCHIVED FILE 
          EG     01/18/75    PFA
FEAT51BY3 FIX ATTACH OF INCOMPETE CYCLE 
          EG     12/30/74    PFA
FEAT51BBO FIX ATTACH OF INCOMPLETE CYCLE
          FIX NOCY
          EG     02/19/75    PFA
 FEAT54C82 INTERLOCKED STACK REQUEST IN LABELING DEVICE SETS
           VMS   10/09/74    LBL
 FEAT51BQ2  MODS FOR RELABEL
           VMS   10/24/74    LBL
FEAT51BT5  BUG FIXES FOR COMPATIBILITY
          VMS    11/15/74    LBL
 FEAT51BU5  TO CLEAR THE ABORT FLAG IN THE CP AREA IN CASE OF 
           AN UNCORRECTABLE PARITY ERROR
           VMS   11/22/74    LBL
 FEAT51BY0 BUG FIXES FOR RELABEL
           VMS   12/18/74    LBL
 FEAT54CA0  IMPLEMNT SHARED DEVICES 
          VMS    10/4/74     LABELMS
 FEAT51BQ4  DO NOT ASK FOR OPERATOR GO DURING DS
           VMS   10/24/74    LABELMS
 FEAT51BT6  FIXES TO UPWARD COMPATIBILITY CODE
           VMS    11/15/74    LABELMS 
 FEAT51BU2  BUG FIXES FOR COMPATIBILITY 
           VMS   11/22/74    LABELMS
 FEAT51BX0 MOVES THE TYPE 2 LABEL POINTER FROM WORD 3 TO WORD 5 
           VMS   12/18/74    LABELMS
FEAT54CF5 IGNORE OFF BIT DURING DS
          VMS    01/12/75    LABELMS
FEAT51BBY  FIX MULTIPLE RBRS FOR UPWARD COMPATIBILITY 
           VMS   03/04/75    LABELMS
FEAT54C75 THIS CODE FOR SCOPE 3.4.3 ON PL1B.
          IMPLEMENTS LOG-IN TO LABEL AND SMT, AND STACK REQUEST I/L.
          JFR    9/3/74    MNT
FEAT54CA6 THIS CODE FOR 3.4.4 ON PL1B.
          FIXES MNT TO SET PF BIT IN FIRST WORD PAIR OF DAM CHAIN.
          FIXES MNT TO STORE DAM ORDINALS INTO DDT ENTRIES FOR ALL BUT
          SYSTEM SET. 
          JFR    10/16/74  MNT
 FEAT51BP5     MNT COMPATABILITY CODE 
               JCL     10/23/74     MNT 
 FEAT51BU7     MNT FIX FOR UPWARD COMPATABILITY BUG 
               JCL    11/22/74     MNT
FEAT54CB7 THIS CODE FOR 3.4.4 ON PL1B.
          FIXES MNT TO BRING IN RBR BEFORE LOGGING INTO LABEL IN CASE 
          OF ERRORS.
          FIXES MNT TO SET DAM RB COUNT IN RBR TO ZERO IF NOT SHARED, 
          FIXES MNT TO ALLOW ADDITION OF MEMBERS TO PUBLIC SETS AFTER DS
          FIXES MNT TO IGNORE OFF BIT IN POST-DEADSTART.
          FIXES MNT TO CHECK FOR OPERATOR DSMOUNT BIT IN SMT. 
          MAKES SPACE IN MNT AND FIXES SET I/L (LABEL) CHECK. 
          JFR  11/1/74   MNT
FEAT51BV7 THIS CODE FOR 3.4.4 ON PL1B.
          FIXES MNT TO HANDLE MULTI-PRU MULTIPLE RBR*S. 
          FIXES MNT TO GET CORRECT PFC POINTER FOR MST. 
          JFR    12/06/74  MNT
FEAT54CF2 THIS CODE FOR 3.4.4 ON PL1B.
          FIXES MNT TO MOUNT MEMBERS ON UPWARD COMPATIBILITY. 
          FIXES MNT TO PUT CURRENT RB COUNT INTO RBR HEADER FOR SHARED. 
          FIXES MNT TO DROP STACK REQUEST I/L BEFORE ISSUING MESSAGES.
          FIXES MNT TO SEARCH ONLY 1 PRU OF SMT IF NM .LT. 32D. 
          MNT    1/26/75  JFR 
FEAT54CH0 THIS CODE FOR SCOPE 3.4.4 ON PL1B.
          FIXES MNT TO INSERT CORRECT RB SIZE FROM LABEL INTO CM RBR
                 SO SMT CAN BE READ.
          FIXES MNT TO ISSUE A WARNING DIAGNOSTIC WHEN ATTRIBUTE CONFLIC
                 BETWEEN LABEL AND SMT OCCURS. (3.4.3 PACKS WILL DO IT) 
          MNT    2/3/75      JFR
FEAT54C76 THIS CODE FOR SCOPE 3.4.3 ON PL1B.
          IMPLEMENTS LOG-IN TO LABEL AND SMT, AND STACK REQUEST I/L.
          JFR    9/3/74    DSM
FEAT54C90 THIS CODE FOR SCOPE 3.4.3 ON PL1B.
          IMPLEMENTS OPERATOR DISMOUNT WITH LABEL AND SMT LOG-IN
          AND STACK REQUEST INTERLOCK.
          JFR    9/3/74    DSM
FEAT51BX6 THIS CODE FOR 3.4.4 ON PL1B.
          FIXES DSM TO HANDLE MULTIPLE RBR*S. 
          12/17/74  JFR   DSM 
FEAT54CF3 THIS CODE FOR 3.4.4 ON PL1B.
          FIXES DSM TO STORE CORRECT RB COUNT IN SMT. 
          FIXES OPERATOR DSMOUNT TO DROP STACK REQUEST I/L BEFORE DROP. 
          DSM    1/26/75  JFR 
FEAT54CG8 THIS CODE FOR 3.4.4 ON PL1B.
          FIXES OPERATOR RMNT IN DSM. 
          DSM    2/4/75  JFR
 FEAT54C92     TAT MOD FOR TRANSPF SRMS 
               JCL     10/23/74     TAT 
 FEAT54CB9     BUILD AND EVICT RBT CHAIN FOR DAM
               JCL     11/22/74     TAT 
 FEAT54CD8     TAT MOD TO UPDATE DEVICE ATTRIBUTES IN DDT ENTRY 
               JCL    01/15/75     TAT
 FEAT54CG2     TAT FIX FOR DAM CHAIN EVICT PROBLEM
               JCL    01/21/75     TAT
 FEAT54CH8     TAT MOD TO TURN OFF UPWARD COMPATABILITY ON TRANSPF. 
               JCL    02/24/75    TAT 
 FEAT54C93     TRANSPF SRMS AND NO SPECIAL CASING SYSTEM SET CODE 
               JCL     11/22/74     TRANSPF 
 FEAT54CF4     TRANSPF MOD TO UPDATE DDT DEVICE STATUS
               JCL    01/15/75     TRANSPF
 FEAT54CH2     TRANSPF MOD TO RESTORE PF STATUS TO FM IF TRANSPF JOB
               ABORTS IN THE MIDDLE OF TRANSFERRING FILES.
               JCL    02/05/75     TRANSPF
 FEAT54CG1     TRANSPF FIX FOR DAM CHAIN EVICT PROBLEM
               JCL    01/21/75     TRANSPF
 FEAT54CI5     TRANSPF MOD TO DISALLOW UPWARD COMPATABILITY.
               JCL    02/24/75    TRANSPF 
 FEAT54CC3     DMNT MOD FOR OPERATOR-INITIATED DISMOUNT AND REMOUNT.
               JCL    12/02/74     DMNT 
FEAT54CA7 FIX CHECK OF ARCHIVED FILE
          FIX UPDATE OF RBTC
          EG     10/20/74    1PC
 FEAT51BT8     1PC FIX FOR UPWARD COMPATABILITY BUG 
               JCL     11/22/74     1PC 
FEAT54CG0 CLEAR MFORD IN PFD FOR INCOMPLETE CYCLE 
          EG     01/21/75    1PC
 FEAT54C91       DELETE MEMBER FROM RUNNING SYSTEM
                 AND MMF DEVICE INTERLOCK 
                YWH   74/10/03     DLM
 FEAT54CC1       MOVE *CALL COMSDSS AND CALL FLC FOR COMPATIBILITY
                 YWH    74/10/28   DLM
 FEAT54CC4       MOVE IDLE STATUS CHECK FOR 1PK 
                 YWH   74/11/07    DLM
 FEAT54CD0       MODIFY REQUEST IDLE BIT HANDLING 
                 YWH   74/11/17    DLM
 FEAT54CD5       FIX ERROR EXIT ROUTINE AND UPDATE IMS
                 YWH    74/12/06   DLM
 FEAT54CF0 FIX DLM TO RECOGNIZE ARCHIVED FILES AND OVERFLOW WORD PAIRS I
          IN THE PFC, AND TO COMPUTE RBR TOTAL AVAILABLE CORRECTLY ON 
          SHARED DRIVES (ADD RBR FREE AND DAM FREE).
             JSB   01/11/75   DLM 
FEAT54CH1  FIX DLM SO THAT IT DOES NOT WAIT ON MONITOR OR OTHER SYSTEM
          ACTIONS WHILE HOLDING THE DISK INTERLOCK. 
             JSB   02/05/75   DLM 
FEAT54CB2 LOADPF ON SRMS AND CODE FOR UTILITY I/L CHECKING
          AKS    (10/18/74)  LPF
FEAT54CE8 WHEN LPF IS CALLED BY TRANSPF TO TRANSFER THE FILES,IT LOOPS
          FOR EVER
          AKS    (01/03/75)  LPF
FEAT54CG7 FIX FOR FNT PROBLEM 
          AKS    (01/27/75)  LPF
 FEAT54CH9     LPF FIX TO CLEAR APF FLAG FOR TRANSPF CALL.
               JCL    02/20/75     LPF
FEAT54CB4 DUMPF ON SRMS 
          AKS    (10/18/74)  AUX
 FEAT54CD1     AUX TO PICK UP CORRECT NEXT RBT WORD PAIR ORDINAL
               JCL     11/22/74     AUX 
FEAT54CE5 STACK REQUEST INTERLOCK IS LEFT SET 
          AKS    (12/31/74)   AUX 
 FEAT54CD4     AUX MOD TO FIX DUMPF - LABEL NOT FOUND PROBLEM.
               JCL     12/10/74     AUX 
 FEAT54CF8     AUX MOD TO CLEAR PF BIT IN FM-DDT FOR THE
               MASTER TO MEMBER TRANSPF MODE. 
               JCL     01/17/75     AUX 
 FEAT54CH3     AUX MOD TO RESTORE PF STATUS TO FM IF TRANSPF JOB
               ABORTS IN THE MIDDLE OF TRANSFERRING FILES.
               JCL    02/05/75     AUX
FEAT51BBL AUX FIX FOR UPWARD COMPATIBILITY
          AKS    (02/19/75)  AUX
FEAT54CB3 DUMPF ON SRMS 
          AKS    (10/18/74)  DUMPF
FEAT54CB5 DUMPF ON SRMS 
          AKS    (10/18/74)  COMSDSS
 FEAT51BBZ FIX RELABEL FOR MULTIPLE RBRS
           VMS   03/04/75    RELABEL
 FEAT54CF1 FIX COMPFLB TO REMOVE NONSTANDARD USAGE OF JMP MACRO.
            JSB   01/14/75   COMPFLB
FEAT51CA2 XDQ CAN PICK UP PUBLIC SETS 
          RPM  03/03/75  XDQ
 FEAT51BBS   THIS CODE ALLOWS THE PROCESSING OF NO-FET I/O FUNCTIONS
             BY 1PK AND THE CORRECT HANDLING OF NO SPACE ON PUBLIC
             DEFAULT SETS.
             JRL  03/11/75  1PK 
FEAT51BCA FIX PFC SIZE FOR UPWARD COMPATIBILITY 
          EG     03/08/75    1QF
FEAT51BCC VARIOUS FIXES TO 1PC
          SKH    03/12/75    1PC
FEAT51BCF  INSERT NO OF EXTRA RBRS FOR UPWARD COMPATIBITY 
           VMS   03/26/75    LABELMS
FEAT51BCH FIX ALTER BUG OF SMALL FILE 
          EG     03/26/75    PFE
FEAT51CB1 FIX MNT SO THAT MOUNTING A NONEXISTING MEMBER WILL NOT CAUSE
          A SUBSEQUENT HANG ATTEMPTING TO DO IO ON THE SET. 
          JSB   03/10/75   MNT
FEAT51CB4 RECUCES SIZE OF THE PFC FROM 20*PFD TO 6*PFC.  THIS PERMITS 
          1.5 CYCLES PER AVERAGE PFD ENTRY WHEN THE PFD IS FULL.  PART
          OF THE INTENTION OF THIS MOD IS TO CAUSE THE PFC TO OVERFLOW
          BEFORE THE PFD, TO KEEP THE PFD SCATTERED BETTER. 
             JSB   03/18/75   ADS 
FEAT51CB5 MODIFY CON TO USE EX.RBT TO FIND EQ TYPE OF DISCONNECTED FILE 
          PAP    75/03/18          CON
FEAT51CB8 CLEAN UP FEAT51BP1
                        DMP 
FEAT51CB9 PFC WOULD CLOBBER AN ARBITARY RBT ENTRY WHEN PROCCESSING
          A SAAM FILE 
          RPM  03/25/75  PFC
FEAT54CI6 FIX DROP SR I/L FOR UNC RMS ERROR 
          EG     03/08/75    DECKALL
FEAT54CI7 FIX DROP SR I/L FOR UPWARD COMPATIBILITY
          EG     03/08/75    1PC
FEAT54CI8 FIX BROKEN CONNECT BACKSPACE PROBLEM IN PFE 
          RPM  02/10/75  PFE
FEAT54CI9 CORRECT BROKEN I/L PROC. IN SUBROUTINE RPRU 
          RLH    3/10/75     DECKALL
FEAT54CJ0 FIX BROKEN CONNECT BACKSPACE PROBLEM
          RPM  03/12/75 PFR 
FEAT54CJ1 BROKEN CONNECT CORRECTION ALONG WITH FEAT54CI9
          RLH    3/12/75     PFA
FEAT54CJ2 REMOVE BACKSPACE FROM BROKEN CONNECT PROCESSING 
          RLH    3/12/MK     1QF
FEAT54CJ3 FIX BROKEN I/L   PROCESSING BY REMOVING BKSP
          RLH    3/13/75     1FC
FEAT54CJ4 FIX LOADPF OF ARCHIVED FILES
          EG     03/17/75    1FC
FEAT54CK0 MAKE ROOM FOR PSR SC43723 
           VMS   03/26/75    LPF
 SC44235  THE PRINT IMAGE FOR THE 96 CHARACTER 580 PRINT TRAIN HAS TWO
          CHARACTERS REVERSED.
                        1IR 
 SC44347  1IR RESIDENT ROUTINE ASSUMES B.READ IS LOADED.  THIS MAY NOT
          BE TRUE,SINCE IT IS ALSO CALLED BY B.FORAG. 
                        1IR 
 SC44389  1IR MAINTAINS THE 029 CARD READING FLAG, FL.029, IMPROPERLY 
                        1IR 
 SC44433  WHEN A CARD READER FILE IS ON AN IDLED DEVICE, A /END SHOULD
          BE LOGICALLY EQUIVALENT TO A /OK.  PREVIOUSLY, A /END 
          PRODUCED A 1IR BMR. 
                        1IR 
 NW105Q   RETURN ONLY LINE SIZE 
                        RWE 
FEAT51BDH CHANGE DMP SO IT DOES NOT CALL EX.RBT IF CONNECTED FILE 
          HAS NO RBT WORD PAIRS.
                        DMP 
SC44177   CHANGE BIT USED FOR PARITY ERROR IN CPTFLGS 
          EG     03/03/75    PREAMB 
SC44177A  CHANGE BIT USED FOR PARITY IN CPTFLGS 
          EG     03/23/75    1FC
SC44143   DISPLAY PFC FULL MESSAGE WHEN PFC IS FULL 
          RPM  02/22/75  1QF
 SC44384  FIX DSP TO PROCESS ECS RESIDENT FILES CORRECTLY.
          JYY    04/03/75    DSP
 SC40919A        CORRECT DOCUMENTATION IN TRANSR AND TRANSR$
          PNB    MAR 75 
SC41696   FIX RANDOM BIT IN PFC 
          EG     01/30/75    PFE
 SC42414  RESTART WILL DISPOSE ANY EXISTING OUTPUT FILE AT TIME OF
          RESTART 
          RFG      01/28/75   RST,RESTART 
SC43038   FIX MNT TO NOT PREMATURELY SET COMPLETION STATUS WHEN 
          SWAPOUT JOB IF PACK OFF 
          DLF      75/03/18  MNT
SC43723   CHECK IF LPF CALLED FROM A SYS OVERLAY
          VMS    03/12/75    LPF
SC44152   RESQ REQUESTS TAPE WITH *RING IN* 
          RPM  02/26/75  QUEDUMP
SC44181   FIX LOADPF - WHEN A FILE CONTAINED ONE EMBEDDED FILEMARK AND
          THE FOLLOWING RECORD WAS SHORT, ON A 3.3 DUMP TAPE, THE EOR 
          WOULD BE LOST.
          FURTHERMORE THERE IS AN INVALID EOF TEST THAT CAN RESULT IN 
          SPURIOUS EOFS, OR IN A FILE BEING CUT SHORT.
          IT OCCURS ONLY IN OBSCURE TIMING SITUATIONS.
             JSB   03/19/75   LOADPF
SC44205 STOP SERCHING THE TAPE AFTER ALL REQUESTED FILES HAVE BEEN
          LOADED
          VMS    03/11/75    LOADPF 
SC44240   REPLACES HARD CODED MASKS WITH SYMBOLIC ONES, CORRECTS EOF
          PROBLEM 
          RFG      04/02/75  RST,RESTART,CKP
SC44295   FIX CREATION OF OVERFLOW WORD PAIRS 
          EG     03/23/75    PFE
FEAT51CC0  FIX HDS TO CONFORM WITH TDS AND DSD ON STARTING UP CONTROL 
          POINTS WHICH ARE ZERO.
             JSB   03/25/75   HDS 
FEAT51CC4 FIX PFD TO HANDLE TYPE 2 DEVICE LABEL FOR UPWARD COMPATIBILITY
          2) CONVPF INTERFACE REMOVED TO MAKE SPACE AVAILABLE 
          DLF    04/08/75    PFD
FEAT54CI4 THIS CODE FOR 3.4.4 ON PLB. 
          FIXES DSM TO ABORT IF SET I/L IN LABEL LEFT SET, FORCING
          A RECOVER TO BE RUN ON THE SET. 
          FIX DSM TO REQUEST MST CHANNEL BEFORE ZEROING MST ENTRY,
          E.G., CLEARING SET I/L , SO MNT IS NOT CONFUSED ON STATUS 
          OF MASTER.
          DLF    75/03/26    DSM
FEAT54CK4 FIXES BUG IN FEAT54CI8
          RPM  04/04/75  PFE
FEAT54CK7 FIX MNT ROUTINE SEF TO UPDATE FREEST - CM EST ADDR,ONLY 
          AFTER MAKING EST FREE, PROBLEM DUE TO FEAT51CB1 
          DLF    04/10/75    MNT
SC43401   DOCUMENTATION CHANGES TO COMDECK *TABLES* TO UPDATE THE FORMAT
          OF THE PFM RBTC  (PFC) ENTRY
          DWC    04/17/75    COMDECK *TABLES* 
 SC43471  AUX FIX TO CLEAR THE 9-TRACK TAPE BIT IN PFC ENTRY BEFORE 
          AUX CHECKS IF IT NEEDS TO BE SET. 
          JCL     03/20/75     AUX
 SC43609  AUDIT FIX FOR NOT PROCESSING AC PARAMETER (STARTING WITH
          DISPLAY CODE CHARACTER OF 40B OR GREATER) CORRECTLY.
          JCL    03/20/75     AUDIT 
 SC43860  EPF ABORTS JOB INSTEAD OF KILLING MONITOR IF PARAMETER ADDRESS
          SUPPLIED BY AUDIT IS OUT OF ITS FIELD LENGTH. 
          CHECK RETURN STATUS OF EVERY STACK REQUEST
          JCL    04/10/75     EPF 
 FEAT51BAC   INITIALIZES EST ORDINAL TO ZERO
             JRL  01/14/75  TMT 
FEAT51BCJ THIS CODE MODIFIES PFE TO USE EX.RBT
          EG     04/24/75    PFCD03 
FEAT51BCK THIS CODE SETS THE FNT BUSY WHILE PFM ROUTINES ARE USING IT 
          EG     04/02/75    PFCELLS
FEAT51BCL THIS CODE SETS THE FNT BUSY WHILE PFM ROUTINES ARE USING IT 
          EG     04/02/75    PREAMB 
FEAT51BCM THIS CODE SETS THE FNT BUSY WHILE PFM ROUTINES ARE USING IT 
          EG     04/02/75    PFMESS 
FEAT51BCN THIS CODE SETS THE FNT BUSY WHILE PFM ROUTINES ARE USING IT 
          EG     04/02/75    DECKALL
FEAT51BCO MAKE 1QF CALL PFCD01 BEFORE CALLING PFMESS
          EG     04/24/75    1QF
FEAT51BCP THIS CODE SETS THE FNT BUSY WHILE PFM ROUTINES ARE USING IT 
          EG     04/02/75    PFC
FEAT51BCQ THIS CODE SETS THE FNT BUSY WHILE PFM ROUTINES ARE USING IT 
          EG     04/02/75    PFE
FEAT51BCR THIS CODE SETS THE FNT BUSY WHILE PFM ROUTINES ARE USING IT 
          EG     04/02/75    PFR
FEAT51BCS THIS CODE SETS THE FNT BUSY WHILE PFM ROUTINES ARE USING IT 
          EG     04/18/75    PFP
FEAT51BCT THIS CODE SETS THE FNT BUSY WHILE PFM ROUTINES ARE USING IT 
          EG     04/02/75    1FC
FEAT51BCU THIS CODE SETS THE FNT BUSY WHILE PFM ROUTINES ARE USING IT 
          EG     04/02/75    1PD
 FEAT51BCV   ALLOWS RECOVER TO RUN ON A MOUNTED DEVICE SET EVEN 
             IF THE MASTER DEVICE IS OFF
             SETS THE RB SIZE IN THE RBR HEADER TO THE SIZE SPECIFIED 
             IN THE MASTER DEVICE LABEL 
             JRL  04/04/75  TMT 
FEAT51BCY FIX MNT TO CHECK FOR RECONFIGURATION ON SYSTEM SET DURING 
          2.B DEADSTART, MNT WAS BRINGING IN DAM TO CM BUT DAM
          WAS COPY OF FLAW TABLE IN THIS STATE. 
          DLF    04/11/75    MNT
FEAT51BCZ EVICT QUEUE ENTRY WITH NO RBT CHAIN 
          RLH    4/15/75     1QF
FEAT51BDA RBPURGE ROUTINE ASSUMES UFNT CONTAINS FST NOT FNT ADDRESS 
          SKH    4/16/75     PFP
FEAT51BDB FIX CREATION OF FST FOR PURGE BY PFN
          EG     04/17/75    PFA
       FEAT51BDC SUPPRESSES EXTRANEOUS PERM FILE ACCOUNTING INFORMATION 
         OUTPUT DURING RENAME FUNCTIONS WHEN THE PFN/ID CANNOT BE 
         CHANGED BECAUSE THE PFN AND ID ALREADY EXIST.
          DWC    04/14/75    PFR
 FEAT51BDD   RECOVER SPEED-UP   (READS AN RB AT THE TIME) 
             JRL  04/22/75  RECOVER 
 FEAT51BDE   MISCELLANEOUS FIXES
                   DYNAMIC PAM IN THE BLANK COMMON
                   IMS CORRECTIONS
                   RBSYS MUST WORK ON INTEGER VALUES
             JRL  04/22/75  RECOVER 
 FEAT51BDF   GET RB FUNCTION FOR RECOVERY SPEED-UP
             JRL  04/22/75  TMT 
FEAT51CC5 ADS COMPUTING INCORRECT EXPIRATION DATE.  WHEN EXP DATE IS
          LAST DAY OF THE YEAR, IT COMES OUT (FOR EXAMPLE) 76000
          INSTEAD OF 75365. 
             JSB   04/08/75   ADS 
FEAT51CD6 ABORTS CATALOG/RENAME FUNCTIONS IF PFN/ID CONTAINS SPECIAL
          CHARACTERS,EMBEDDED ZEROES, OR EMBEDDED BLANKS
          DWC    04/25/75    INIT,DECKALL,PFR,PFC,1PD 
FEAT51CD7 ABORTS CATALOG/RENAME FUNCTIONS IF PFN/ID CONTAINS SPECIAL
          CHARACTERS,EMBEDDED ZEROES, OR EMBEDDED BLANKS
          DWC    04/25/75    INIT,DECKALL,PFR,PFC,1PD 
FEAT51CD8 PERM FILE PP ROUTINES HANG ON FDB ADDRESS ERRORS. 
          MOD TO PRINT MESSAGE AND ABORT NORMALLY.
          DWC    04/14/75    DECKALL  (PFC,1QF,1FC,PFA,LPF,PFP,PFE, 
                             PFR,1PD,AND PFS) 
FEAT51CD9 OUTPUT ERROR MESSAGE AND ABORT WHEN FDB ADDRESS ERROR 
          OCCURS WITHIN ANY PFM ROUTINE 
          DWC    04/25/75    1PD
FEAT51CE0 ABORTS CATALOG/RENAME FUNCTIONS IF PFN/ID CONTAINS SPECIAL
          CHARACTERS,EMBEDDED ZEROES, OR EMBEDDED BLANKS
          DWC    04/25/75    INIT,DECKALL,PFR,PFC,1PD 
FEAT51CE1 ABORTS CATALOG/RENAME FUNCTIONS IF PFN/ID CONTAINS SPECIAL
          CHARACTERS,EMBEDDED ZEROES, OR EMBEDDED BLANKS
          DWC    04/25/75    INIT,DECKALL,PFR,PFC,1PD 
FEAT51CE2 THIS CODE SETS THE FNT BUSY WHILE PFM ROUTINES ARE USING IT 
          EG     04/02/75    PFCD01 
FEAT51CE3 ABORTS CATALOG/RENAME FUNCTIONS IF PFN/ID CONTAINS SPECIAL
          CHARACTERS,EMBEDDED ZEROES, OR EMBEDDED BLANKS
          DWC    04/25/75    INIT,DECKALL,PFR,PFC,1PD 
FEAT51CE4 PREVENTS 1PF FROM OVERWRITING ITSELF WITH BLANKS, BY PROPERLY 
          CHECKING LENGTH OF PFN
          DWC    04/21/75    1PF
 FEAT51CE5 ADDS TRAILING 0-BYTES TO INTERCOM MSGS IN 1PF
          DWC    04/25/75    1PF
 FEAT54CJ7     AUX MOD FOR MMF DUMPF SYNCHRONIZATION
               JCL     04/10/75     AUX 
 FEAT54CK3     CLEAN UP MODS FOR AUX
 FEAT54CJ9     DUMPF MOD FOR MMF DUMPF SYNCHRONIZATION
               JCL    04/10/75     DUMPF
 FEAT54CK8     SPACE SAVING CODE FOR LPF
               JCL    04/16/75    LPF 
FEAT54CK9 CLEAN UP DECKALL LISTING, REMOVE EJECTS AND LIST F
          RLH    4/17/75     DECKALL
 FEAT54CJ8     1PC MOD FOR MMF DUMPF SYNCHRONIZATION
               JCL    04/10/75     1PC
FEAT51CD5 CAUSES XDQ TO SET THE MST ORDINAL IN QUEDUMPS FNT 
          RPM  04/21/75  XDQ
FEAT54CI3 THIS CODE FOR 3.4.4 ON PLB. 
          THIS MOD INSTALLS SHARED-RMS CODE INTO MNT. 
          THE SHARED RMS PL (OR MMF) MUST BE INSTALLED SO COMPASS 
          CAN GET THE TEXT (SRMS) WITH THE KEY CODE IP.SRMS=1 
          DLF    04/17/75    MNT
LU406    ***
LU406M   ***
FEAT51BCI  FIX RANGES OF FLAWS ON 844 
           VMS   03/31/75    LABELMS
FEAT51BCX THE FOLLOWING FIXES TO MNT- 
          A) MNT MESSAGES ORDINAL REPLACED BY TAG ORDINAL 
           MEP()+MSGINDEX = MSG(I)
          B) 1PK CALL DUE TO OPDSMNT FLAG IN SMT RESULTS IN MODE 7NOT 2 
          C) RESTRUCTURE MNT MOVE FMD ROUTINE 
          DLF    04/10/75    MNT
 FEAT51BDG   WHEN MOUNT FINDS THE OPERATOR DISMOUNT FLAG SET IN 
             THE SMT IT CALLS 1PK(7). 
             1PK(7) SETS 1PK(8) IN THE DELAY STACK IN ORDER TO RECALL 
             MOUNT AND CHECK IF THE FLAG IS STILL SET I.E. MOUNT
             BOUNCES UNTIL THE DMNT FLAG GOES AWAY. 
  
             MODIFICATION TO 1PK TO PROCESS *Q REQUEST. 
             JRL  05/06/75  1PK 
FEAT51BDJ FIX 1PC TO HANDLE SKELETON OVFL WD PR 
          FIX 1PC TO NOT COMPARE RBR ORDINALS AFTER FINDING OVFL WD PR
                 ON UPWARD COMP.
          FIX TEMP1 TO CORRECTLY POINT TO NEXT WD PR IN BUFFER
          FIX 1PC TO DROP SR I/L BEFORE RESERVING MST CH
          EG     04/24075    1PC
FEAT51BDK FIX PFE TO HANDLE SKELETON OVFL WD PR 
          FIX PFE TO ABORT IF RBT CHAIN IS TOO LARGE
          EG     04/24075    PFE
FEAT51BDL ADD NEW ERROR CODE
          MAKE SPACE FOR 1FC BY REMOVING UNUSED MESSAGES
          EG     04/24075    PFMESS 
FEAT51BDM FIX 1FC TO HANDLE SKELETON OVFL WD PR 
          FIX 1FC TO ABORT IF RBT CHAIN TOO LARGE 
          FIX 1FC TO USE EX.RBT 
          EG     04/24075    1FC
FEAT51BDN ADD NEW ERROR MESSAGE FOR RBT CHAIN TOO LARGE 
          EG     04/24075    1PD
 FEAT51BDP   ISSUES THE DEVICE CAPACITY EXCEEDED MESSAGE FOR 3DO
  
             IMPROVES THE DOCUMENTATION IN THE UPDATE DDT SEQUENCE. 
             JRL  04/26/75  1PK 
FEAT51BDQ  UPDATE AVAILABLE AND USABLE COUNTS IN SMT
           VMS   05/02/75    RELABEL
FEAT51BDR  UPDATE USABLE AND AVAILABLE IN SMT AND MAKE SOME ROOM
          VMS    02/05/75    LBL
 FEAT51BDS   SCAN ALL RBT CHAIN EVEN IF A CROSSED RB HAS BEEN DETECTED
             CHECK LINK FIELD VALIDITY FOR 1ST RBT WORD PAIR
             IMPROVED MESSAGES
             JRL  05/21/75  RECOVER 
 FEAT51BDT   TAT IS NOT USER CALLABLE 
             JRL  05/05/75  TAT 
 FEAT51BDU   TMT IS NOT USER CALLABLE 
             JRL  05/05/75  TMT 
FEAT51BDW FIX CHAINC SO THAT DEVICE TYPE IS TAKEN FROM RBR FOR FNT IN 
          UPWARD COMP.
          EG     05/07/75    DECKALL
FEAT51BDX FIX 1PC TO SKIP OVER RBT CHAIN COMPARISON IF FIRST RBT ORD
          IN FNT IS ZERO
          EG     05/07/75    1PC
FEAT51BDY MAKE SPACE FOR 1FC BY REMOVING BYTES NOT USED 
          EG     05/07/75    PFCELLS
FEAT51BDZ FIX 1FC TO USE EX.RBT 
          EG     05/07/75    PFCD03 
 FEAT51BEB   CLOSER WILL USE THE LAST RBT WORD PAIR WHEN IT IS EMPTY
             JRL  05/08/75  1PK 
FEAT51BEC REMOVE CHECK OF  WRITE INDEX  BIT IN FNT
          EG     05/08/75    PFE
FEAT51BED FIX 1FC TO CATALOG FILES WITHOUT DEV TYPE IN RBT CHAIN ON 
          UPWARD COMP 
          EG     05/12/75    1FC
FEAT51BEJ MAKE PFC CHECK IF RBT CHAIN IS TOO LARGE
          EG     05/26/75          PFC
FEAT51CB2 CAUSE 1QF NOT TO SET THE PF BIT IN THE RBT
          RPM  03/12/75  1QF
FEAT51CE9 FIXES REQUESTING OF PREDAYFILE
          RPM  04/28/75  QUEDUMP
FEAT51CF2 STUFF DAM ORDINAL INTO NORMAL WORD PAIRS ON RECOVERY
          RLH    5/21/75     1QF
 FEAT54CI0     EPF MOD FOR UPWARD COMPATABILITY AND MULTIPLE RBRS.
               JCL     05/20/75     EPF 
 FEAT54CI1     AUDIT MOD FOR UPWARD COMPATABILITY AND MULTIPLE RBRS.
               JCL     05/20/75    AUDIT
 FEAT54CL0     LPF CODE TO MODIFY INTERLOCK SCHEME
               JCL     05/23/75     LPF 
FEAT54CL2 CHECK FOR CN PERM IF PURGE BY PFN 
          IF PURGE BY PFN OF ARC FILE ALLOW ONLY CN PERM
          EG     04/28/75    PFA
FEAT54CL3 TURN CODE 8 ENTRY NOT IN USE ERROR INTO SOFT ERROR
          RLH    5/16/75     1QF
 FEAT54CL4     DROP PFM I/L FOR LPF 
               JCL     05/20/75     NEWAPF COMDECK
LU406M   ***
SC44330.  AN ATTEMPT TO DO A SETFL OR SETFLO ON A PP LIBRARY
          ROUTINE WILL PRODUCE THE DIAGNOSTIC 
          LIBRARY MUST PRECEED A SETFL OR SETFLO. 
          ARW.   74/04/04.   EDITLIB. 
  
FEAT115B. REMOVE CODE PREVENTING A SETFL OR SETFLO WHILE
          INTERCOM IS UP. 
          ARW.   74/03/26.   EDITLIB. 
  
L410     ***
SC41385.  REPLACE ABS/REL PROGRAM TEST IN USER EDITLIB CONTENT
          DIRECTIVE PROCESSOR WITH A RELIABLE TEST. 
          AFRB.   74/04/28.   EDITLIB.
  
 SC41888     EPF MOD TO SEARCH FNT FOR ZZZZZPC FILE.
             JCL    05/20/75     EPF
 SC41967  *LDV* AND *LDW* ARE MODIFIED TO VERIFY THAT FWA IS
          WITHIN THE FIELD LENGTH FOR OVERLAY LOADS.
          CJL    75/04/15    LDV,LDW                       PSR
  
SC42375   UPDATE DOCUMENTATION FOR 3.4
          DUMPF  04/08/75    VMS
SC42651   CORRECTS CODING SO THAT MORE THAN 262K OF DIRECT ACCESS ECS 
          CAN BE RESTORED BY RESTART
          RFG    06/19/75    RESTART
SC42815.  USER EDITLIB DOESNT HANDLE THINGS LIKE ADD(C-C) 
          AND ADD(-C) CORRECTLY, BUT RUNS OFF THE END OF THE INPUT
          FILE LOOKING FOR A SECOND C . THIS CODE FIXES THAT. 
          AFRB.   74/04/28   EDITLIB. 
  
 SC43066       DUMPF MOD TO ATTACH FILE DUM SO THAT THE DATE
               AND TIME OF LAST ATTACH MAY BE UPDATED BY PFA. 
               JCL     04/30/75     DUMPF 
SC43121   CORRECTS DIRECT ACCESS ECS PROCESSING TO UPDATE RA AND RE WHEN
          RESTORING THE EXCHANGE PACKAGE, SAVE TYPCALL DURING A SWAP-OUT
          AND ALLOW ANY AMOUNT OF ECS TO BE SAVED 
          RFG    06/20/75    CKP
SC43197   FIX LOADPF PROBLEM IN LOADING 3.4.0 PF"S WITH A USER SLOT,
          WHERE THE SUER SLOT WOULD BE MISPOSITIONED BY ONE WORD. 
             JSB   06002/75   LOADPF
 SC43421  THE DENSITY USED REQUESTING  ARCHIVE-RETRIEVAL TAPES WAS
          FROZEN AT 800 BPI FOR 7-TRACK AND NINE-TRACK.  WE WE WILL 
          PROVIDE AN ASSEMBLY OPTION FOR THE USER TO DEFINE SEPARATELY
          THE DENSITY FOR 7- AND 9-TRACK TAPES,  INCLUDING THE OPTION 
          ON EACH ONE TO USE THE THE SYSTEM-DEFAULT DENSITY.
          THE OPTION IS SUPPLIED BY ADDING EQUATES TO  LOADPF MUCH LIKE 
          IPARAMS.
             JSB   04/24/75   LOADPF
SC43421A  FIX TO PFCCP AS PART OF SC44270, MAIN FIX IS TO LOADPF. 
             JSB   05/06/75   PFCCP 
 SC43865  IF THE RECORD COUNT EXCEEDS 777777B:  
          SKIPF WILL SKIP TO END OF INFORMATION;
          SKIPB WILL SKIP TO BEGINNING OF INFORMATION.
                 SKIPF, SKIPB 
SC43902.  ISSUE ERROR MESSAGE IF PNT OF A LIBRARY 
          IS LARGER THAN BUF3. ABORT USER IF BUF3 OVERFLOWS.
          ARW.   75/05/16.   EDITLIB. 
  
 SC43966  COPYCOM ROUTINES PRODUCE MODE 1 ERROR IF AN LFN 
          GREATER THAN 7 CHARACTERS IS SUPPLIED TO THEM.
                        COPYCOM 
SC44058   RESQ DOES NOT VALIDATE THE DUMP TAPE HEADER BLOCKS VERY WELL
          RPM  02/07/75  QUEDUMP
SC44058A  DELETES DUPLICATE CODE IN DSP 
          RPM  07/02/75  DSP
SC44076   DO NOT RPINT COLONS AT END OF INPUT DIRECTIVES
          VMS    03/12/75    LOADPF 
SC44076A  DO NOT PRINT COLONS WHEN INPUT IS READ FROM INTERCOM
          DUMPF  04/09/75    VMS
 SC44113  IF P REG IS BETWEEN FL-100B AND FL,  A DUMP OF THE
          REGISTERS WILL DUMP P+100 AND DUMP WORDS OUTSIDE THE FL.
                         DMP
SC44154   USE THE RING OPTION ON THE TAPE REQUEST FOR DAYFILE.
          RLM    75/04/14          1DF
SC44200   PREVENTS CLOBBERING RA+0 TO RA+100B AND CAUSING A PP CALL ERR 
          DUE TO USING AN UNINITIALIZED FET 
          RFG    06/20/75 
 SC44270  FAILURE OF SC42391 TO FIX PROBLEM WHERE DATA COULD BE LOAST IN
          FRONT OF AN EOF.
             JSB   050575    LOADPF 
 SC44333  DMP DOES NOT DUMP P REGISTER  PLUS AND MINUS 100 IF 
          P=1  AND A MODE ERROR HAS OCCURRED.  IN THIS CASE THE REAL
          P REG IS IN RA+ZERO.  THIS CODE CHANGES DMP TO LOOK IN
          RA+ZERO FOR P IF P IN EXCHANGE PACKAGE IS ZERO OR ONE.
                        DMP 
 SC44342     AUDIT MOD TO HANDLE CIRCULAR BUFFER I/O POINTER CORRECTLY
             WHEN THE PFC SIZE EXCEEDS 2000B WORDS. 
             JCL    05/10/75     AUDIT
 SC44379     LOADPF KILLS SYSTEM IF USER IMPROPERLY CALLS 
             LOADPF WITH AN AP PARAMETER. 
             JCL     06/05/75     LOADPF
 SC44379A    LOADPF KILLS SYSTEM IF IMPROPERLY CALLED WITH AN 
             AP PARAMETER BY AN USER. 
             JCL     06/05/75     LPF 
 SC44379B    LOADPF KILLS SYSTEM IF IMPROPERLY CALLED WITH
             AN AP PARAMETER BY AN USER.
          JCL    06/15/75     RSVAPF COMDECK
 SC44379C    LOADPF KILLS SYSTEM IF IMPROPERLY CALLED WITH
             AN AP PARAMETER BY AN USER.
             JCL     06/15/75     NEWAPF COMDECK
 SC44379D LOADPF HANGS SYSTEM IF ARCHIVE RETRIEVAL IS CALLED IMPROPERLY 
          JCL     06/20/75     PFMESS 
 SC44379E LOADPF HANGS SYSTEM IF ARCHIVE RETRIEVAL IS CALLED IMPROPERLY 
          JCL     06/20/75     1PD
 SC44403     TRANSPF MOD TO PASS CORRECT PFC HEADER SIZE TO LPF.
             JCL     05/08/75     TRANSPF 
 SC44475  JANUS LOADS A6 TRAIN IMAGE FOR 580 PRINTERS INCORRECTLY.
          ALSO, IF A6 TRAIN IS NOMINAL, B6 IMAGE CANNOT BE LOADED.
                        1IR 
SC44496.  THIS CODE PROTECTS AGAINST A HANG WHEN MOVING TO ECS
          AND THE BUFFER HAS SPACE LEFT FOR LESS THAN TWO PRU.
          ARW.   75/05/16.   EDITLIB. 
  
 SC44511A FIX DSP TO LET 1TJ DSP IS CALLING IT. 
          JYY    04/24/75    DSP
 SC44544  1IR MISUSES THE SYMBOL IP.CSET.  THIS COULD LEAD TO IMPROPER
          SWITCHING OF PRINT FILES. 
                        1IR 
 SC44569     DUMPF TO IMFORM OPERATOR WAITING ON ARCHIVED 
             FILES TO BE RETRIEVED. 
             JCL     06/10/75     DUMPF 
 SC44573     LPF TO ISSUE NON-FATAL ERROR EXIT FOR BAD LPF COMMUNICATION
             JCL    06/10/75     1PD
 SC44573A    LPF TO ISSUE NON-FATAL ERROR EXIT FOR BAD LPF COMMUNICATION
             JCL    06/10/75     PREAMB 
 SC44573B    LPF TO ISSUE NON-FATAL ERROR EXIT FOR BAD LPF COMMUNICATION
             JCL    06/10/75     PFMESS 
 SC44573C    LPF TO ISSUE NON-FATAL ERROR EXIT FOR BAD LPF COMMUNICATION
             JCL    06/10/75     LPF
 SC44573D    LPF TO ISSUE NON-FATAL ERROR EXIT FOR BAD LPF COMMUNICATION
             JCL    06/10/75     DECKALL
SC44583.  IN THE ROUTINE EDITRWNS THE FIRST POINTER WAS BEING 
          PICKED UP INSTEAD OF THE OUT POINTER WHEN CHECKING
          FOR IN EQUAL TO OUT.
          ARW.   75/04/30.   EDITLIB. 
  
SC44584.  DIAGNOSE EMPTY PROGRAM NAME IN PRFX TABLE.
          ARW.   75/04/30.   EDITLIB. 
  
SC44585.  PREVENT SYSTEM EDITLIB HANG BY MAKING PRINT ROUTINE 
          RESTORE (B1) = 1 WHEN MSGL = 8. 
          ARW.   75/04/30.   EDITLIB. 
  
SC44602.  MESSAGE ADJUSTED SO INSERTED WORDS FIT. 
          AFRB.  75/05/15.   EDITLIB. 
  
 SC44610  JANUS MUST DO SPECIAL PROCESSING FOR DECKS DESTINED FOR A 
          7000 MAINFRAME.  THIS CODE CORRECTS THE CODE TO RECOGNIZE 
          SUCH DECKS.  ANY JOB WITH A DESTINATION ID  OF C7X (X=ANY 
          CHARACTER) IS PROCESSED AS A 7000 JOB.
                        1IR 
 SC44617  *LDW* IS MODIFIED TO SET THE *SYSTEM PROTECT BIT* 
          IF LOADING IS FROM NON-SYSTEM SOURCES.
          CJL    75/05/14    LDW
  
 SC44628  /SUP SUPPRESSES PM MESSAGES ON A9 TRAINS. 
          PM MESSAGE IN AN A9 FILE CAUSES DIRECT CELL CONFLICT. 
                        1IR 
 SC44650  REPEAT COUNT IS INDICATED INCORRECTLY ON THE J DISPLAY. 
                        1IR 
 SC44656     DUMPF TO LEFT-JUSTIFY USER ID-S. 
             JCL     06/10/75     DUMPF 
 SC44673  DELETE UNNECESSARY CHECK FOR ALLOCATABLE DEVICE IN 1IQ
                        1IQ 
 SC44704  1IR SHOULD IGNORE /END CR IF NO FILE IS CURRENTLY ACTIVE. 
                        1IR 
SC44761   CAUSES DMPQ TO NOT STEAL SPOT DAYFILES
          RPM  06/11/75  XDQ
SC44782   FIX LOADPF BUG WHERE IT CAN LOSE A WHOLE BUFFER LOAD OF DATA
          THROUGH  ERRONEOUS POINTER PUSHING. 
             JSB   06/02/75   LOADPF
SC44787B  REMOVE THE M.STEP FROM XDQ
          RLM    75/06/05          XDQ
 E023BX   MODIFIES FEAT E023B DECK TO USE NEW SEQUENCE NUMBERS
                 MODIFIES GPF,SPF,AND PFP TO USE FILE IDENTIFIER 0401B
                 0402B,AND 0403B
                 GW    11/1/74     SPF,GPF,PFP
FEAT51BEE FIX 1FC TO NOT ABORT IF RBT CHAIN OF PFC ENTRY TO BE PURGED 
          IS ON IDLE DEVICE 
          FIX CONVERSION ON UP COMP FOR FIRST WD PR FOLLOWED BY SKE 
          OVFL WD PR
          FIX PFC SIZE FOR FILE WITH SKE OVFL WD PR  ON UP COMP 
          EG     05/23/75    1FC
FEAT51BEF FIX PFA TO EVICT RBT CHAIN AND CALL 1PC TO CLEAN UP IF FILE 
          IS ON IDLE DEVICE 
          EG     05/23/75    PFA
FEAT51BEG FIX PFA AND 1FC TO HANDLE SKELETON OVFL WD PR 
          FIX PFA TO EVICT RBT CHAIN
          EG     05/23/75    DECKALL
          FIX 1PC TO NOT GIVE A BMR IF DAM ORD DO NOT MATCH AND RBT 
          CHAIN IN PFC ENTRY IS EMPTY 
          ISSUE BMR IF PFC CHAIN LONGER 
          EG     05/23/75    1PC
FEAT51BEI FIX PFE TO COMPARE DAM ORD AND IF THEY DO NOT MATCH, GIVE A 
          BMR UNLESS THE RBT CHAIN IN THE PFC ENTRY IS EMPTY
          EG     05/23/75    PFE
FEAT51BEK FIX PFE TO UPDATE COMPLETELY FIRST WD PR ON EXTEND OF REWOUND 
          FILE
          EG     05/30/75    PFE
             FEAT51BEL FIXES A CLOSER PROBLEM ON FILES LESS THAN AN 
             RB LONG
             JRL  06/09/75  1PK 
FEAT51BEN FIX PFA TO ISSUE DAYFILE MESSAGE IF RC SPECIFIED AND FATAL
          ERROR (ERROR CODE GREATER THAN 70B) 
          EG     06/13/75    DECKALL
FEAT51BEO FIX 1PD TO ISSUE DAYFILE MESSAGE IF FATAL ERROR AND RC BIT SET
          EG     06/16/75    1PD
FEAT51BER FIX PURGE BY PFN TO DAYFILE CYCLE NUMBER
          EG     06/17/75    PFA
FEAT51BES FIX PURGE BY PFN TO DAYFILE CYCLE NUMBER
          EG     06/17/75    DECKALL
FEAT51BEV FIX ERROR MESSAGE ISSUED BY 1PD 
          EG     06/25/75    1PD
 FEAT51BEW   MISCELLANEOUS LISTING ADJUSTEMENT AND CORRECTION OF
             SOME PFD/PFC MISMATCHES (ID,SD,PFN AND PSWRDS) 
             JRL  06/24/75  RECOVER 
FEAT51BEY FIX PFE ON UPWARD COMPATIBILITY TO ZERO CORRECT NEXT WD PR
          ORD AFTER FINDING A SKELETON OVFL WD PR 
          EG     06/25/75    PFE
FEAT51BFC  FIXES RANGES OF FLAWS ON 844-S 
          LABELMS   6/30/75   VMS 
FEAT51CE7  CORRECTS REQUEST PROCESSING TO INCLUDE VSN, SETNAME
          PROCESSING
          RFG      06/09/75  CKP
FEAT51CE8  CORRECTS REQUEST PROCESSING TO INCLUDE VSN, SETNAME
          PROCESSING
          RFG      06/09/75  RESTART
          EX.RBT CODE CLOBBERS D.Z3-D.Z4
          SKH    6/3/75      D00
FEAT51CF5 DURING QUEUE-RECOVERY ON A NORMAL DS, SKIP QUEUE FILE 
          WHICH RESIDES ON NON MOUNTED DEVICE 
          RLH    6/5/75      1QF
FEAT51CG6 FIX BUG WHERE ADS LEAVES THE LABEL OF A DEVICE LOOKING LIKE 
          THE SET HAS BEEN CREATED IF ADS ABORTS.  THIS CAN CAUSE A PFC 
          BMR IF THE PFC OR PFD HAS NOT YET BEEN ZEROED.  ADS ALWAYS
          WRITES THE LABEL, ON NORMAL OR ABNORMAL TERMINTATION  THE FIX I 
          IS TO NOT PUT SN IN THE LABEL IMAGE IN THE BUFFER IN THE PP,
          UNTIL ALL INFORMATION HAS BEEN WRITTEN ON THE DISK. 
             JSB   ADS   07/07/75 
          SD SPEEDUP MODS FOR PFCELLS 
          SKH    4/25/75     PFCELLS
          SD SPEEDUP MODS FOR DECKALL 
          SKH    4/25/75     DECKALL
          SD SPEEDUP MODS FOR PFCD01
          SKH    4/25/75     PFCD01 
          SD SPEEDUP MODS FOR COMSDSS 
          SKH    4/28/75     COMSDSS
          SD SPEDDUP MODS FOR PFC 
          SKH    4/29/75     PFC
          SD SPEDDUP MODS FOR LPF 
          SKH    4/29/75     LPF
          SD SPEDDUP MODS FOR PFCD03
          SKH    4/29/75     PFCD03 
          SD SPEDDUP MODS FOR PFR 
          SKH    4/29/75     PFR
          SD SPEDDUP MODS FOR MNT 
          SKH    4/29/75     MNT
          SD SPEEDUP MODS TO EPF
          JCL    4/30/75     EPF
          SUBDIRECTORY SPEED UP MODS TO TABLES
          SKH    5/6/75      TABLES 
          SD SPEEDUP MODS FOR PREAMB
          SKH    5/27/75     PREAMB 
          SD SPEEDUP MODS FOR PFA 
          SKH    5/28/75     PFA
          SD SPEEDUP MODS FOR 1PC 
          EG     6/2/75      1PC
          SET COMPATIBILITY BIT IN LABEL IF NOT RECONFIGURED SET
          JSB    6/16/75     ADS
          SD SPEEDUP MODS FOR PFP 
          EG     6/2/75      PFP
 FEAT54CK1     DUMPF MOD TO DISALLOW THE UNIT DUMP OPTION.
               JCL     05/10/75     DUMPF 
 FEAT54CK2     LOADPF MOD TO DISALLOW THE UNIT LOAD OPTION. 
               JCL     05/10/75     LOADPF
FEAT54CL5 SOFT KILL ON I/O ERROR
          RPM  06/15/75  1QF
 FEAT54CL6     AUDIT MOD TO TAKE OUT STARTING EST ORDINAL FOR 
               FILE FROM THE AUDIT OUTPUT AND REPLACE IT WITH 
               THE VSN OF DEVICE ON WHICH IT RESIDES. 
               AUDIT     06/25/75     JCL 
 FEAT54CL7     AUDIT MOD TO REPLACE EST WITH UNIT VSN OF DEVICE.
               JCL     06/25/75     CPAUD COMDECK 
 FEAT54CL8     EPF MOD FOR SPACE SAVING AND CLEAN UPS.
               JCL     06/27/75     EPF 
FEAT54CL9 DO NOT CHANGE SUBDIRECTORY NO. IF PFN/ID PAIR ALREADY EXISTS
          DWC    06/27/75          PFR
 FEAT54CM1     LPF FIX FOR CODE 16 - BAD SETNAME ADDRESS IN JTAB
               AFTER LPF RETURNS FROM DELAY STACK.
               JCL     07/10/75     LPF 
 FEAT54CM2     DUMPF FIX FOR FILES GETTING PURGED WITH DUMPF(MO=2)
               IF THEY WERE BUSY AT THE TIME OF THE FIRST PFC SCAN. 
               JCL     07/10/75     DUMPF 
 FEAT54CM3     EPF ASSEMBLEY ERROR FIX
               JCL     07/09/75     EPF 
SC42393        DUMPF MOD TO GET RID OF REDUNDANT DAYFILE MESSAGES.
               JCL     07/15/75     DUMPF 
 SC42393A      LOADPF MODS TO GET RID OF REDUNDANT DAYFILE MESSAGES.
               JCL     07/15/75     LOADPF
 SC42393B      LPF MODS TO GET RID OF REDUNDANT DAYFILE MESSAGES. 
          JCL    07/15/75     LPF 
          FIRST OF THREE IDENTS TO RESOLVE PROBLEM WITH 1FC READING THE 
          PASSWORDS FROM THE FDB WHEN PLACING THEM IN THE PFC.
          SKH    7/21/75     PFC
          SECOND PART OF SC43161
          SKH    7/21/75     1FC
          THIRD PART OF SC43151 
          SKH    7/21/75     PFCELLS
SC43298   CEIO POINTER NOT HANDLED CORRECTLY
          RPM  07/16/75  PURGEUP
SC43298A  CEIO POINTER NOT HANDLED CORRECTLY
          RPM  07/15/75  1FC
SC43298B  CEIO POINTER NOT HANDLED CORRECTLY
          RPM  07/15/75  1QF
 SC43739     DUMPF MOD TO FIX DUMPF(TI=MMSS) PROBLEM. 
             JCL     07/17/75     JCL 
 SC43794     DUMPF FIX FOR DUMPF TIMING PROBLEM.
          JCL     07/20/75     DUMPF
SC44058B  SETS THE ASSIGN TO QUEUE DEVICE ON DEFERED DISPOSE
          RPM  07/22/75  DSP
SC44381   LOADPF AND DUMPF CONTROL CARDS ARE INCORECTLY CRACKED IF
          THEY BEGIN IN ANY COL OTHER THAN 1
          RPM  07/09/75  PFCCP
SC44707   FIX LOADPF SO IT UNLOADS TAPE WHEN DONE.
             JSB   06/24/75 
SC44862   LOADPF CAN CAUSE BUFFER PARAM ERROR BY SETTING OUT=LIMIT
          ON NINE-TRACK TAPE. 
             JSB   06/24/75   LOADPF
 SC44888A SC44888A FIXES GPF/SPF BAD MONITOR REQUEST CAUSED WHEN
          SWAPPING MMF JOBS DUE TO FNT CHANNEL RESERVATION PROBLEM. 
          CRN    07/16/75    MMFCOM,SPF,GPF,PFP 
 FEAT51BEQ   ALLOWS ALLOCATION OF DEVICE ON A USER SET EVEN WITHOUT 
             PF OR Q ATTRIBUTES 
             PREVENTS WRONG STATUSING OF A DEVICE AFTER A READ
             ERROR. 
             JRL  07/10/7  RECOVER
FEAT51BFD THIS CODE FOR PLB, 3.4.4 INSURE PRIME RBR HEADER RESTORED FOR 
          USE IN CREATING RBT CHAIN FOR DAM 
          CORRECT SINGLE DAM TO MULTIPLE RBR MAPPING
          DLF    07/09/75    MNT
 FEAT51BFE   RECOVER IN MODE 5 WILL NOT SET THE HARDWARE I/L
             JRL  07/16/75  RECOVER 
 FEAT51BFF   ALLOWS MODE 5 TO RUN WITHOUT HARDWARE I/L
             JRL  07/16/75  TMT 
FEAT51CG5 LOADPF ABORTING WHEN FNT FULL.  FIX THE  REQ CALL TO LOOP.
              JSB   06/24/75   LOADPF 
FEAT51CG9 DOES NOT EVICT RBT CHAINS IF RB CONFLICT WAS DETECTED BY
          RECOVER.  A MESSAGE IS DISPLAYED TO THE OPERATOR IF AN RB 
          CONFLICT IS FOUND ON QUEUE RECOVERY SO HE CAN DMPQ IT.
          RPM  07/21/75  1QF
          REMOVE UNNESSARY COMDECKS FROM PL1B 
          SKH    7/22/75     PL1B 
FEAT54CK5 FIXES TO ABNORMAL TERMINATION PROCESSING
          SKH    4/3/75      1PC
FEAT54CM4 EVICTS DAYFILE FOR SEQUENCER JOBS WHEN THE INPUT IS NOT 
          PERMANENT.
          RPM  07/11/75  1QF
 FEAT54CM5     AUDIT FIX FOR INCORRECT FILE SIZE OF FILES AUDITED.
               JCL     07/15/75     AUDIT 
SC41330   FIX PFA TO NOT IGNORE LC PARAM IF INVALID CY NUM GIVEN
          EG     07/29/75    PFA
SC42809   FIX PFA TO CHECK FOR SYS OVERLAY ON UTILITY CALL
          EG     07/30/75    INIT 
          PFA SHOULD DROP SR I/L BEFORE CALLING 8PA 
          EG-SKH 7/25/75     DECKALL
          CLEANUP TO PFM COMDECKS 
          SKH    7/30/75           TABLES 
          CLEANUP TO PFM COMDECKS 
          SKH    7/30/75           PFM
          CLEANUP TO PFM COMDECKS 
          SKH    7/30/75           DECKALL
          CLEANUP TO PFM COMDECKS 
          SKH    7/30/75           PREAMB 
          CLEANUP TO PFM COMDECKS 
          SKH    7/30/75           PFMESS 
SC44949F  CALL 1QF TO PURGE INPUT AFTER SETTING NO RERUN BIT
          AND FIX DECKALL TO ASSEMBLE IF IP.DEBUG=0 
          JGS    07/28/75    PFE,DECKALL
          CHANGE FILE NOT IN SYSTEM MESSAGE TO GIVE SN
          SKH    7/30/75           1PD
SC43522   SET THE DISPOSITION TO 5 IF 6 SO TAPE STAGING CAN PICK IT UP
          IF 1QF PICKS IT UP ON A QUEUE RECOVERY
          RPM  07/29/75  1QF
FEAT51BFO ALWAYS CHOOSE SYS SET FOR POST DS DAYFILES
          VMS    7/30/75     HDS
 SC43862     LPF TO UPDATE PFD HEADER WORD WHEN CREATING A NEW PFD. 
             JCL     07/25/75     TABLES COMDECK
 SC43862A    LPF TO UPDATE PFD HEADER WORD WHEN CREATING A NEW PFD. 
             JCL     07/25/75     LPF 
 SC44654     SYMBOLS REDEFINITION IN COMDECK COMSDSS
          JCL    06/10/75     COMSDSS 
 SC43006     LOADPF TO REQUEST OPERATOR ACTION IN CASE OF NO DISK SPACE.
             JCL     07/25/75     LOADPF
 SC44984     LPF FIX TO GET APF INTERLOCK WHEN IN TRANSPF REPLACE MODE. 
             JCL     08/05/75    JCL
 SC45017  THIS CODE FOR 3.4.4,PLB 1PK/DSM TOGGLE OF IDLE BIT IN EST 
          WAITING ON 1SP TO EVICT ANY RBT CHAINS
          DLF    08/08/75    DSM
 SC45017A    REMOVES THE REQUEST IDLE FLAG FROM THE EST IF THERE
             ARE ANY EVICT STACK REQUEST LEFT ON THE DVICE SET
             AND THE MASTER DEVICE IS BEING DISMOUNTED
             JRL  08/07/75  1PK 
FEAT51CH4  DONT DESTROY 0 JDT ADDRESS IN CP AREA
          VMS    07/08/75    HDS
          PFP DOES NOT CHECK RETURN CODE AFTER READ OF PFC HEADRE 
          SKH    8/6/75 
FEAT54CM6 SAVES A LITTLE ROOM IN THE FNT WHEN RECOVERING QUEUES 
          IF THE QUEUE SET IS SHARED
          RPM  08/07/75  1QF
FEAT54CM7 BRINGS IN CHAIN FOR PREDAYFILE BEFORE EVICTING IT 
          RPM  08/18/75  1QF
FEAT54CM8 FIXES WORD 1 BEING CLOBBERED IF PACK NOT ONLINE 
          RPM  08/18/75  1QF
 FEAT51BEX   CHECK FOR VALID REPLY FROM EX.RBT AND FOR RB NON EQUAL TO
             ZERO 
             JRL  06/24/75  1EV 
 FEAT51BGH   REMOVES TRAP CODE
             JRL  08/07/75  1PK 
 FEAT51BGL   RECOVER WILL PAUSE (DEADSTART MODE) OR PRINT THE 
             PROPER MESSAGE IF AN UNRECOVERABLE RMS ERROR IS
             DETECTED WHILE READING THE PFC (RBS AT THE TIME) 
             JRL  08/06/75  RECOVER 
SC42719A  PREVENTS WIPEOUT OF LIMIT POINTER IN TAPE FETS
          RFG    08/29/75    RESTART
SC43451.  CORRECT EXTRACTION OF PRU SIZE (15 BITS) FROM A FET.
          AFRB.  74/04/28.   EDITLIB. 
  
SC45074   CHECK TO MAKE SURE FILE IS ASSIGNED CORRECTLY 
          RPM  08/21/75  1QF
FEAT51BGM FIX 6PM TO NOT OVERWRITE CALL TO IT 
          MAKE PFS NOT CALL 6PM 
          EG     08/21/75    DECKALL
FEAT51BGQ FIX SUB RDRBTC TO ALWAYS CALL PSDFNT
          EG     08/25/75    PFE
 FEAT51BGV   1PK WAS DESTROYNG THE FET 1ST WORD WHEN READING A FILE 
             WITH AN RBT CHAIN TERMINATED BY A SKELETON OVERFLOW
             WORD PAIR (CREATED BY A CLOSER E.G.) 
             JRL  08/29/75  1PK 
 FEAT51BGY   RECOVER MODE 4 WILL SET IN THE DAM ALL THE BITS FOUND
             IN THE RBT CHAINS FOR THE DEVICE SET AND IGNORE THE RB 
             CONFLICTS DETECTED DURING THE PFC SCANNING.
             JRL  09/03/75  RECOVER 
 FEAT54CM9     EPF FIX FOR ASSEMBLEY ERRORS.
               JCL     08/28/75     EPF 
 SC45130     TMT SHOULD NOT TRY TO DROP THE I/L IF THE DEVICE IS NOT
             ON LINE
             JRL  09/02/75  TMT 
SC45140   DONT SET COMPLETE IN RANDOM CORE AND FIX DAYFILE MESS PROCESS 
          VMS/DAD   09/09/75   DSP
SC45159   PUT ST PARAM IN JOB CARD FOR ARCH RETRIEVAL JOB 
          EG     09/12/75    1PF
          CLEAR PFD HEADER FLAG BYTE BEFORE ADDING NEW FLAGS
          SKH    9/9/75      LPF
FEAT51CK3 MAKE PIO A NO-OP AS IT CAN CAUSE RB CONFLICTS 
          RPM  09/10/75  PIO
FEAT51CK5 FIX MNT TO BRING IN ALLOCATION STYLE FROM DISK PACK.
          REQUIRES ALSO FEAT51CK6 TO COMSDSS. 
             JSB   09/11/75   MNT 
FEAT51CK6 REQUIRED ALONG WITH FEAT51CK5 TO MNT - ALLOCATION-STYLE PROB. 
             JSB   09/11/75   COMSDSS 
FEAT51CK7 SAVE ALLOCATION STYLE IN CORRECT PLACE IN DAM HEADER
          VMS    09/16/75    LABELMS
FEAT51CK8  FIX RELABEL WHEN WAITING FOR MST INTERLOCK 
           VMS   09/18/75    LBL
SC45198   DO NOT BMR IF UNCORRECTABLE RMS ERRORS ON USER PACK 
          VMS    09/19/75    LABELMS
 FEAT51BHA   BYPASS WHOLE RBT CHAIN PROCESSING FOR AN ARCHIVED FILE.
             JRL  09/23/75  RECOVER 
L414     ***
SC43072   DUMPF WHEN WRITING 9-TRACK, WILL ABORT ATTEMPTING TO WRITE
          A NOISE RECORD IF A FILE ISJUST  THE WRONG SIZE, BECAUSE THE
          LAST BLOCK IT WRITES IS EXACTLY THE REMAINING DATA
          AFTER FULL 512-WORD BLOCKS. THIS  FIX ADJUSTS THE 
          LAST 2 BLOCKS WRITTEN SOTHAT  NEITHER BLOCK CONTAINS LESS 
          THAN 255 WORDS, SO NO NOISE RECORDS WILL BE CREATED.
             JSB   6/18/75   DUMPF
SC43172   MAKE PFC         HANDLE AN EXPLICIT  MR=0 CORRECTLY 
          VMS   08/01/75     PFC
  
SC43305 . PURGE PFC ENTRY FROM INPUT QUEUE WHEN SETTING NORERUN BIT.
          ARW.   75/08/05.   MDI. 
  
SC43641   FIX XDQ FNT CHANNEL HANDALING 
          RPM  09/02/75  XDQ
SC44174   RETURN CODE IS 9 BITS 
          VMS    08/01/75    PFA
 SC44276 ALLOWS PFCCP TO PROCESS SPECIAL CHARACTERS WITHIN A LITERAL
         STRING 
         DWC     08/04/75    PFCCP
  
SC44434A  CHANGE RWE TO BE CONSISTENT WITH PPTEXT CHANGES 
  
 SC44559  USE FORMS CODE FOR SELECTION OF PLOT FILES
                        1IQ 
 SC44697A DELETE ONLINE UNIT RECORD DRIVERS 2LP,2PC,2RC 
                        2LP,2RC,2PC 
SC44816   MAKES SURE THAT P BIT IN CPUSTAT IS CLEARED ON AN ABORT OF
          CHECKPOINT
          RFG    07/02/75    1RC
 SC44835  PLOT FILES WITH DESTINATION ID = A LOGICAL ID ARE NOT 
          PROCESSED.
                        1IQ 
 SC44930  IF AN LFN IS GREATER THAN 7 CHARACTERS A
          DIAGNOSTIC SHOULD BE GIVEN
                        UTILCOM,RETURN,REWIND,UNLOAD
SC44982   DUMP ARCHIVED HEADER IN SELECTIVE MODE=1
          VMS    08/05/75    DUMPF
SC45018   FIX 1PC TO CALL PFCD01 BEFORE CALLING TABLES
          EG     08/08/75    1PC
SC45018A  MAKE SPF CALL PFCD01
          EG     08/08/75    SPF
SC45018B  FIX 1QF TO CALL PFCD01 BEFORE CALLING TABLES
          EG     08/08/75    1QF
SC45018C  FIX GPF TO CALL PFCD01
          EG     08/08/75    GPF
SC45018D  MAKE SPACE FOR PFR
          EG     08/07/75    PREAMB 
SC45018E  MAKE SPACE FOR PFR
          CREATE DAYFILE MESSAGE TABLE FPR PFR AND PFC
          EG     08/07/75    PFCELLS
SC45018F  MAKE SPACE FOR PFR
          EG     08/07/75    TABLES 
SC45018G  FIX PFR TO NOT ISSUE DAYFILE MESSAGES WHILE IT HAS STACK
          REQUEST INTERLOCK 
          EG     07/31/75    PFR
SC45018H  FIX PFC TO NOT ISSUE DAY MSGS WHILE IT HAS SR I/L 
          EG     07/31/75    PFC
SC45018I  FIX ERR TO NOT GIVE A BMR IF PP HAS SR OR PFM I/L 
          SUBROUTINE IS CALLED
          HAVE ERR SUBROUTINE ISSUE MESSAGES FOR PFR
          EG     07/31/75    DECKALL
SC45018J  FIX 1FC TO NOT ISSUE DAYFILE MESSAGES WHILE IT HAS STACK
          REQUEST INTERLOCK 
          EG     07/31/75    1FC
 SC45019     NEW TMT FUNCTIONS FOR RECOVER
                   FETCH HOST MF ID 
                   ISSUE A PP CALL
                   TURN ON THE HARDWARE I/L 
                   TURN OFF THE HARDWARE I/L
             JRL  08/12/75  TMT 
 SC45020     IN MODE 4, RECOVER WILL CALL 1QF IF THE Q PARAMETER IS 
             SPECIFIED AND IF THIS IS THE Q SET.
             JRL  08/12/75  RECOVER 
SC45023   FIX PFCCP NOT TO LOOP IF SN= WITHOUT AN ARG IS SPECIFIED
          JGS    08/17/75    PFCCP
 SC40536  REPAIRS AUTO PAGE EJECT ON 501 PRINTER(BROKEN BY FEAT58)
                        1IR 
 SC45038  *LDV* AND *LDW* ARE MODIFIED TO USE THE *ADDRA* MACRO 
          IN CODE FOR PSR SC41967 TO BE NOS/BE COMPATIBLE.
          CJL    75/08/15    LDV,LDW
  
SC45093   PRESERVE PREABORT INFORMATION ABOUT FILES DUMPED AND RESTORED 
          RPM  08/28/75  QUEDUMP
 SC45093B FIX DSP TO PROCESS THE JOB PRE-ABORT BIT. 
          JYY    08/29/75    DSP
SC45099   SPEED UP 1QF RECOVER QUEUE HIGH SPEED SCAN, 
          MAKE 1QF SMALLER,  AND USE EX.RBT FOR FILE POSITIONING
          RPM  09/02/75  1QF
SC45099A  MAKE 1QF SMALLER
          RPM  08/28/75  PFMESS 
SC45099B  MAKE 1QF SMALLER, AND SPEED UP HIGH SPEED SCAN FOR RECOVER
          MODE OF 1QF 
          RPM  08/28/75  DECKALL
SC45099C  1QF WILL USE EX.RBT FOR CHAIN POSITION CONVERSION 
          RPM  09/02/75  PFCD02 
SC45099D  1QF WILL USE EX.RBT FOR CHAIN POSITION CONVERSION 
          RPM  09/02/75  PURGEUP
          CHECK FOR EXPLICIT REQUEST IF CATALOG NOT ON PF DEF SET 
          SKH    9/29/75     PFC
          CHECK FOR EXPLICIT REQUEST IF CATALOG NOT ON PF DEF SET 
          SKH    9/29/75     PFMESS 
          CHECK FOR EXPLICIT REQUEST IF CATALOG NOT ON PF DEF SET 
          SKH    9/29/75     PFCELLS
SC45116   FIX MNT SO THAT ERRORS IN SEARCHING DDT DONT CAUSE IT TO JUST 
          QUIT WITHOUT CLEANING UP AFTER HIMSELF.  WAS RESULTING IN THE 
          MST NOT BEING CLEARED ON OCCURENCE OF DUPLICATE DISK. 
             JSB   08/22/75   MNT 
SC45117      WARNS THE OPERATOR ON A DEADSTART MODE 1 (1ST MF) IF ANOTHER 
             MAINFRAME IS STILL LOGGED-IN.
             FIXES AN ERROR IN THE LIST FOR I/O FILES WITH CROSSED RBS
             JRL  08/29/75  RECOVER 
SC44081.  CHANGES FET ERROR DIAGNOSTIC TO INCLUDE 
          ERROR CODE AND FILE NAME. 
          ARW.   75/06/20.  EDITLIB.
  
SC44217.  ALLOW EDITLIB(L=0)
          ARW.   75/05/16.   EDITLIB. 
  
 SC44897  THIS IS THE SAME AS SC31499 IN SCOPE 3.3 .
          A SKIPF OR SKIPB ON A FILE LEAVES BIT 4 OF THE FIRST FET WORD 
          SET TO 1, AS IF FOR END OF RECORD.  A ((READIN)) JUST AFTER 
          THAT WILL RETURN END-OF-RECORD STATUS, INSTEAD OF 
          BEGINNING THE NEXT RECORD, UNLESS AN EXTRA CHECK IS 
          ADDED TO PROGRAM IO. A CHECK IS ALREADY MADE THERE FOR
          ((OPEN)) FUNCTIONS THAT CAUSE THE SAME DIFFICULTY.
          AFRB.  75/7/17     IO 
  
 SC44963  WHEN AN END OF LINE CONSISTS OF EXACTLY 11 COLONS (00B) 
          A READIN CALL (  RJ IOREAD  ) FOR A CODED FILE SHOULD 
          SET UP THE LEFTMOST OF THE 11 CHARACTERS AS A BLANK 
          NOT A COLON.
          AFRB   75/07/14       IO
  
 SC45001  CORRECT LOADO WHEN LOADING MORE THAN 377777B WORDS OF ECS.
          SBJ    75/08/04    OGBLOAD                       PSR
  
  
 S3131DMP  FIX DMP TO PICK UP NEW ERROR EXIT MODES
           JYY    05/30/75    DMP 
  
          CHANGE DMP FOR 262K MACHINES. 
                        DMP 
 S3132    INITIAL ENTRY OF PROGRAM ABS.  TO DUMP CORE USING 
          ABSOLUTE ADDRESSES.  NEEDED TO DUMP CORE IN MACHINES
          WITH MORE THAN 131K OF CORE.
                        ABS 
  
S3132BXX  THIS SERIES OF IDENTS S3132B IS FOR 262K MODS (170 SUPPORT) 
          FOR PF AND SET ROUTINES ON PL1B.
             JSB   04/11/75   ALL PF AND SET ROUTINES.
S3131EG   FIX PFA TO PUT RETURN CODE 23B IN FDB IF FILE IS INC AND
          RC AND CY SPECIFIED 
          EG     08/07/75    DECKALL
S3132B60  PFM MUST RETRIEVE 18 BITS, NOT 17, FROM THE FDB-ADDRESS FIELD 
          BECAUSE SYSTEM FILES (NOTABLY BY MDI) ARE GIVEN TO PF ROUTINES
          AS ABS ADDRESSES AT CONTROL-POINT ZERO THOUGH THEY RESIDE IN
          A CONTROL-POINT FL.  THE CALLING PP TAKES THE PRECAUTION OF 
          COURSE, OF HOLDING THE C.P. FAF SO THE STORAGE DOESNT MOVE. 
          FIXES TO 1PC (S3132B62) AND LPF (S3132B63) ARE REQUIRED TOO.
             JSB   08/19/75   INIT COMDECK. 
S3132B61  REMOVE ORIGINAL 262K CODE THAT CONFLICTED WITH LEVEL 410. 
             JSB   08/19/75   EPF 
S3132B62  CODE TO 1PC FOR "BIT 17" BROBLEM. 
          1PC/1FC/LPF WERE USING BIT 17 OF THE FDB-ADDRESS FIELD; THIS
          FIELD MUST NOW BE 18 BITS BECAUSE IT IS USED FOR THE ABS CM 
          ADDRESSES OF FDB"S AT CONTROL POINT ZERO BUT WHICH ARE IN 
          CONTROL-POINT FL"S. 
             JSB   08/19/75   1PC 
S3132B63  CODE TO LPF FOR "BIT 17" PROBLEM. 
          1PC/1FC/LPF WERE USING BIT 17 OF THE FDB-ADDRESS FIELD; THIS
          FIELD MUST NOW BE 18 BITS BECAUSE IT IS USED FOR THE ABS CM 
          ADDRESSES OF FDB"S AT CONTROL POINT ZERO BUT WHICH ARE IN 
          CONTROL-POINT FL"S. 
             JSB   08/19/75   LPF 
S3132B64  FIX NOSBE 262K CODE WHICH CONFLICTS WITH A PSR. 
             JSB   08/27/75   EPF 
          NAME CHANGE FOR PL1B
SC42738   FIX PFA AND 1FC TO CHECK ERRFLG IF NO RBT WD PRS ARE
          AVAILABLE 
          EG     08/13/75    DECKALL
SC42738A  FIX 1FC TO CALL ERRFLG
          EG     08/13/75    1FC
SC44749   THIS CODE IS FOR NOS/BE ON PL1B.
          IT IS POSSIBLE UNDER SOME CIRCUMSTANCES (RARE) FOR DSM TO 
          ENCOUNTER A SECONDARY (LINK) FNT AND MISTAKE IT FOR A LOCAL-
          FILE FNT IN THE SET AND TRY TO DISMOUNT IT.  THIS FIX MAKES 
          DSM CHECK WHEHTER AN FNT IS A SECONDARY.
          DLF    06/17/75    DSM
SC45077   FIX LOADPF PROBLEM WHERE IT WOULD HANG IF IT READ BAD FILE FRO
          FROM TAPE.
             JSB   09/03/75   LOADPF
 SC45169     SET PURGE FLAG ON ALL PFC ENTRIES WITH AN RB CONFLICT
             GIVES THE LIST OF ALL RB  CONFLICTS IN MODE 4 AND SETS ALL 
             BITS IN THE DAM
             JRL  09/12/75  RECOVER 
SC45174   FIX MOUNT TO GIVE PROPER DIAGNOSTIC WHEN ATTEMPTING TO MOUNT A
          MEMBER WITHOUT THE MASTER.
             JSB   09/16/75   MNT 
 SC45222  CHANGE DMP TO DUMP P + 100 INSTEAD OF P + 77. 
                       DMP
 S3132PLB MODIFY THE OPERATING SYSTEM TO SUPPORT UP TO 262K CENTRAL 
          MEMORY SIZES.  THE ADDRA MACRO REPLACES ALL CALLS TO R.TFL
          AND MOST REFERENCES TO D.RA.  THE LDCA MACRO IS CHANGED TO
          INCLUDE AN ADDRA CALL.  P.ZERO IS MOVED TO CM LOCATION 70B
          AND SHOULD ONLY BE USED STRICTLY FOR READING 5 BYTES OF 
          ZEROS.  P.AAZ IS CM ABSOLUTE ADDRESS ZERO.  S3132 IS FOR
          SUPPORT OF THE CYBER 170 SERIES OF COMPUTERS.  THE FOLLOWING
          IDENTS AND ROUTINES MODIFIED ARE AS FOLLOWS ----
  
  
                 S3132P2     DMP
                 S3132P1     ABS
                 ABS         ABS
                 S3132E1     1IR
                 S3132E2     1IU
                 S3132E3     1IQ
                 S3132W01    ACT
                 S3132W02    CKP
                 S3132W03    CY1
                 S3132W04    DSP
                 S3132W05    RST
                 S3132W06    1DF
                 S3132W07    1RC
                 S3132K01    MSG
                 S3132K02    CON
                 S3132K03    RWE
                 S3132D007   LDC
                 S3132R1     LDL
                 S3132R2     LDV
                 S3132R3     LDW
                 S3132R4     D00
                 S3132R5     MDI
                 S3132R6     SRB
                 COMPBOT     COMPBOT
                 S3132B52    COMPFLB
                 S3132B56    PFCD03 
                 S3132B57    PFCELLS
                 S3132B53    INIT 
                 S3132B55    NEWAPF 
                 S3132B54    MMFCOM 
                 S3132B51    DECKALL
                 6PM         6PM
                 S3132B1     ADS
                 S3132B2     DLM
                 S3132B3     DSM
                 S3132B4     EPF
                 S3132B6     HDS
                 S3132B7     LBL
                 S3132B8     LPF
                 S3132B9     MNT
                 S3132B10    AUX
                 S3132B11    PFA
                 S3132B12    PFC
                 S3132B13    PFD
                 S3132B14    PFE
                 S3132B15    PFP
                 S3132B18    PRM
                 S3132B20    TAT
                 S3132B21    TMT
                 S3132B22    XDQ
                 S3132B26    1PC
                 S3132B27    1PD
                 S3132B29    1PK
                 S3132B30    1QF
                 S3132B60    INIT 
                 S3132B61    EPF
                 S3132B62    1PC
                 S3132B63    LPF
                 S3132B64    EPF
                 S3132B65    6PM
  
  
FEAT148.  PROVIDE FOR TYPE 54 LOADER TABLES.
          ARW.   75/06/30.   EDITLIB. 
  
 CP139B2  THIS IDENT TO MODIFY *LDW* FOR 54-TABLE SUPPORT.
          CJL    75/08/18    LDW                           FEATURE
  
S3132B65  FIX 6PM TO NOT OVERWRITE CALL TO 6PM. 
          EG     08/21/75    6PM
 SC43347C ROUTINES WERE MODIFIED TO USE XJ WHEN SYSTEM CALLS WERE MADE, 
          IF XJ EXISTED.  OTHERWISE A LOOP WAIT WAS DONE. 
                        BKSP, COPY, COPYCOM (USED BY COPYBR, COPYCR, COPYCF,
                        COPYBF), COPYN, COPYSBF, UTILCOM(USED BY UNLOAD 
                        RETURN, REWIND), SKIPB, SKIPF 
 SC45149A    STOPS PROCESSING OF CIO CALLS FROM RA+1 WHILE SPM
             IS FROZEN BY EX.TAT
             JRL  09/26/75  TMT 
SC45220   FIX DLM SO THAT IT DOESNT HANG ITSELF AND 1SP IF THE CHANNEL
          GETS DISCONNECTED DURING THE INTER-PP TRANSFER. 
             JSB   10/1/75   DLM
SC45221   FIX MNT SO THAT IT DOESNT TRY TO TAKE THE MST CHANNEL WHEN IT 
          ALREADY HAS IT (HAPPENS ON CERTAIN ABORTS). 
             JSB   09/23/75   MNT 
 SC45224     PF CANNOT BE ATTACHED AFTER AN UNSUCCESSFUL
             ARCHIVE RETRIEVAL ATTEMPT. 
             JCL     09/28/75     LOADPF
SC45228   FIX PFR TO CHECK RIGHT BYTE FOR SETTING END OF SUBDIRECTORY 
          FLAG
          EG     09/30/75    PFR
SC43641   FIX SEQUENCE MESSUP BETWEEN FEATURE AND  PSR
          RPM  10/14/75  XDQ
          FIX 844 FLAW PROCCESSING
          VMS    10/18/75    RELABEL
          EVICT STACK REQUEST CAN BE ISSUED WITH NO RBT POINTER 
          SKH    10/21/75    1QF
 SC45024     SWAP-OUT RECOVER IN MODE 0 IF THE MASTER DEVICE IS NOT 
             ON-LINE
             JRL  09/26/75  RECOVER 
 SC45024A    CALLS 1PK TO SWAP OUT RECOVER IN MODE 0 IF THE MASTER
             DEVICE IS NOT ON-LINE
             JRL  09/26/75  TMT 
 SC45087     PREVENTS USER CALL TO RECOVER (BY CONTROL CARD)
             IN A SHARED RMS ENVIRONMENT
             JRL  10/07/75  RECOVER 
 SC45087     PREVENTS USER CALL TO RECOVER (BY CONTROL CARD)
             IN A SHARED RMS ENVIRONMENT
             JRL  10/07/75  TMT 
 SC45210     OPERATOR REMOUNT (RMNT) ON AN OFF EST LEFT THE EST BUSY. 
             JCL      10/13/75      DSM 
 SC45225     REMOVES THE BLIND PFC ENTRIES AND THE INCOMPLETE CYCLES
             (BY FINDING THE CORRESPONDING PFC ENTRY OR REMOVING THE
             CYCLE) 
             JRL  09/30/75  RECOVER 
 SC45226     REMOVES MF SIGNATURE FROM THE PFD
             JRL  09/30/75  RECOVER 
SC45229   FIX MOUNT (SETCCP) SO THAT ON MOUNT FAILURES DUE TO THE PACK
          NOT HAVING BEEN DISMOUNTED ... I,E, ALL ERRORS WHERE
          RECOVER SHOULD BE RUN,  WE WILL DISPLAY THE MESSAGE TO RUN
          RECOVER(SN=X,VSN=Y), AND WILL WAIT FOR OPERATOR GO> THE 
          OPERATOR CAN ALSO DROP. 
             JCL    11/03/75     SETCCP 
SC45229A  PERMITS SETCCP TO ASK FOR REPLY CODE FROM MNT AND NOT GET 
          ABORTED.
             JCL     11/03/75     MNT 
 SC45306     IF THE SIZE OF A PFC ENTRY IS TOO LARGE AND THE END OF 
             RBT CHAIN IS FOUND BEFORE THE END OF THE PFC, RECOVER
             WILL STOP THE PROCESSING OF THE CURRENT PFC ENTRY BUT
             WILL NOT SKIP THE NEXT ENTRY.
             JRL  10/15/75  RECOVER 
 SC45311     RECOVER WILL NOT SET ANYMORE THE ARCHIVED FLAG IN ALL
             THE PFD ENTRIES BUT WILL SET THE INCOMPLETE CYCLE FLAG 
             IN THE PFD ENTRIES REFERENCING A MISMATCHING PFC ENTRY 
             JRL  10/16/75  RECOVER 
 SC45348     RECOVER MODE=4 DOES NOT WORK WITH MULTIPLE RBR 
             OR MULTIPLE PRU RBR DEVICES. 
             RECOVER MODE=5 UPDATES PFC ENTRIES ON SHARED SET 
             WITHOUT GETTING THE HARDWARE INTERLOCK.
             JCL     11/07/75     RECOVER 
 SC45348A    RECOVER MODE=4 DOES NOT WORK WITH MULTIPLE 
             RBR OR MULTIPLE PRU RBR DEVICES. 
             JCL     11/07/75     TMT 
          EVICT CAN BE ISSUED WITH NO WORD PAIR 
          SKH    10/31/75    1PC
 SC45451     TRANSPF CLOBBERS JTAB WHILE DOING OWNCODE PROCESSING.
             JCL     11/11/75     TRANSPF 
 SC45480     RECOVER FIX FOR MODE 4 NOT HANDLING OVERFLOW 
             WORD PAIRS PROPERLY. 
             JCL     11/18/75     RECOVER 
 *L420*    *********************************************************************
SC42604   FIX 1PF TO SET RBIT WHEN SWAPPING OUT JOB THAT WANTS EX ACC 
          EG     09/16/75    1PF
          TEST ALL FDB ADDRESSES WITHIN FIELD LENGTH
          JSB-SKH 11/10/75   DECKALL
          TEST ALL FDB ADDRESSES WITHIN FIELD LENGTH
          JSB-SKH 11/10/75   INIT 
          TEST ALL FDB ADDRESSES WITHIN FIELD LENGTH
          JSB-SKH 11/10/75   MMFCOM 
          TEST ALL FDB ADDRESSES WITHIN FIELD LENGTH
          JSB-SKH 11/10/75   PFA
          TEST ALL FDB ADDRESSES WITHIN FIELD LENGTH
          JSB-SKH 11/10/75   LPF
          TEST ALL FDB ADDRESSES WITHIN FIELD LENGTH
          JSB-SKH 11/10/75   SPF
          TEST ALL FDB ADDRESSES WITHIN FIELD LENGTH
          JSB-SKH 11/10/75   PFE
          TEST ALL FDB ADDRESSES WITHIN FIELD LENGTH
          JSB-SKH 11/10/75   PFR
 SC44262  DSP MODIFICATIONS - THIS MOD PREVENTS A USER FROM ROUTING 
          A FILE TO AN I/O QUEUE USING A SOURCE OR DESTINATION ID OF
          $XX (DOLLAR SIGN, ANYTHING, ANYTHING). IT ALLOWS ANY JOB
          HAVING THE LOAD FLAG CLEAR (ANY SYSTEM JOB) TO USE A $XX FOR
          THE SID OR DID. 
          WLK   03/07/75    DSP 
 SC44306  FIX DSP TO HANDLE EMPTY ECS BUFFERED OR RESIDENT FILES
 HRK   09/11/75   DSP 
SC44418A  CHANGES ROUTINES TO REFERENCE M.KILL INSTEAD OF 77B 
          DGK    10-10-75    1PC,EPF
          VALIDATE FUNCTION CODE FOR PFM CALLS
          SKH    9/30/75     INIT 
          VALIDATE FUNCTION CODE FOR PFM CALLS
          SKH    9/30/75     PFM
          VALIDATE FUNCTION CODE FOR PFM CALLS
          SKH    9/30/75     PFMESS 
          VALIDATE FUNCTION CODE FOR PFM CALLS
          SKH    9/30/75     1PD
SC44964   CHANGE ERRONEOUS LDN CARD TO LDD
          VALIDATE AC PARAMETER 
          SKH    8/7/75            PFC
          DO NOT ALLOW SPECIAL CHARACTERS IN PASSWORDS OR ACCOUNT NUMBER
          SKH    8/5/75      PFR
          DO NOT ALLOW SPECIAL CHARACTERS IN PASSWORDS OR ACCOUNT NUMBER
          SKH    8/5/75      1PD
          DO NOT ALLOW SPECIAL CHARACTERS IN PASSWORDS OR ACCOUNT NUMBER
          SKH    8/5/75      DECKALL
          DO NOT ALLOW SPECIAL CHARACTERS IN PASSWORDS OR ACCOUNT NUMBER
          SKH    8/5/75      PFMESS 
          DO NOT ALLOW SPECIAL CHARACTERS IN PASSWORDS OR ACCOUNT NUMBER
          SKH    8/5/75      PFCD03 
          CUT DOWN SIZE OF PFM LISTINGS 
          SKH    7/5/75      PFCELLS
          CUT DOWN SIZE OF PFM LISTINGS 
          SKH    7/5/75      INIT 
          CUT DOWN SIZE OF PFM LISTINGS 
          SKH    7/5/75      PFHASH 
          CUT DOWN SIZE OF PFM LISTINGS 
          SKH    7/5/75      RSVAPF 
          CUT DOWN SIZE OF PFM LISTINGS 
          SKH    7/5/75      NEWAPF 
 SC45100  IMPROVE JANUS PRINTER PERFORMANCE 
                        1IR 
 SC45108  DSP SHOULD NOT REQUIRE FILES TO RESIDE ON A Q DEVICE
          IF DC=SC OR IF NO DC IS SPECIFIED.
 HRK   09/18/75   DSP 
 SC45108A IF THE LFN IS THE ONLY PARAMETER TO DISPOSE THEN DISPOSE
          SHOULD CALL DSP WITH DC=SC SO THAT THE FILE WILL BE EVICTED.
 HRK   09/18/75   DISPOSE 
 SC45122     EPF TO ATTACH PFC FILE WITH ONLY READ PERMISSION 
             JCL     09/16/75     EPF 
 SC45173  JANUS SHOULD PRODUCE SCOPE STANDARD END OF LINES ON CARD
          INPUT.  ((I.E. UP TO 66 BITS OF ZERO FILL)
                        1IR 
 SC45197  HAVE DSP USE CALLERS SID IF NON ZERO AND NO SID SPECIFIED 
          IN CALL.   DO THIS SO THAT OUTPUT FROM A JOB ROUTED BY CALLER 
          WILL BE RETURNED TO CALLERS ORIGIN.  THIS IS ESPECIALLY 
          IMPORTANT FOR REMOTE BATCH USERS..
 HRK   09/16/75   DSP 
 SC45206     IF INSTALLATION,S ARCHIVE RETRIEVAL JOB USES 
             LOADPF(LP=R), THE JOB WOULG GET SWAPPED OUT
             TO PF QUEUE AND NEVER RETURNED.
             JCL     09/30/75     JCL 
 SC45227     LPF MODE 1 DOES NOT RE-ESTABLISH FNT ADDRESS IF CALLED 
             BY TRANSPF SET TO SET MODE.
             JCL     09/29/75     LPF 
 SC45235     DUMPF TO CHECK FOR N PARAMETER IN REQUEST CARD 
             JCL     10/02/75     DUMPF 
          SET BIT IN APF IF FILE HAS CONFLICT 
          SKH    10/15/75    PFA
          DEFINE APF FLAG FOR RB CONFLICTS
          SKH    10/15/75    TABLES 
          DEFINE NEW RETURN CODE (32) FOR PURGE 
          SKH    10/15/75    PFMESS 
          DEFINE NEW MESSAGE FOR RETURN CODE 32 
          SKH    10/15/75    1PD
          USE RB PARAMETER ON MODE 2 AND 3 PFP CALLS
          SKH    10/15/75    DUMPF
          LOADPF LP=R AND TRANSPF SHOULD RESPECT RB CONFLICT BIT
          SKH    10/15/75    1FC
          DO NOT ALLOW PURGE ON FILES WITH RB CONFLICTS IF NO RB=1
          SKH    10/15/75    PFP
          CLEAR RB CONFLICT BIT IN PFC HEADER FOR 1FC 
          SKH    10/15/75    LPF
          RESPECT CONFLICT BIT WHEN EVICTING RBS ON ALTER 
          SKH    10/16/75    PFE
          MOVE INITIALIZATION CODE FOR PFE INTO HIGH CORE BUFFER
          SKH    10/22/75    DECKALL
          MOVE INITIALIZATION CODE FOR PFE INTO HIGH CORE BUFFER
          SKH    10/22/75    PFCD03 
SC44570.  CLARIFIES THE DIAGNOSTIC INDICATING THAT MDI CAN BE 
          USED ONLY BY RUNNING SYSTEM PROGRAMS. THE DIAGNOSTIC IS 
                 ONLY EDITLIB LOADED FROM THE SYSTEM LIBRARY
                 MAY DO THIS OPERATION. 
          ARW.   75/05/16.   EDITLIB. 
  
SC45124.  CHECK FOR END OF INTERVAL IN ERROR ROUTINE. 
          ARW.   75/09/12.   EDITLIB. 
  
SC45280.  CHANGE CROSS REFERENCE CONTROL FROM A TO DEFAULT. 
          ARW.   75/10/15.   EDITLIB. 
  
          1PD DOESNT CALL NEW FDBADR RIGHT WHEN TESTING RT BIT
          SKH    11/21/75     1PD 
          ONE MUST LOAD FWA BEFORE CALL TO R.OVL
          SKH    11/21/75     PFC 
          EXIT REGISTERS FROM FCOPY DIFFERENT FROM BCOPY
          SKH    11/21/75    PFR
SC45341   FIX PFA TO NOT ISSUE INTERLOCK STACK REQUESTS WHEN BRINGING 
          RBT CHAIN INTO CM 
          EG     11/11/75    PFA
SC45341A  FIX PFA TO NOT ISSUE INTERLOCK STACK REQUESTS WHEN BRINGING 
          RBT    CHAIN INTO CM
          EG     11/11/75    DECKALL
          CONDITIONAL ASSEMBLY MISPLACED IN PFR 
          SKH    11/12/75    PFR
SC45469   DO NOT TRY TO READ IDLED DEVICE 
          VMS    11/12/75    COMPFLB
SC45530   PFDUMP SHOULD PRINT PRU NUMBERS IN OCTAL AND DECIMAL
          JGS    75/12/03    PFDUMP 
SC45534   CORRECT CALCULATED BINARY LENGTH IN USER EDITLIB. 
          ARW.   75/12/05.   EDITLIB. 
  
 SC45538  IMS DOCUMENTATION FOR THE FOLLOWING ROUTINES....
          ADS, AUDIT, AUX, DSM, EPF, GPF, LABELMS, MNT, PFC,
          PFDUMP, PRM, SPF, TRANSPF, 6PM. 
 CP139B1  THIS IDENT TO MODIFY *LDV* FOR 54-TABLE AND *CMM* SUPPORT.
          CJL    75/07/29    LDV
  
 SC45325  *LDW* IS MODIFIED TO CHECK PROPERLY FOR ECS IMAGES
          IN 54-TABLE OVERLAYS.  *** DEPENDENCY - CP139B2 *** 
          CJL    75/10/14    LDW
  
 CP139B3  THIS IDENT TO MODIFY *LDW* FOR *CMM* SUPPORT. 
          CJL    75/08/18    LDW                           FEATURE
  
 SC43836I FIX SC43836B SO THAT ADRFDB WORKS.  CORRECT CALLS TO
          ADRFDB SO THAT (A)=OFFSET IN FDB. 
 HRK   12/15/75   MMFCOM,GPF,PFP
 SC44603  *LDW* IS MODIFIED TO DIAGNOSE UNSUPPORTED ECS USER FILES
          WHEN ASKED TO LOAD FROM AN ECS RESIDENT OVERLAY FILE OR 
          USER LIBRARY (INSTEAD OF HANGING THE SYSTEM). 
          CJL    75/12/03    LDW
  
          MESS5 IN PFC IS REMOTED INTO WRONG OVERLAY
          SKH    12/29/75    PFMESS 
          MESS5 IN PFC IS REMOTED INTO WRONG OVERLAY
          SKH    12/29/75    PFC
          PFR ISSUES GARBAGE ACCOUNTING MESSAGES
          SKH    01/08/76    PFR
          PFR ISSUES GARBAGE ACCOUNTING MESSAGES
          SKH    01/08/76    DECKALL
 SC45100A 63 CHARACTER SET MUST USE TABLE ALPH TO CONVERT  TO PRINTER 
          CODE, BECAUSE 00 IS CONSIDERED A NON-PRINTED CHARACTER. 
          THIS MEANS 63 CHARACTER SET WILL PRINT SLOWER WHEN MORE THAN
          FOUR PRINTERS ARE ACTIVE
                        1IR 
SC45503  FIXES ABS FROM LOOSING HIGH ORDER BIT WHEN DUMPING PAST 400000B
                        ABS 
SC45531   FIX 1PF TO NOT GIVE A BMR IF I/O ERROR OCCURS 
          EG     11/13/75          1PF
SC45552   FIX 1PC TO NOT CLEAR WRONG BYTE WHEN IT GETS A BROKEN CONNECT 
          ON WRITING PFC ENTRY BACK TO DISK 
          EG     12/08/75    1PC
 SC45577  *LDV* IS MODIFIED TO SET THE LIBRARY LOAD BIT PROPERLY
          WHEN PROCESSING THE LOAD AND GO CALL. 
          CJL    75/12/12    LDV
  
SC45581   FIX PFA NOT TO ZERO OUT APF ENTRY WHEN IT SHOULD NOT
          JGS    12/12/75    PFA
 SC45589     RECOVER TO SET RB BITS IN DAM IF ERRORS
             ARE DETECTED IN PFC ENTRIES
             JCL     12/20/75     RECOVER 
SC45665   FIX PFE TO NOT CONVERT OVFL WORD PAIRS TWICE TO DISK FORMAT 
          EG     01/08/76    PFE
 SC45712  IF THERE IS A SEQUENCE NUMBER ON THE TEXT CARD FOR COPYN, 
          (COL. 80-90) COPYN CONCATENATES IT TO THE END OF THE LAST 
          PARAMETER THEREBY CAUSING A PARAMETER GREATER THAN 7 CHAR 
          MESSAGE.  FIXED BY CHECKING ONLY COLUMNS 1-80 FOR DATA AND
          IGNORING THE REST. ALSO CHANGE IN ERROR MESSAGE.
                        COPYN 
          PFC LOOPS FOREVER IF APF IS FULL
          SKH    1/22/75     RSVAPF 
          PFC LOOPS FOREVER IF APF IS FULL
          SKH    1/22/75     PFC
 SC45538A IMS DOCUMENTATION CHANGES FOR THE FOLLOWING ROUTINES -
          DSP, DUMPF, LOADPF, LPF, PFD, RECOVER, TAT, TMT, 1PF, 1PK.
SC45327A  FIX UP GAP SECTOR PROCCESING ON THE 844-S 
          VMS    01/14/76    RELABEL
SC45758   MOVE SUBROUTINES DPFM AND DROPIL SO THAT ARE NOT CLOBBERED
          BY 7EC
          EG     01/30/76    DECKALL
SCB*76     UPDATES COPYRIGHT INFORMATION
          DGK    12-01-75    PFMTEXT
L430     ***
SC42051   THIS CORRECTION IDENT MODIFIES LOADPF SO THAT THE ALLOCATION
          STYLE CAN BE USED TO DETERMINE WHICH DEVICE TO LOAD DUMPED
          FILES ONTO. 
          EG     09/02/75    LOADPF 
 SC44281  THE COPIES USEING COPYCOM COULD NOT READ OR WRITE FROM A CONNECTED
          FILE.  THIS HAS BEEN FIXED BY ADDING A CHECK FOR A CONNECTED FILE IN
          THE SAME FORMAT AS CHECKS FOR OTHER TYPES OF FILES. 
                        COPYCOM (USED BY COPYBR, CR, BF, CF)
SC44480   CHANGE FILE NAMES TO START WITH ZZZZZ 
          DUMPF  04/21/75    VMS
SC44480A  CHANGE FILE NAMES TO START WITH ZZZZZ 
          LOADPF 4/21/75     VMS
SC44480B  CHANGE FILE NAMES TO START WITH ZZZZZ 
          TRANSPF 04/21/75   VMS
SC44480C  CHANGE FILE NAMES TO START WITH ZZZZZ 
          VMS    05/14/75    LPF
 SC44589  THE MESSAGE EOI ENCOUNTERED IMMEDIATELY BY COPYXX WAS BEING PRINTED 
          WHEN SOMTHING WAS INDEED ON THE FILE AND WAS COPIED.  THIS OCCURED
          WHEN NO END OF RECORD OR END OF FILE EXISTED(SUCH AS WHEN A FILE WAS
          BEING WRITTEN AND A MODE ERROR HAPPENED).  IT HAS BEEN CORRECTED, BUT 
          NOW WILL READ EOI ENCOUNTERED AFTER COPY OF FILE 0 OR RECORD 0
          THIS IS BECAUSE A CHECK IS MADE FOR SOMETHING BEING WRITTEN RATHER
          THAN FOR AN EOR OR EOF AS BEFORE, AND AN ENTIRE RECORD OR FILE HAS NOT
          BEEN ENCOUNTERED. 
                        COPYCOM (USED BY COPYBR, CR, BF, CF)
 SC45257     ALLOW ARCHIVE RETRIEVAL JOBS TO RE-RUN 
             JCL     01/25/76     LPF 
 SC45276  MAKE DSP PAY ATTENTION TO THE ROUTE IN SPITE OF JOBCARD 
          ERROR FLAG BIT. 
 HRK   10/09/75   DSP 
 SC45433     FIX FOR DUMPF PRINTING GARBAGE ON OUTPUT LISTING IF
             INPUT DIRECTIVES END AFTER COLUMN 78 - WRITEC WRITES TILL
             END OF LINE OR 0000 IS REACHED.
             JCL     12/01/75     DUMPF 
 SC45433A    FIX FOR LOADPF PRINTING GARBAGE ON OUTPUT LISTING IF 
             INPUT DIRECTIVES END AFTER COLUMN 78.
             JCL     12/01/75     LOADPF
          ADS    12/18/75    LRT
 SC45533 - IF THE DEVICE LABEL FIELD(W.LBDIAG) INDICATES THAT 
          THE CE AREA IS PRE-ALLOCATED, THEN THE PRE-ALLOCATION FLAG BIT
          (SMTPR) IN THE SMT SHOULD BE SET. CODE FOR MASTER AND MEMBER
          PROCESSING. 
          LABELMS12/18/75    LRT
 SC45533A - DEVICE LABEL FIELD(W.LBDIAG) SHOULD CONTAIN 0/7S
          IF THE DEVICE IS PRE-ALLOCATED/NOT PRE-ALLOCATED WITH CE AREA.
SC45555A  CHANGES ROUTINES TO USE P.ZERO
SC45447   HAVE LABELMS NOT CLOBBER ITS CARD IMAGE WITH FLAW MESSAGE ON
          B DISPLAY 
          JGS    11/13/75    LABELMS
SC45576   HAVE DUMPF DAYFILE CC IMAGE BEFORE ISSUING ERROR MSGS 
          JGS    12/11/75    DUMPF
 SC45595  HAVE DSP CHECK FOR ALLOCATABLE EQUIPMENT BEFORE CHECKING FOR
          THE FNT COMPLETE.  THIS IS TO KEEP DSP FROM WAITING FOREVER 
          FOR A GNT TO GO COMPLETE. 
 HRK   12/18/75   DSP 
 SC45798     MNT CREATES ILLEGAL RBT WORD PAIR IN PFD/PFC/DAM CHAINS. 
             JCL     02/17/76     MNT 
 SC45814     MNT CREATES A BAD DAM TABLE CHAIN IF THE MASTER FOR AN USER
             SET IS ON RBR ORDINAL 01.
             JCL     02/12/76     MNT 
SC45826   FIX PFP TO CLEAR CATALOG BIT
          EG     02/26/76    PFP
 SC45849     1EJ BMR WHEN RUNNING TRANSPF SET TESTS.
             LPF TO CLEAR APF ORDINAL IN FNT ENTRY WHEN IT IS 
             GOING INTO THE DELAY STACK.
             JCL     02/24/76     LPF 
SC40771C  1PD MOD FOR OPERATOR ACTION QUEUE BIT IN RA+0 
          DAD    03/05/76    1PD
SC44681   FIX PFA SO THAT WHILE JOBS ARE SWAPPED OUT WAITING FOR PF 
          PFA CAN BE REPLACED 
          EG     11/17/75          PFA
SC44787D  FIX HDS TO USE M.KILL INSTEAD OF THE OBSOLETE M.STEP
          ALSO REMOVE THE ASSEMBLY WARNING CAUSED BY DUPLICATE MACRO
          DAD    01/19/76    HDS
 LISTCID  LIST CORE IMAGE DUMP -- CO-FEATURE OF DYNAMIC DUMP
  
          GW   8/1/75   LISTCID 
 SC45926     IMPROPER BROKEN CONNECT RECOVERY CODE IN DECKALL 
             COMDECK SUBROUTINE SRPRU - PFD SEARCH. 
             JCL     03/16/76     DECKALL 
 SC45929     LABELMS IS NOT INDICATING THE UNIT EST CORRECTLY 
             WHEN PACKS ARE ASSIGNED. 
             JCL     03/17/76     LBL 
 SC45973     TRANSPF CANNOT TRANSFER FILES BETWEEN MEMBERS OF SAME SET. 
             JCL     03/25/76     LPF 
EDL0029.  ALLOW 500 EXTERNAL REFERENCES.
          ARW.   76/03/26/.  EDITLIB. 
  
 FEAT133D STACK PROCESSOR RESTRUCTURE - PP CODE PART 2
          SW     11/21/75          LDC, 1EV, 1PK, MDI 
  
 S3163A01 MODIFY DSP TO ONLY ALLOW SYSTEM JOBS TO ROUTE WITH
  
          A PRE-DAYFILE.
  
          JYY    11/14/75    DSP
  
 FEAT83B         MODS TO PL1B FOR 844 FACTORY FORMATTING/FLAWING
                 JBC  01/14/76  MNT, LBL, LABELMS 
 FEAT169H RBR FIELD OCCUPIES FULL LAST BYTE OF STACK REQUEST
          1PK 
FEAT145D  LABELMS USES NEW PB SIZE OF 112 FOR 844-41 AND 644-21 
PL1B      CMD    02/02/76    LABELMS,COMSDSS
FEAT169AH        EXPANDER, PHASE 2 MODS TO SETCCP TO ALLOW EST ORDINAL
                 GREATER THAN 77B.
          EEH    76/02/24          SETCCP 
          ISSUE DAYFILE MESSAGES WITH 3 DIGIT EST 
          SKH    2/2/75      LBL
          REMOVE REFERENCES TO HISTORICAL EST SYMBOLS 
          SKH    3/1/76      AUX,DLM,DSM,LBL,PFD,TAT,TMT
S3137QF   POSITION DYNAMIC DUMP LINK FST AT EOI ON NORMAL D S 
          RPM  08/25/75  1QF
 1DD      CREATE PP ROUTINE 1DD TO MANAGE THE DYNAMIC DUMP FILE 
                        1DD 
FEAT169AJ MODIFY MNT TO PUT OUT 844 FACTORY FLAW CE FILE MESSAGE
          WITH 12 BIT EST FIELD AND MODIFIED FORMAT 
          ALSO CODE TO DELETE CERTAIN UNUSED CODE FROM MNT .
          JEP  2/25/76 PLB   MNT
          REMOVE INCLUSION OF FACTORY FLAWS FROM LABELMS
          SKH    3/23/76     LABELMS
SC46008   FIX 1PC TO STOP CHECKING FOR MATCHING CYCLE NUMBER AFTER
          FIVE WORDS
          EG     04/06/76    1PC
SC46009   FIX PFE TO SET FNT BUSY FOR DAYFILE AND CERFILE 
          EG     04/06/76    DECKALL
SC46009A  FIX 1FC TO COMPLETE FNT FOR DAYFILE AND CERFILE 
          EG     04/06/76    1FC
FEAT133D3 STACK REQUESTS CONNECTED TO DOT MUST BE REISSUED
          WHEN CORRESPONDING DOT GETS REQUEST IDLE FLAG IN EST. 
          SW     03/31/76          1PK
          COMPUTE GAP SECTORS AND PRU NUMBERS RIGHT FOR 844S
          SKH    4/16/76     LABELMS
SC45077A  FIX REINITIALIZING OF NO DISK SPACE FLAG AND ISSUING
          OF NO DISK SPACE DAYFILE MESSAGE
          EG     05/04/76    LOADPF 
SC46009B  FIX PFE TO RESTART ALL OVER AGAIN WHENEVER IT GOES INTO THE 
          EVENT STACK 
          EG     04/23/76    DECKALL
 SC46044     OPERATOR DISMOUNT OF A MOUNTED MEMBER ABORTS WITH ERROR
             * CANNOT DMNT MOUNTED MASTER * 
             JCL     04/26/76     DSM 
          ITS NOT NICE TO JUMP INTO DATA
          SKH    5/5/76      LBL
          TEACH RELABEL ABOUT NEW 844 PB SIZES AND DOUBLE DENSITY 
          SKH    4/26/76     RELABEL
SC45538C  IMS CHANGES FOR PFA,PFE,1FC,1PD,PFS,INIT,PREAMB,
          COMPPIO,COMPBOT,PURGEUP 
          EG     05/24/76    PFM ROUTINES 
 SC45538D          DOCUMENTATION CHANGES
                   JTT       76/05/25  1IR,1IU,XDQ,LDL,LDV,LDW, 
                                       OGBLOAD,EDITLIB,MDI,SYSEQ
                   SRN=IMSB01 
          ADD NEW SYMBOL FOR STARTING DEVICE ADDRESS EXTENTION
          SKH    5/15/76     COMSDSS
          MAKE DISK VERSION OF STARTING DEVICE ADDRESS TWICE CM 
          SKH    5/15/76     LABELMS
YANK145V  YANK FEAT145V FOR NOS/BE SYSTEMS.  FEAT145V IS 844 DOUBLE 
          DENSITY LOCKOUT CODE AND SHOULD BE ACTIVE ONLY ON SCOPE 3.4.4.
          YANK145V IS *PURGED TO CREATE SCOPE 3.4.4 RELEASE PL1B. 
          SJK  3/29/76  PL1B  HISTORY 
          DIVIDE STARTING DEVICE ADDRESS BY 2 WHEN BRINGING IN RBRS 
          SKH    5/15/76     MNT
 SC42714  CHECK VALIDITY OF CY1 CALL.                                    SC42714
                 02/16/76    CY1.                                        SC42714
 SC42907  DETECT EOI IN CHECKPOINT TAPE.                                 SC42907
                 02/16/76    RESTART.                                    SC42907
                                                                         SC43683
SC43683   1GM SHOULD ISSUE DATE MESSAGE TO CERFILE.                      SC43683
          JLN    06/07/76          1GM                                   SC43683
                                                                         SC43683
 SC43693  USE CORRECT MODE WHILE POSITIONING.                            SC43693
                 04/09/76    RESTART.                                    SC43693
 SC43960  HANDLE FILES WITH END OF DEVICE STATUS CORRECTLY.              SC43960
                 04/16/76    CKP.                                        SC43960
 SC44074  DETECT NON-PERMANENT RANDOM FILES.                             SC44074
                 02/27/76    CKP.                                        SC44074
SC44107   FIX 1PC TO ACCEPT AN APF COUNT OF ZERO IF FILE HAS NO RTB WP   SC44107
          JGS    03/03/76    1PC                                         SC44107
 SC44632  SPECIFY RING/NORING IN RESTART REQUEST.                        SC44632
                 02/16/76    RESTART.                                    SC44632
 SC45195  CLEAN UP DOCUMENTATION OF RESTART SUBROUTINES.                 SC45195
                 02/24/76    RESTART.                                    SC45195
SC45321   FIX 1PC TO CLEAN UP AFTER ITSELF IF IT GETS I/O ERRORS         SC45321
          JGS    12/18/75    1PC                                         SC45321
 SC45347  FOR PURGE(  ...ST=   ,SN=   ), THE ST PARAM TAKES PRECEDENCE   SC45347
          AND SN PARAM IS IGNORED WITH INFORMATIVE DAYFILE MESSAGE.      SC45347
          PROCESSING IS CONSISTENT WITH GETPF/SAVEPF.                    SC45347
          JXS      3/22/76      PFP                                      SC45347
 SC45381 -DO NOT CREATE PFC ENTRY FOR QUE FILE IF SIZE OF PFC ENTRY      SC45381
          GT 2**12. ISSUE INFO MSG TO NOTIFY OPERATOR.                   SC45381
          JXS   5/1/76   1QF                                             SC45381
 SC45393  SPECIFY RING IN CKP REQUEST.                                   SC45393
                 02/16/76    CKP.                                        SC45393
SC45550   FIX 1PC TO CALL 1PF TO SWAP IN JOBS WAITING FOR APF SPACE      SC45550
          IF AN APF ENTRY HAS BEEN FREED                                 SC45550
          JGS    03/01/76    1PC                                         SC45550
SC45616   FIX DUMPF TO ACCEPT CONTINUATION CONTROL CARDS                 SC45616
          JGS    05/05/76          DUMPF                                 SC45616
SC45801   FIX 1QF TO EVICT DAYFILE OF SEQUENCER JOBS EVEN IF IT ENTERED  SC45801
          THE EVENT STACK                                                SC45801
          JGS    03/18/76          1QF                                   SC45801
SC45982   PFM WILL NOT KILL SYSTEM ON ERRORS IN PRIVATE SETS             SC45982
          JGS    03/29/76    DECKALL,PFA                                 SC45982
SC45982A  DELETE NOOP COMDECK COMPPIO FORM LPF TO MAKE ROOM              SC45982
          JGS    05/13/76          LPF                                   SC45982
SC45993   FIX QUEDUMP NOT TO ISSUE ERROR MODE 0 (ZERO) ON DISK OR TAPE   SC45993
          PARITY ERRORS.                                                 SC45993
          JGS    04/06/76          QUEDUMP                               SC45993
 SC45999A        MANY ROUTINES ASSUME P.ZERO=0 NOT 70B AS IN             SC45999
                 LEVEL 414.  CHANGED CODE SO THAT P.ZERO IS USED.        SC45999
                 76/05//25         ADS,DLM,DSM,LBL,LPF,PFD,TAT,TMT,1RC   SC45999
 SC46096  ISSUE MESSAGE IF CK DISPOSITION NOT SET.                       SC46096
                 04/09/76    RESTART.                                    SC46096
SC46097   FIX COMCUPC NOT TO FLAG LEADING BLANKS ON A CC AS ERROR        SC46097
          JGS    05/20/76          COMCUPC                               SC46097
SC46118   FIX 1PC TO NOT ISSUE STACK REQUEST TO EVICT RBT CHAIN UNTIL    SC46118
          AFTER FNT IS ZEROED                                            SC46118
          EG     05/11/76    1PC                                         SC46118
          SC46200  - IF DEVICE IS PRE-ALLOCATED, RELABEL SHOULD SET W.LB SC46200
          TO  0S AND SMT BIT(SMTPR) TO 1.                                SC46200
          RELABEL            LRT            07/19/76                     SC46200
EDL0009.  PREVENT TRUNCATION OF ACCESS LEVEL IN USER EDITLIB.            EDL0009
          ARW.   76/04/01.   EDITLIB.                                    EDL0009
                                                                         EDL0009
EDL0019.  ALLOW RAN TOSEQ AFTER SEQTORAN.                                EDL0019
          ARW.   76/03/31.   EDITLIB.                                    EDL0019
                                                                         EDL0019
EDL0041.  PROPERLY PERFORM BACKWARD SKIP IN USER.                        EDL0041
          ARW.   76/07/24.   EDITLIB.                                    EDL0041
                                                                         EDL0041
NB00019   FIX DSM NOT TO ALLOW USER JOBS OR INTCOM TO ISSUE DMNT, RMNT   NB00019
          JGS    4/14/76           DSM                                   NB00019
 NB00023  THIS CODE MODIFIES DSM YO AVOID ISSUING M.ABORT IF CALLED BY   NB00023
          1PC AT EOJ. IT ALSO CAUSES DSM TO ISUE DIAGNOSTIC MESSAGES     NB00023
          ONLY TO THE SYSTEM DAYFILE IF CALLED BY 1PC AT EOJ.            NB00023
          RMD       04/08/76  DSM                                        NB00023
NB00035   FIX QUEDUMP TO RECOGNIZE DISPOSITION CODES OF LR, LS, AND LT   NB00035
          JGS    02/27/76          QUEDUMP                               NB00035
 NB00040  1GM USES PRIORITY BIT ON CM WRITES GENERATING                  NB00040
          BAD ADDRESSES ON 262K MACHINES. FIXED BY DELETING              NB00040
          USE OF PRIORITY BIT.                                           NB00040
          76/06/07                 1GM                                   NB00040
NB00058   CORRECT CRACKING OF PF CONTROL CARD ENDIND IN COL 9,19,29,...  NB00058
          AND FOLLOWED BY A CONTINUATION CARD.                           NB00058
          JXS    76/5/24      PFCCP                                      NB00058
 NB00088  DELAY FOR 2XPP FCN ACCEPT.  ALSO DELETE ONE PLACE SO NOT       NB00088
          DUPLICATE CODE                                                 NB00088
                        1IR                                              NB00088
NB00136   SHORTEN A MEESAGE TO ENABLE MNT TO ASSEMBLE                    NB00136
          RLM    76/07/16          MNT                                   NB00136
SC44949H  ADDS COMDECK COMPPIO TO PL1B                                   SC44949
          JGS    01/16/75          COMPPIO                               SC44949
SC44949O  SET NO-RERUN BIT AND CALL 1QF TO SET IT ALSO IN THE FNT IN PFC SC44949
          JGS    12/15/75    LPF                                         SC44949
SC44949V  CALL 1QF TO SET NO-RERUN BIT IN FNT IN PFC.                    SC44949
          JGS    12/15/75    SPF                                         SC44949
SC44949Q  CALL 1QF TO SET NO-RERUN BIT IN FNT IN PFC                     SC44949
          JGS    12/15/75    PFC                                         SC44949
SC44949R  CALL 1QF TO SET NO-RERUN BIT IN FNT IN PFC                     SC44949
          JGS    12/15/75    PFP                                         SC44949
SC44949U  CALL 1QF TO SET NO RERUN BIT IN FNT IN PFC                     SC44949
          JGS    12/15/75    ADS                                         SC44949
SC44949S  CALL 1QF TO SET THE NO-RERUN BIT IN FNT IN PFC                 SC44949
          JGS    12/15/75    PFE                                         SC44949
SC44949T  CALL 1QF TO SET NO-RERUN BIT IN FNT IN PFC                     SC44949
          JGS    12/15/75    PFS                                         SC44949
SC44949P  CALL 1QF TO SET NO-RERUN BIT IN FNT IN PFC                     SC44949
          JGS    12/15/75    PFR                                         SC44949
SC44949M  ADD FUNCTIONS 3 AND 4 TO 1QF                                   SC44949
*******************************************************************      SC44949
*                                                                 *      SC44949
*   C A U T I O N  FOR INTERCOM SYSTEMS, PSR IN41699 MUST ALSO    *      SC44949
*                  BE INSTALLED OTHERWISE FNT WILL CALL 1QF       *      SC44949
*                  WITH FUNCTION 1 AND CAUSE A 1QF BMR            *      SC44949
*                                                                 *      SC44949
*******************************************************************      SC44949
          JGS    12/15/75    1QF                                         SC44949
 LDB0008  MODIFY *LDV* TO CHANGE THE USE OF ABSOLUTE ZERO WHEN P.ZERO    LDB0008
          WAS INTENDED.                                                  LDB0008
          GEL    76/05/14    LDV                           PSR           LDB0008
                                                                         LDB0008
 LDB0009  LDV AND LDW ARE MODIFIED TO NOT DROP OUT OF THE PP             LDB0009
          WHILE A STACK REQUEST IS STILL OUTSTANDING.                    LDB0009
          CJL    76/05/20    LDV,LDW                                     LDB0009
                                                                         LDB0009
L434     ***                                                             *L434* 
L439     ***                                                             *L439* 
EDL0031.  DO NOT ABORT ON END OF VOLUMNE.                                EDL0031
          ARW.   76/05/28.   EDITLIB.                                    EDL0031
                                                                         EDL0031
EDL0042.  ESTABLISH FREE MEMORY LOCATION IN RANTOSEQ AND SEQTORAN.       EDL0042
          ARW.   76/07/02.   EDITLIB.                                    EDL0042
                                                                         EDL0042
 FEAT161W *LDW* IS MODIFIED TO PROCESS THE NEW FORMAT *PNT*              FEAT161
          IN SUPPORT OF *FDL*.                                           FEAT161
          CJL    76/01/26    LDW                           FEATURE       FEAT161
                                                                         FEAT161
CP167ED.  SUPPORT FOR FAST DYNAMIC LOADING.                              CP167ED
          ARW.   76/02/09.   EDITLIB.                                    CP167ED
                                                                         CP167ED
EDL0051.  ENSURES EMPTY BUFFER FOR INCLUDE.                              EDL0051
          ARW.   76/10/05.   EDITLIB.                                    EDL0051
                                                                         EDL0051
L447     ***
F7510MA   RESTRUCTURE MNT ROUTINE                                       012460
          RMD,JXS   76/09/13  MNT  17                                   012470
NB00072   HAVE 1QF FAIL SOFT ON SOME OCCURRANCES OF ERROR CODE 46       003340
          JGS    06/04/76          1QF                                  003350
 NB00163  IF SET NOT MOUNTED ON HOST MF, DO NOT SCANRBT.                011940
          RECOVER       8/27/76    LRT                                  011950
SC45763   1QF WILL EVICT JOB DAYFILE EVEN IF IT ENTERED EVENT STACK     011330
          JGS    08/06/76          1QF                                  011340
SC46151   FIX QUEDUMP NOT TO CLOBBER THE REQ PARAMETER BLOCK            011730
          JGS    08/09/76          QUEDUMP                              011740
SC46302   DELETE BAD CODE IN 1QF WHICH CAUSES A LOOP ON A GARBAGE VALUE 003050
          JGS    08/09/76          1QF                                  003060
                                                                        003070
SC46347   FIX QUEDUMP NOT TO LOSE FILES ACCROSS REELS                   012060
          JGS    08/23/76          QUEDUMP                              012070
                                                                        012080
 F7510AD  844 FULL TRACKING MODS. 
  
          RMD    08/13/76          ADS
  
 F7510CB  CHANGE LABEL SEARCH TO ENTIRE 1ST CYLINDER. 
  
          RMD    08/13/76          COMPFLB
  
 F7510CS  CHANGE LABEL SEARCH TO ENTIRE 1ST CYLINDER. 
          DEFINE 844 FULL TRACKING PARAMETER CODES. 
  
          RMD    08/13/76          COMSDSS
  
 F7510LA  844 FULL TRACKING MODS. 
  
          RMD    08/13/76          LABELMS
  
 F7510LB  844 FULL TRACKING MODS. 
  
          RMD    08/13/76          LBL
  
 F7510MN  844 FULL TRACKING MODS. 
  
          RMD    08/13/76          MNT
  
 F7510PF  CHANGE LABEL SEARCH TO ENTIRE 1ST CYLINDER. 
  
          RMD    08/13/76          PFPACK 
  
 F7510PK  844 FULL TRACKING MODS. 
  
          RMD    08/13/76          1PK
  
 F7510SE  ACCOMMODATE RECORDING MODE PARAMETER FOR 844 FULL TRACKING. 
  
          RMD    08/13/76          SETCCP 
  
 F7520DP  MOVES THE SC PARAMETER FOR ROUTE PUT IT IN THE FNT. 
          JLH    8/16/76     DSP
 F7520IQ  MODIFIES 1IQ TO KEEP A CM BUFFER FOR SC ARRAYS ON THEIR WAY 
          FROM 1IU TO 1IR.
          JLH    8/16/76     1IQ
F7520RA   SUPPORT OF 580 PFC PRINTERS. LOADS PFC BUFFER, DOES NOT PRINT 
          V LINES, LOADS V LINES IF VALID.  LOTS OF CODE ALSO MOVED TO
          MAKE ROOM FOR THIS. 
          JLH    8/16/76     1IR
 F7520UA  1IU WILL LOOK UP AND WRITE TO A CM BUFFER AN SC ARRAY ASKED 
          FOR BY 1IR.  INSTALATIONS CAN DEFINE NEW ARRAYS UP TO 76B.
          JLH    8/16/76     1IU
F7820MS   ADDS COMMON MESSAGE HANDLING
                 07/14/76    MSG
C7820MS   CORRECTS ERROR IN CODE WHEN IP.MSCT = 0 
                 08/09/76    MSG
F7820SR   CODE TO SUPPORT NEW COMMON MESSAGE MACRO
                 07/14/76    COMCSYS
F4600DF   SET ACCESS LEVEL FOR DAYFILE DUMP JOB.
          DPK    09/13/76          1DF
 F7820LC  UPGRADE *LDCMR* TO 1) USE CYBER LOADER, AND 2) PROCESS
          NEW FORM OF PNT.
          RKN    76/08/20    LDCMR
  
 C7520UA  CORRECTIVE CODE FOR F7520.  CONFORMS TO CODING STANDARDS. 
          JLH    9/15/76     1IU
 C7520DP  CORRECTIVE CODE FOR F7520.  CONFORMS TO CODING STANDARDS. 
          JLH    9/15/76     DSP
 C7520RA  CORRECTIVE CODE FOR FEATURE 7520.  ADDS V CODE FOR ASCII. 
          CONFORMS TO CODING STANDARDS. 
          JLH    9/15/76     1IR
F4600AD   ABORT INTERCOM JOB IF ADDSET ATTEMPTED (FROM PROCEDURE).
          DPK    09/01/76    ADS
 F4600CK  ENSURE *CKP* SAVES ALL *CCL* RELATED FILES. 
          RKN    76/08/26    CKP
  
F4600HD   SETS ACCESS LEVEL BYTE IN CP AREAWHEN STARTING JOBS.
          09/26/76   HDS
 FEAT161V *LDV* IS MODIFIED TO PROCESS THE NEW FORMAT *PNT*              LDVPNT 
          IN SUPPORT OF *FDL*.                                           LDVPNT 
          CJL    76/01/26    LDV                           FEATURE       LDVPNT 
                                                                         LDVPNT 
 FEAT180V MODIFY *LDV* AND *LDW* TO ACCEPT THE NEW *LDV* ZERO PARAMETER  LDVZERO
          ADDRESS CALL TO SUPPORT LDCMR.  THE NEW FORMAT ALLOWS BOTH     LDVZERO
          LOCAL FILE LOADS OR A TABLE OF LOADER DIRECTIVES TO BE USED.   LDVZERO
          GEL    76/05/15    LDV,LDW                       FEATURE       LDVZERO
                                                                         LDVZERO
 LDD      FAST DYNAMIC LOADING PP TO BUILD A DIRECTORY OF CAPSULES       LDD
          GIVEN A SET OF LIBRARIES TO SEARCH AND A GROUP NAME.           LDD
          CJL    76/04/01    LDD                           FEATURE       LDD
                                                                         LDD
 LDQ      FAST DYNAMIC LOADING PP TO LOAD CAPSULES/OVERLAYS GIVEN THE    LDQ
          RANDOM INDEX ON A LOCAL OR SYSTEM FILE.                        LDQ
          GEL    76/04/01    LDQ                           FEATURE       LDQ
                                                                         LDQ
F4600ED.  SUPPORT FOR CYBER CONTROL LANGUAGE. 
          ARW.   76/07/15.   EDITLIB. 
  
EDL0014.  PRESERVES B2 DURING SYS9025 CALL. 
          ARW.   76/09/22.   EDITLIB. 
  
CP167MD.  SUPPORT FOR FDL.
          ARW.   76/09/09.   EDITLIB. 
  
C7510LA   RESTORE INPUT FILE FET POINTER IN A1 REGISTER BEFORE CIO CALL.
  
          RMD    10/05/76          LABELMS
  
NB00025B  DEFINE S.APOM IN COMDECK TABLES 
          JGS    05/10/76          TABLES 
  
NB00025   SWP OUT JOB IF PERMISSION CONFLICTS ACROSS MAINFRAMES 
          JGS    05/10/76          PFA
  
NB00025A  SWAP OUT JOB IF PERM CONFLICTS ACROSS MAINFRAMES
          JGS    04/27/76          1PF
  
NB00025C  ADD FC.1PK10 TO 1PK - SWAP IN JOBS WAITING FOR FILE ON OTHER
          MAIN FRAME
          JGS    05/07/76          1PK
  
SC45912B  CODE IN COMSDSS TO SUPPORT PSR SC45912
          JGS    04/02/76    COMSDSS
  
SC45912A  RESTRUCTURE OF THE PFD, ALSO SOME HOUSE CLEANING IN ADS 
          JGS    04/02/76    ADS
  
C7510MA   CORRECTS MINOR PROBLEMS IN MNT RESTRUCTURE. 
  
          RMD    08/30/76          MNT
  
 NB00185  RESTRUCTURED MNT OVERLAYS SUBROUTINE SEF THEN CALLS IT
          MNT    9/17/76          LRT 
 SC46329  UPWARD COMPATIBILITY CODE TO CONVERT TABLE PREAMBLES FROM 
          RBTC TO RB ORD FORMAT.
          MNT           8/27/76   LRT 
 SC46329A UPWARD COMPATIBILITY CODE TO KEEP CURRENT PFD/PFC ON RECONFIGURE. 
          ADS           8/27/76   LRT 
 SC46329B UPWARD COMPATIBILITY CODE. SET  DS FLAG FOR LBL TO PREVENT
          WRITUNG RBR IN CM AS WELL AS ON DISK. 
          LABELMS       8/27/76   LRT 
NB00214   FLUSH OUTPUT BUFFER WHEN LABELMS ABORTS.
          JXS   76/10/07   LABELMS
C7510AD   DELETES TEMPORARY SYMBOL DEFINITIONS WHICH ARE NOW CONTAINED
          IN PPTEXT.
  
          RMD    10/05/76          ADS
  
C7510MA1  EXPAND "MOUNT COMPLETE" MESSAGE TO INDICATE SN AND VSN. 
  
          RMD    10/04/76          MNT
  
 F7510LB1 MODS FOR RELABEL - FULL TRACKING. 
  
          RMD    09/07/76          LBL
  
 F7510RE  844 FULL TRACKING MODS. 
  
          RMD    09/03/76          RELABEL
  
  
 F4600RT  RESTORE CCL DATA IN CONTROL POINT AREA. 
          76/10/15           RST
  
  
 F4600RS  DISALLOW RESTART IN A CCL PROCEDURE.
          76/10/15           RESTART. 
  
F4600DS   DSP CHECKS THAT FILE DISPOSITION IS NOT INPUT (C.FDC = XX04)
          BEFORE ALLOWING DISPOSE.
          DPK    10/05/76          DSP
FEAT145Z4 TEST FOR 420-430 PACK INCOMPATIBILITIES 
          SKH,JXS   76/07/21   MNT
  
 NB00205  ENSURE *RST* IS CALLED BY SYSTEM OVERLAY. 
          76/10/10           RST
  
 SC40786  CORRECT DEFINITION OF RESIDUAL SKIP COUNT FIELD IN FET. 
          76/10/20           RESTART
 SC46426  DELSET NOT CHECKING CM RBTC PROPERLY
          DLM    10/14/76    LRT
F7540CS   DEFINE GLOBAL ATTRIBUTE BITS IN LABEL, WORD W.LBGLA, BYTE 
          C.LBGLA AND ADD 819 ENTRY TO RCPV TABLE.
  
          RMD    10/15/76    COMSDSS
  
F7540LA   THIS CODE MODIFIES LABELMS TO LABEL 819 PACKS IN POST-DS MODE.
  
          RMD    10/1/76     LABELMS
  
F7540LB   BETA/819 MOD. 
  
          RMD    10/29/76          LBL
  
F7540MN   MODIFY MNT FOR BETA. MNT WILL VERIFY THAT THE 819 BEING 
          MOUNTED IS IN FACT THE ONE SPECIFIED BY THE OPERATOR AT EST 
          TIME DURING DEADSTART.
  
          RMD    10/12/76          MNT
  
NB00240   TRANSPF NOW USES THE MESSAGE MACRO IN THE SYSTEM TEXTS. 
          JGS    10/20/76          TRANSPF
  
CP181A.   SUPPORT FOR FID AND FTN.5.
          ARW.   76/09/01.   EDITLIB. 
  
 SC46457  WHEN 4 OR MORE CARD READERS WERE DEFINED, THE ADDRESS OF THE
          FET IN THE STACK REQUEST WAS BEING INCORRECTLY SET.  FIX IN 
          B.REOF. 
         JLH     10/27/76    1IR
 C7520RC  IF A V6O LINE WAS SEEN ON A PFC PRINTER THE ARRAY O WAS 
          LOADED.  IT SHOULD CAUSE AN ERROR.  ALSO FOR V8 AND VC. 
          JLH    11/2/76           1IR
 C7520RB  TAKES OUT CODE NOT NEEDED DUE TO A HARDWARE CHANGE.  ALSO 
          MAKES PFC OUTPUT AN EXTRA LINE TO REMAIN COMPATABLE WITH OTHER
          PRINTERS. 
          JLH    11/15/76    1IR
F7540PA   HAVE PFA CALL 7EC ALWAYS IF FILE RESIDES ON 819 DISK.         000370
          JGS    11/02/76          PFA                                  000380
                                                                        000390
EDL0046.  AVOID CLOBBERING FET. 
          ARW.   76/09/09.   EDITLIB. 
  
NB00264   PFP CLEARS A BIT IN WORD 200000B IN A 98K MACHINE 
          IF FILE BEING PURGED IS ARCHIVED. 
          JGS    11/18/76          PFP
  
 F7540JD  MAKE DSP RECOGNIZE AND LEAVE UNDISTURBED 819 DISK             009010
          FILE SUPPLEMENTS.                                             009020
          11/11/76           DSP                                        009030
 F7540JI  DEALLOCATE 819 LCM BUFFERS AND TABLES FOR FILES               010630
          EVICTED WITHOUT CALLING 1TJ, AND CONSIDER 819                 010640
          SUPPLEMENTS WHEN LINKING PREDAYFILE.                          010650
          12/01/76           1IR                                        010660
SC45912   RESTRUCTURE THE PFD SIZE TO ALLOW UP TO 16K FILES 
          JGS    04/02/76    SETCCP 
 C7520UB  THE DEFAULT PFC ARRAY IN 1IR AND 1IU WAS NOT LEAVING ANY
          SPACE ON A AUTO PAGE EJECT.  CHANGED SO IT WOULD
          JLH                      1IU
 C7520RF  THE DEFAULT PFC ARRAY IN 1IR AND 1IU WAS NOT LEAVING ANY
          SPACE ON A AUTO PAGE EJECT.  CHANGED SO IT WOULD
          JLH                      1IR
C7510MB   REMOVE CONFLICT IN DIRECT CELL USAGE
          JXS    12/21/76   MNT          NO *R
  
C7820SR   THROW AWAY BIT 22 (USED TO BE THE RECALL BIT) ON ENTRY TO 
          MSG=.  THIS AVOIDS PROGRAM ABORTS IF THE OLD CALLING FORMAT 
          IS USED WITH THE NEW MSG=.
          JLH    12/28/76    COMCSYS
  
SC46542   FIX XDQ TO CALL 1MH TO DESTAGE INPUT JOBS WITH DISPOSITION
          CODE 06B. ALSO FIX THE PROBLEM OF XDQ SOMETIMES NOT FINDING 
          A PARTICULAR FILE.
          JGS    01/07/77          XDQ
  
F7540LC   REMOVE CONFLICT IN X1 REGISTER    . 
          RESTORE ACCESS TO USER RECORD CONTAINING FLAWS AND ALLOC STYLES.
          RMD, JXS   12/22/76   LABELMS 
 C7540JE  FIX LOAD OF LINK ADDRESS TO AVOID WRITE OF P.AAZ              000120
          01/11/77           DSP                                        000130
  
 NB00347  SIMPLIFY *TLOAD* DISPOSE FILE PROCEDURE TO SOLVE TWO PROBLEMS.
          JOB IMAGE FILES WERE NOT ALWAYS ON A QUEUE DEVICE AND THEY
          WERE SOMETIMES COPIED INCORRECTLY.
          77/01/08           TLOAD
  
C4600FJ   FIN MUST SET BOI AND CLOSED STATUS FOR ATTACHED PERMANENT FILE
          WHICH HAS NOT YET BEEN ACCESSED.
          FIN MUST CHECK DEVICE TYPE BEFORE CHECKING COMPLETE FLAG. 
          DPK    01/07/77    FIN
          COPYRIGHT MOD - PL1B/1977                                     000120
          DTK    01/12/77                                               000130
                                                                        000140
NB00294   CHANGE 844 DEFAULT RB SIZE TO 56D PRU/RB SO IT WILL BE THE
          SAME AS IN DEADSTART PROCESSING. COMPUTE MAX NO OF RBS IN RBR.
          JXS   1/14/77   LABELMS 
 C7520RG  QUEDUMP WAS NOT CHECKING FOR A 104B TYPE SUPPLEMENT SO THE
          SC PARAMETER WAS LOST. THIS CODE INSERTS A CHECK FOR THE
          104B SUPPLEMENT.
          JSR    12/28/76          QUEDUMP
 C7540JR FIXES PPU FLUSHES TO THE 819                                   000120
 C7540JS  FIXES PPU FLUSHES TO 819                                      000260
EDL0059.  ENSURE I/O COMPLETION BEFORE RESETTING BUFFER POINTERS. 
          ARW.   77/01/13.   EDITLIB. 
  
 LDB0014  MODIFY *LDQ* TO PROPERLY HANDLE 7 CHARACTER LIBRARY NAMES.
          CJL    77/01/06    LDQ                           PSR
  
NB00396   THIS MOD CHANGES ADS TO LEAVE THE RB SIZE IN THE RBR HEADER OF
          THE MASTER OF THE SET UNCHANGED WHEN READING THE LABEL OF THE 
          MASTER IN MEMBER MODE.
  
          RMD    02/04/77          ADS
  
  
 NB00241  THIS MOD CORRECTS THE PROCESSING OF O.SKB ORDER CODE WHEN 
          THE FILE IS POSITIONED ON AN OVERFLOW RBT WORD PAIR.
  
          JLC    12/22/76          1PK. 
  
EDL0060.  ADJUST IN AND OUT POINTERS PROPERLY AND INSURE THAT I/O 
          IS COMPLETE BEFORE REUSING FET. 
          ARW.   77/01/26.   EDITLIB. 
  
EDL0061.  INITIALIZE GROUP TABLE FOR EACH LIBRARY.
          ARW.   77/02/16.   EDITLIB. 
  
 NB00492  PFS NOT CHECKING FOR BROKEN CONNECT AFTER READ OF PFC 
          LRT    2/23/77          PFS 
 *L454*    **************************************************************** 
F7540AU   CHECK FOR AND READ FNT SUPPLEMENTS                            015310
          JXS    2/22/77    AUX                                         015320
  
 SC44169  PERFORM END OF VOLUME PROCESSING IN POSITIONING OF *SI* TAPES.
          76/10/28           RESTART
  
  
 SC44548  RESTORE FILE ROUTING FNT SUPPLEMENTS. 
          76/10/10           RESTART
  
  
 SC44556  RESTORE E/N BIT FOR CHECKPOINT FILE.
          76/10/30           RST
  
SC46085   FIX 1QF TO NOT RESTART AFTER IT HAS ZEROED THE FNT ENTRY AND
          RECEIVED AN I/O ERROR ON RELEASING THE QUEUE ENTRY
          EG     05/17/76          DECKALL
SC46085A  FIX 1QF TO NOT RESTART AFTER IT HAS ZEROED THE FNT ENTRY AND
          RECEIVED AN I/O ERROR ON RELEASING THE QUEUE ENTRY
          EG     05/14/76          1QF
SC46475   WRONG VSN MAY BE REQUESTED BY 1PF FOR ARCHIVE RETRIEVAL IF
          FILE SPANS 3 OR MORE REELS OF TAPE.  ALSO MAKE 1PF USE M.EESD 
          CORRECTLY.
  
          JGS    11/19/76          1PF
  
 NB00289  CORRECT MISREPOSITIONING OF REWOUND TAPES BY CHANGING 
          A PRU COUNT OF 77777777B TO 0.
          76/12/05                 RESTART
  
NB00348   FIX 1QF NOT TO ISSUE DAYFILE MESSAGES WHILE IT HOLDS THE
          STACK REQUEST AND PFM INTERLOCKS. 
          JGS    01/07/77          1QF
  
  
 SC46541  ENSURE B1 IS ALWAYS SET TO 1 WHEN LEAVING ROUTINE *SETUP.*. 
          76/01/18           COMCRCV
  
 SC46028  BKSP ISSUES A SKIPB FUNCTION IN CODED MODE AND 2IP CAN NOT
          RECOVER IF THE TAPE IS IN BINARY SCOPE FORMAT.  MODIFIES BKSP TO
          TO DETERMINE IF BINARY OR CODED AND ACT APPROPRIATELY.
          ADDS A NEW PARAMETER TO BKSP, C.
          JLH    11/2/76           BKSP 
NB00378B  PIO WILL NOT CALL 1QF MODE 4 FOR A SEQUENCER JOB
          JGS    02/01/77          COMPPIO IN PL1B
  
NB00305   FIX PRU OFFSET COMPUTING IN CRP= SUBROUTINE.
          JGS    01/10/77          PFCD02 
  
  
 NB00478  CORRECT RESTART SO THAT RESTORED MASS STORAGE FILES 
          DO NOT HAVE AN EXTRANEOUS EOF BEFORE EOI. 
          77/02/25.                RESTART. 
  
NB00447   FIX 1PC TO IGNORE FNT SUPPLEMENTS IF THEY OCCUR AT AN ADDRESS 
          LOWER THAN THE PRIMARY FNT. 
          JGS    02/22/77          1PC
  
SC45996   FIX BAD CODE IN QUEDUMP, ALSO MAKE IT AN ABSOLUTE OVERLAY 
          JGS    02/07/77          QUEDUMP
  
 NB00509  WHEN A MESSAGE WAS OUTPUT TO B OR J DISPLAY WHILE 
          GCP WAS WORKING ON THE FILE A RETURN ADDR WAS 
          BEING OVERWRITTEN.
          ALSO 1 LINE CORRECTION IN IMFIL TO KEEP FROM RELOADING
          THE ARRAY IF V WAS DONE THEN A /OK. 
          JLHW   2/15/77           1IR
 NB00064B REMOVE THE ABILITY TO SPECIFY *Q AS A DEVICE ATTRIBUTE
          ON A PRIVATE DEVICE SET.
          LRT    2/25/77          ADS 
SC46395   CHANGE LDD TO LDN OF ERROR CODE.
  
          RMD    10/18/76          1PK
  
 NB00475  1PK MOD TO IMPLEMENT IMPLICIT MOUNT FROM MUJ. INCLUDES REWRITE
          OF MODE 5 PROCESSING TO GET SPACE IN 1PK. IN41901 IS THE
          INTERCOM COUNTERPART OF THIS PSR. A NEW PP ROUTINE, PAK, HAS
          ALSO BEEN ADDED TO THE SYSTEM AS A RESULT OF THIS PSR.
  
          RMD    01/14/77          1PK
  
SC46197   CHANGE LABELMS TO CHECK END OF PBT CORRECTLY. 
  
          RMD    03/11/77          LABELMS
  
NB00528   THIS MOD CHANGES 1PK TO SEARCH FOR AN FNT WHEN DEALING WITH A 
          MINIMUM LENGTH FET. 
  
          RMD    03/15/77          1PK
  
NB00488   THIS MODE PUTS A CONTROL POINT ERROR FLAG CHECK INTO 1PK
          MODE 9. 
  
          RMD    02/24/77          1PK
  
NB00436   CHANGE LOADPF CALLED FROM ARCHIVE RETREIVAL JOB 
          TO ISSUE TAPE REQUEST WITH NORING. PERMITS MULTIPLE 
          REEL REQUESTS TO BE ISSUED WITH NORING. 
          JXS    2/14/77   LOADPF 
SC46058   MODIFY 1PK TO MASK THE CIO FUNCTION CODE TO 9 BITS. 
  
          RMD    03/07/77          1PK
  
NB00502   PERMIT MULTIPLE(NOT FIRST) ACRHIVAL RETRIEVAL JOBS FOR THE
          SAME PERM FILE TO SKIP LOADING FILE AND TERMINATE NORMALLY. 
          JOB ATTACHING FILE CAN BE SWAPPED IN AND CONTINUE EXECUTION.
          JXS    3/15/77           LPF,3LF,PFCELLS COMDK, NEWAPF COMDK
 NB00370  DLM CLEARING FT BIT IN DDT FOR MEMBER BEFORE WRITING
          FLAW TABLE AND LABEL. 
          LRT    01/21/77          DLM
  
NB00523   THIS MOD CORRECTS PROBLEMS IN WRITING THE CE ERROR FILE ENTRY 
          WHICH WERE INTRODUCED BY THE MNT RESTRUCTURE. 
  
          RMD    03/09/77          MNT
  
NB00346   CHANGE MNT TO ISSUE THE CORRECT ERROR MESSAGE WHEN A C. P. 0
          JOB ATTEMPTS TO MOUNT A FULL TRACK PACK ON A DRIVE HAVING NO
          7154 CONTROLLER ACCESS. 
  
          RMD    03/21/77          MNT
  
 SC46448  RECOVER IN SCANPFC AND RDPFD SETS BIT ZERO OF PAM/PRM IN WORD J+1 
          INSTEAD OF J. BLIND PFC AT ORDINAL 48 WOULD CAUSE RELEASE OF ORDINAL
          96,IE AT 48N WOULD CAUSE RELEASE OF  48(N+1). 
          LRT    10/31/76          RECOVER
  
 NB00549  CHANGE 9 TRK DEFAULT TAPE DENSITY TO PE(1600 BPI) 
          TO PERMIT ARCHIVE RETRIEVAL USING ATS 9 TRK GE(6250 BPI). 
          JXS    3/22/77           LOADPF 
  
 NB00557  CHANGES RELABEL TO GENERATE A NEW LFT POINTER AND STORE IT
          INTO THE NEW MEMBER LABEL.
  
          RMD    03/14/77          RELABEL
  
 SC46389  1EV NOT CHECKING FOR ZERO MST ORDINAL 
          LRT    3/20/77           1EV
  
 F7540RE  MODIFY RELABEL TO HANDLE 819-S.                               000180
                                                                        000190
          RMD    03/28/77          RELABEL                              000200
                                                                        000210
 F7540LA1 PREALLOCATE 30 CYLINDERS ON CYBER 176 SYSTEM SET MASTER FOR   002390
          DEADSTART DIAGNOSTIC PACKAGE.                                 002400
                                                                        002410
          RMD    03/28/77          LABELMS                              002420
                                                                        002430
 F7540LB1 PUT CHECKS INTO LBL FOR MASTER OF A SYSTEM SET ON A CYBER     003620
          176. 30 CYLINDERS MUST BE PREALLOCATED FOR SMM PACKAGE.       003630
                                                                        003640
          RMD    03/28/77          LBL                                  003650
                                                                        003660
 F7540AD  BETA MOD TO ALLOW SMT AND DAM ON CYBER 176 SYSTEM SET         004750
          TO BE IN DIFFERENT ORDER.                                     004760
                                                                        004770
          RMD    03/28/77          ADS                                  004780
                                                                        004790
 F7540HD  MODIFY HDS TO MOVE FLAW TABLES CONSTRUCTED BY IRCP FROM LWA+1 005210
          OF LIBRARY DIRECTORY TO GENDJ-S FIELD LENGTH. MODIFY HDS TO   005220
          GET FLAW TABLES FOR LABELMS FROM GENDJ-S FL RATHER THAN LWA+1 005230
          OF LIBRARY DIRECTORY.                                         005240
                                                                        005250
          RMD    03/28/77          HDS                                  005260
                                                                        005270
 C7540MN  1PC WAS CLEARING THE FNT LINK FOR AN 819 FILE AND RELEASING 
          THE RBT CHAIN WITHOUT DOING A FLUSH OF THE TBT AND LCM
          BUFFERS.  A SUBROUTINE WAS ADDED TO FIX THAT PROBLEM. 
          GDM    77/03/28          1PC
  
 C7540MN1 THIS MOD CAUSES MNT TO BRING IN THE DAM ON AN 819 DEVICE
          DURING POST-DS. 
  
          RMD    03/28/77          MNT
  
 C7540MM  INSERTED CODE TO ALLOW PURGE BY PFN OF FILES ON 819 
          JGS    04/28/77          PFA
  
 NB00216  CHANGE MNT TO ALLOW USER SETS WITH DUPLICATE SET NAMES TO BE
          MOUNTED SIMULTANEOUSLY, PROVIDING THEY ARE AT DIFFERENT 
          CONTROL POINTS. 
  
          RMD    10/20/76          MNT
  
 NB00625  THIS MOD IS SHRINK CODE FOR 1PK.
  
          RMD    04/27/77          1PK
  
 NB00626  RELABEL NOT CONVERTING TO/FROM SDA IN PBS(CM RBR HDR) 
          FROM/TO SDA IN 2*PBS(DISK DAM HDR). 
          LRT    4/25/77           RELABEL
  
 NB00602  ADD COMMENTS FOR CORRECT IMS LISTINGS 
          JXS    4/25/77           PFCCP,MNT,COMDECK PFCELLS
  
 NB00225  THIS MOD CORRECTS LABELMS SO IT WILL PROCESS ALL FLAWS IN THE 
          UTILITY FLAW MAP. 
  
          RMD    04/05/77          LABELMS
  
 NB00627  THIS MOD ENABLES LABELMS TO HANDLE 844-41 DEVICES CORRECTLY IN
          USER MODE WHEN NO ALLOCATION DIRECTIVES ARE SPECIFIED.
  
          RMD    04/20/77          LABELMS
  
 NB00610  CCL FILINFO SHOULD RETURN PROPER WRITE PERMISSION.
          DPK    04/05/77          FIN
  
 C7540HD1 THIS MOD CORRECTS THE PROBLEM OF GENDJ BOMBING ON A RECOVERY
          DEADSTART. THIS MOD FIXES NB0A986.
  
          RMD    05/01/77          HDS
  
 C7540AD1 THIS MOD EXCLUDES 819 DEVICES FROM USER SETS. 
  
          RMD    04/29/77          ADS
  
 PAK      NEW PP ROUTINE REQUIRED FOR PSR-S IN41901 AND SC46573. PAK IS 
          INTENDED TO BE AN INTERFACE BETWEEN 1PK AND MUJ-S WHICH 
          DISALLOW IMPLICIT MOUNTS. 
  
          RMD    01/13/77          PAK
  
 C7540LA2 THIS MOD CORRECTS A FLAW PROCESSING PROBLEM IN LABELMS. 
  
          RMD    05/27/77          LABELMS
  
 C7540RE1 THIS MOD CORRECTS A FLAW PROCESSING PROBLEM IN RELABEL. 
  
          RMD    05/27/77          RELABEL
  
C7540SF   CLEAR FNT BEFORE SETTING THE FET COMPLETE.
          WWS    05/77             1PC
  
 NB00672  CCL FILINFO PERMISSIONS FOR SINGLE- AND MULTI-FILE MAGNETIC 
          TAPE. READ = 1/0 IF SINGLE-FILE/MULTI-FILE TAPE.
          WRITE = EXTEND = MODIFY = 1/0 IF WRITE-RING PRESENT/ABSENT. 
          DPK    05/03/77    FIN
  
NB00376B  PIO WILL NOT CALL 1QF MODE 4 IF NO-RERUN BIT IS ALREADY SET 
          JGS    02/01/77          COMPPIO IN PL1B
  
 C7540GK  FIXES PP LOADER TO SETUP THE PSEUDO FNT IN THE PPU
          MESSAGE BUFFER WITH A CORRECTLY FORMATTED FNT FOR 819 
          EXTENSION PROCESSING. 
          JDB    05/4/77           LDV, LDD, LDW
  
 C7540AD2 THIS MOD CHANGES ADS TO DISALLOW 819-S AS QUEUE DEVICES.
  
          RMD    05/27/77          ADS
  
EDL0064.  ALLOW FOR INCREASED SIZE OF TABLES. 
          ARW    77/04/20.   EDITLIB. 
  
EDL0056.  CLARIFY EMPTY DIRECTIVE DIAGNOSTIC. 
          ARW.   03/24/77.   EDITLIB. 
  
EDL0065.  ALLOW PROCESSING OF LONG CAPSULES IN USER EDITLIB.
          ARW.   77/04/20.   EDITLIB. 
  
 NB00612  RECOVER USING TWO DIFFERENT METHODS TO CALCULATE THE SIZE OF
          THE PAM. SIZE OF PFC IS NOW USED THRUOUT RECOVER. 
          LRT    4/20/77           RECOVER
  
 NB00800  THIS MOD CAUSES MNT TO RELEASE THE STACK REQUEST I/L ON 
          ALL     DEVICES AS PART OF NORMAL TERMINATION.
  
          RMD    06/27/77          MNT
  
 NB00676  THIS MOD REPAIRS A CELL CONFLICT INTRODUCED BY NB00025C WHICH 
          CAUSES 1PK MODE=10 TO ISSUE A STACK REQUEST WITH AN RB = 0. 
          THE INTERNAL NUMBER IS NB0A924. 
  
          RMD    5/13/77           1PK
  
 NB00792  THIS MOD CAUSES 1PC TO CLEAR D.T0 - D.T4 BEFORE DOING M.RPJ ON
          1PF SO THAT MTR WON-T MISTAKE GARBAGE IN THESE CELLS FOR A
          DELAY PARAMETER.
  
          RMD    07/07/77          1PC
  
 NB00868  THIS MOD CORRECTS PROBLEMS IN THE 1PC INTERLOCK USAGE.
  
          RMD    07/19/77          1PC
  
 *L461*    ************************************************************** 
CP189.    ALLOW PREFIX TABLES AND TEXT RECORDS IN DEADSTART RECORDS.
          INTRODUCES THE DIRECTIVE TRANS77. 
          ARW.   77/05/01.   EDITLIB. 
  
NB00440B  MOVES THE CODE THAT SETS THE COMPLETE BIT AFTER 1QF IS CALLED 
          RFG    07/28/77    DSP
  
 NB00768  IF AC= PARAM NOT SPECIFIED IN SAVEPF, GETPF, OR PURGE(ST=)
          FDB, THEN ADD AC= W.CPFACT VALUE OR DEFAULT VALUE TO PACKET 
          TO BE PASSED TO MMF STATION.
          JXS    6/20/77           SPF,GPF,PFP,MMFCOM 
 NB00698  THIS MOD CHANGES DSM TO USE THE LABEL INTERLOCK INSTEAD OF THE
          HARDWARE INTERLOCK WHEN UPDATING THE DAM OF A SHARED PACK.
          IT ALSO RESTRUCTURES DSM INTO TWO OVERLAYS DUE TO LACK OF 
          SPACE.
  
          RMD    06/16/7M          DSM
  
 F7830RS  RESTORE LIST-OF-FILES ADDRESS IN C.P. AREA (W.CPLOF). 
          CHANGE CODE FOR RESTORING SENSE SWITCHES. 
          DPK    02/25/77          RST
  
 F7830FN  CODE TO PROCESS GETLOF AND SETLOF MACRO CALLS.
          MODIFY SETJCI TO USE C.P.AREA INTERLOCK.
          DPK    05/20/77    FIN
  
 NB00760  IF A STACK REQUEST HAD NOT BEEN MADE ON A FILE BEFORE A 
          /ABORT WAS DONE THE FILE CONTENTS WERE LOST SINCE THE CURRENT 
          BYTE INDICATOR IN THE FNT WAS 0 INSTEAD OF 7. 
          JLHW   6/13/77           1IR
  
 NB00204  THIS MOD CHANGES PER TO ENSURE A USER-S FDB IS SMALL ENOUGH 
          TO FIT IN THE PP BUFFER.
  
          RMD    06/08/77          PFR, 1PD 
  
 NB00739  IMPROVE BROKEN CONNECT PROCESSING IN THE ROUTINE TO READ/ 
          WRITE LABEL FOR UPDATING DUMPF COUNT. 
          LRT    6/07/77           1PC
  
 NB00319  THIS MOD CHANGES MNT TO ENSURE THE DEVICE TO BE MOUNTED IS
          ONLINE BEFORE THE SMT IS READ.
  
          RMD    06/10/77          MNT
  
 NB00029  THE PUNCH AND PLOTTER WILL REWIND AFTER A /ABORT OR 
          DEADSTART.
          JLHW   06/20/77          1IR, 1IQ 
  
          IF THE  CHANNEL IS NOT EMPTY BY THE TIME WE TRY TO OUTPUT A 
          SECOND BYTE TO THE PUNCH OR PRINTER THE ENTIRE CYCLE FORMATTIN
          THE BYTE IS RUN THROUGH AGAIN.  THIS CODE SAVES THE BYTE AND
          OUTPUTS IT IMMEDIATLY ON CHANNEL EMPTY.  IT MAY BE RELATED TO 
          PRINT ERROR PROBLEMS.  ALSO UPDATES FET DOCUMENTATION.
          JLHW   7/1/77            1IR
  
 NB00485  UPDATE REPEAT COUNT IN THE FNT WHEN A COPY IS PRINTED.
          JLHW   5/31/77           1IR
  
 NB00795  SECOND LINE OF THE B DISPLAY WAS MISSING THE FIRST 10 CHAR
          WHEN THE FIRST LINE OF THE DISPLAY CONTAINED A ZERO BYTE IN 
          THE RIGHT SPOT (DUE TO A PECULIARITY IN DSD).  1IQ NOW SEES 
          THAT THERE ARE NO ZERO BYTES THERE. 
          JLHW     7/15/77         1IQ
  
 NB00749  THIS CODE MODIFIES PAK TO CHECK FOR THE FET HAVING MINIMUM
          LENGTH. IF IT IS A MINIMUM LENGTH FET, THE FNT WILL BE
          SCANNED TO FIND THE CORRECT FNT ENTRY FOR THE LFN COMPARISON. 
  
          RMD    06/08/77          PAK
  
 NB00159  THIS MOD CORRECTS A MISSPELLED MESSAGE IN LABELMS.
  
          RMD    06/09/77          LABELMS
  
 NB00336  THIS MOD CHANGES SETCCP TO MASK OUT EXTRANEOUS INFORMATION IN 
          P.IDT WHEN PICKING UP THE ADDRESS OF THE ID TABLE.
  
          RMD    06/09/77          SETCCP 
  
 NB00279  THIS MOD CHANGES DSM TO AVOID MISCALCULATING THE SPACE
          AVAILABLE COUNT IN THE SMT AND DAM IN CERTAIN SHARED RMS
          SITUATIONS. 
  
          RMD    04/05/77          DSM
  
 NB00494  SC44559 PULLED OUT TWO LINES OF CODE THAT REWROTE THE 
          FNT WHEN A /REW WAS DONE FOR THE EQUIPMENT IN 1IQ. THIS 
          CAUSED THE FILE TO BE NOT REWOUND, JUST PUT BACK IN THE QUEUE.
          JLHW   5/25/77           1IQ
  
 NB00677  THIS MOD CHANGES LBL TO USE THE CORRECT BYTE SYMBOL WHEN
          EXAMINING DSD-S OUTPUT REGISTER. IT FIXES PSR NB0B009.
  
          RMD    5/17/77           LBL
  
 NB00741  CCL FILINFO RETURNS *MS* = 1 IF THE FILE HAS BEEN 
          REQUESTED BUT NOT YET ASSIGNED TO A DEVICE. 
          (CCL FILE(LFN,AS) WILL INDICATE .TRUE.) 
          DPK    06/02/77    FIN
  
 SC45765  SOME MISPLACED TRAIN CODE IS NOW PLACED CORRECTLY.
          JLHW   5/31/77           1IR
  
 SC46103  WRITOUT WAS MODIFIED TO NOT DROP THE LAST TRAILING
          BLANK WHEN WRITING A CODED RECORD WHOSE LAST
          NON-BLANK CHARACTER WAS A COLON.
          JJC    6/15/77           IO 
 SC46520  TWO LINES OF CODE WERE REVERSED IN FCN ALLOWING A POSSIBLE
          EXIT WITH A REG = 0 WHEN THERE WAS AN ERROR 
          JLHW   6/1/77            1IR
  
NB00679   CODE TO FIX LISTCID TO NOT ALLOW USAGE FROM INTERCOM. 
          ALSO CLEAN UP LISTING, CALL MEM TO INSURE PROPER FL.
          JKM    05/18/77          LISTCID
  
 NB00464  CHANGE 1EV TO ISSUE THE NEW STACK REQUEST BEFORE THE OLD ONE
          IS EVICTED. THIS MOD ALSO FIXES A BUG IN THE BROKEN CONNECT 
          PROCESSOR, GETSTS.
  
          RMD    05/19/77          1EV
  
 NB00224  MODS TO DSM AND DMNT TO ALLOW EST ORDINALS GREATER THAN 77B.
  
          RMD    04/05/77          DSM,DMNT 
  
 NB00622  REPLACE DISPLAY CHARS 60-77 WITH BLANKS FOR DISPLAY CODE
          PART OF LISTING.
          JXS    4/25/77           PFDUMP 
  
 NB00787  FIN SENDS ERROR MESSAGE TO INTERCOM TERMINAL. 
          DPK    06/20/77    FIN
  
 NB00306  AUDIT NOT INITIALIZING RBTCSZ.  MASKED LEFT-MOST 4 BYTES. 
          GJM    07/28/77          AUDIT
  
EDLA043.  CORRECT I/O POINTERS FOR CAPSULES IN USER.
          ARW.   77/08/15.   EDITLIB. 
  
EDLA044.  NEW GROUP TABLE NOT SEARCHED PROPERLY.
          ARW.   77/07/20.   EDITLIB. 
  
 NB00834  PFC MUST WAIT IF APF FOR FILE BEING CATALOGUED HAS THE
          APOM BIT SET. 
          LRT    7/14/77           PFM(PFC) 
  
 SC46522  WHEN FILES HAD CERTAIN FC AND/OR EC REQUIREMENTS
          BUT NOT BOTH AND IF THE PRINTERS WERE SET WITH EC NOT 0 
          BUT DEFAULT, THE FILES WOULD NOT PRINT.  PROBLEM IN MATCHING
          DEFAULT EC. 
          JLHW   5/24/77           1IR
  
 NB00017  THIS MOD CHANGES MNT TO ISSUE A MESSAGE CONTAINING THE VSN AND
          SN TO THE B-DISPLAY WHEN A RMNT IS REQUIRED.
  
          RMD    06/10/77          MNT
  
 IN42005  THIS 1PD CODE REFLECTS THE CHANGE IN THE CALLING SEQUENCE TO
          1IM.  SEE PL12 IN42005 HISTORY FOR MORE INFORMATION.
          TGP    08/12/77          1PD,1AJ,1CI,1QP,1LX,1IM,TBL
  
 NB00841  THIS MOD ENABLES NOS/BE DEVICE SET ROUTINES TO DISTINGUISH
          BETWEEN SCOPE 2 AND NOS/BE 819 DISK LABELS. RELABEL IS ALSO 
          MODIFIED TO AVOID MODING OUT WHEN A BAD PFT IS ENCOUNTERED. 
  
          RMD    07/15/77          RELABEL, COMPFLB, LBL
  
 NB00791  THIS MOD IS A REWRITE OF 1PK REQUIRED DUE TO LACK OF SPACE. 
  
          RMD    08/16/77          1PK, PFPACK
  
 NB00791A THIS MOD CAUSES ADS TO USE A BIT IN THE SMT AS THE RECORDING
          MODE INDICATOR FOR THE PACK. IT ALSO DEFINES A SYMBOL FOR 
          THIS BIT IN COMSDSS. ADDITIONALLY, IT ENABLES MNT TO DETERMINE
          RECORDING MODE OF A SET MEMBER BY LOOKING AT ITS SMT ENTRY. 
          1PK HAS BEEN MODIFIED IN CONJUNCTION WITH MNT AND ADS FOR 
          THIS FEATURE ENHANCEMENT. 
  
          RMD    08/12/77          ADS, MNT, COMSDSS
  
 NB00791B REPLACE SYSER10 WITH SYSER5 FOR 1PK RESTRUCTURE.
          LRT    9/10/77           1EV
  
 NB0B328  PURGE C7540MJ TO RETURN ACCNT MESSAGES FOR PURGE(PFN) 
          JXS    8/2/77            PFA
  
 NB00821  CLEANS UP THE MACRO DEFINITIONS AND ADDS A CHECK TO OVMIN 
          TO SEE THAT OVERLAYS DO NOT OVERLAP  TO FIRST LEVEL OVERLAYS. 
          JLHW   8/4/77            1IR
  
 NB00826  THIS MOD CORRECTS PROBLEMS IN NB00025 CONCERNING SWAPIN OF
          A JOB WAITING IN THE PF QUEUE.
  
          RMD    09/15/77          1PK, 1PF 
  
 NB0B529  THIS MOD FIXES THE 1ST BMR DUE TO THE REWRITE OF 1PK. 
  
          RMD    10/05/77          1PK
  
 NB0B535  FIX FOR DIRECT CELL CONFLICT PROBLEM. 
  
          RMD    10/10/77          1PK
  
 NB0B551  THIS MOD FIXES 1PK TO COMPUTE THE RBR HEADER ADDRESS CORRECTLY
  
          RMD    10/12/77          1PK
  
 NB0B570  A LARGE VALUED CHARACTER IN THE JOB NAME OF A PUNCH DECK
          WAS CAUSING WRAP AROUND IN THE PP WHICH EVENTUALLY CAUSED 
          1IR TO WRITE ITSELF ALL OVER CORE.  NOW MAKES A CHECK OF THE
          CHARACTER VALUE.
          10/25/77 JLHW            1IR
  
 *L468*    ************************************************************ 
 NB00827  RESTART RESTORED EOF TO FILE WHICH HAD NO EOR OR EOF. 
          RKN    77/08/25          RESTART
  
 SC46078  1IQ MADE AN ADD TO GET A ZERO BUT GOT A  -0 CAUSING PLOT
          FILES TO REMAIN ATTACHED FOR  EVER AND EVER.
          JLHW   6/7/77            1IQ
  
 SC46273  THIS MOD ENSURES THAT COPYBCD DOES NOT MISS THE FIRST 
          TRAILING ZERO BYTE WHEN REPLACING TRAILING ZEROS WITH BLANKS. 
          JJC    8/19/77           COPYBCD
  
 NB00922  ALLOW DUMPING OF PAM
          LRT    8/17/77           RECOVER
  
 SC42872  THIS MOD CAUSES COMPARE TO ISSUE A WARNING MESSAGE
          WHEN AN EMPTY FILE IS COMPARED TO A FILE CONTAINING 
          DATA. 
          JJC    8/18/77           COMPARE
  
 NB00190  1IQ WAS NOT SELECTING AN INCLUSIVE RANGE OF DISPOSITION       000120
          CODES ON FILES FOR FC, HC, AND PL DUE TO A MACRO PROBLEM.     000130
          JLHW   5/24/77           1IQ                                  000140
                                                                        000145
 NB00942  GETBUF NOT CHECKING FOR PRU IN BUFFER COMPLETELY. THIS
          CAUSES RECOVER TO MODE OUT WHEN PROCESSING LARGE RB SIZES.
          LRT    9/1/77            RECOVER
  
 NB0B427  CHECK FOR MASS-STORAGE DEVICE TYPE BEFORE ENTERING
          NEW CONTROL STATEMENT SOURCE FILE.
          DPK    09/15/77          FIN
  
 NB00737B ADD ACCESS LEVEL CHECKING FOR PERMANENT FILE FUNCTION AND 
          UTILITY CONTROL CARD CALLS. IN ROUTINE PFCCP ADD ENTRY
          POINTS ALTER, ATTACH, AUDIT, CATALOG, DUMPF, EXTEND, GETPF, 
          LOADPF, PFLOG, PURGE, RENAME, SAVEPF, SETP, AND TRANSPF.
          CHANGE AUDIT OVERLAY NAME TO AUDITZ.
          CHANGE DUMPF OVERLAY NAME TO DUMPF$.
          CHANGE LOADPF OVERLAY NAME TO LOADPF$.
          CHANGE TRANSPF OVERLAY NAME TO TRAN$PF. 
          INSTALL WITH NB00737A.
          JXS    9/1/77            PFCCP,AUDITZ,DUMPF$,LOADPF$,TRAN$PF
  
 LDB0003X *LDW* IS MODIFIED TO DEFAULT TO THE DISK COPY OF LIBRARY
          DIRECTORIES OR PROGRAMS (INSTEAD OF ISSUING *REQUEST FORMAT 
          ERROR*) WHEN *FWA* HAS BEEN DEFAULTED AND EXCEEDS *LWA* 
          AND ECS RESIDENT DIRECTORIES OR PROGRAMS WERE TO HAVE 
          BEEN READ.
          CJL    77/08/16    LDW
  
 SC46486  CORRECT PROCESSING ORDER TO RETAIN STACK REQUEST FOR
          RELEASING STACK REQUEST INTERLOCK.
          JJS    08/29/77       LPF 
  
 SC46084     ADD REPRIEVE CODE TO CLEAR SET I/L BIT IN LABEL
             DETECT PF-S WITH BAD PFC HEADER AND SET RB CONFLICT FLAG 
             ABORT JOB IF RECOVER MODE 4 SPECIFIES HOST MF-S MFID 
             PROPER INCOMPLETE CYCLE PROCESSINGS
          CORRECT MULTIPRU PFC ENTRY SIZE 
          JJS    09/12/77          RECOVER
  
 NB00973  FIN MUST SET CURRENT RBT = FIRST WHEN ENTERING
          CONTROL STATEMENT FILE AT B-O-I POSITION. 
          DPK    09/20/77          FIN
  
 NB00507  RECOVER IN SCANPFD IS NOT GETTING MODE FROM COMMON BLOCK
          AND IT IS NOT CHECKING FOR HW I/L BEFORE UPDATING PFD/PFC 
          LRT    4/19/77           RECOVER
 NB0B367  THIS MOD CAUSES DSM TO ABORT A CONTROL POINT ATTEMPTING TO
          DSMOUNT A PUBLIC SET MEMBER. FORMERLY, DSM IGNORED SUCH A 
          REQUEST BUT SAID *DSMOUNT COMPLETE* IN THE DAYFILE. 
  
          RMD    08/19/77          DSM
  
 NB00297  PULLS OUT THE CODE FOR 7000 CHECKING IN 1IR.  IT WAS DECIDED
          THAT WE COULDNT DO IT PROPERLY, BESIDES INTERCOM AS WELL AS 
          OTHER WAYS OF SUBMITTING A JOB TO THE 7000 DIDNT DO ANYTHING. 
          NO LONGER ADDING SPECIAL LEVEL NUMBERS. 
          JLHW     7/15/77         1IR
  
EDL0066.  AVOID WRONG ERLIST WHEN LAST PROGRAM IS DELETED.
          ARW.   77/09/01.   EDITLIB. 
  
 NB00934  THIS MOD CAUSES DSM TO USE THE MST CHANNEL WHEN UPDATING THE
          MST.
  
          RMD    12/12/77          DSM
  
 NB00675  ADD REPRIEVE SUBROUTINE TO ENSURE SYSTEM BULLETIN FILE IS 
          ALWAYS RETURNED.
          EWB    10/24/77          SYSBULL
  
 EDLA051  EDITLIB MAXIMUM NUMBER OF FILES IS INCREASED FROM 30 TO 100.
          CJL    77/10/10    EDITLIB
  
 EDLA052  EDITLIB COMMENTS ARE MODIFIED TO REFLECT CURRENT PROCESSING 
          AND TO CORRECT MINOR ERRORS FOR *DOCK* OUTPUT.
          ARW    77/10/13    EDITLIB
  
 NB01006  MODIFY RECOVER TO NOTIFY INSTALLATION IF PROBLEM FILES ARE
          FOUND ON THEIR PUBLIC SETS. 
          LRT    9/15/77           RECOVER
  
 NB0B534  THIS MOD CAUSES LBL TO CLEAR S.DDRM IN THE DDT OF THE DEVICE
          TO BE LABELED WHEN A TYPE 02 LABEL IS TO BE WRITTEN. THIS MOD 
          IS NECESSARY TO AVOID HANGING LBL IN THE CASE WHERE A PACK
          TO BE LABELED WITH A TYPE 02 LABEL HAS AN EXISTING TYPE 03
          LABEL AND HAS NO 7154 CONTROLLER ACCESS.
  
          RMD    10/07/77          LBL
  
 NB00889  THIS MOD CORRECTS THE PROBLEM OF LBL BEING UNABLE TO LOCATE 
          THE SECOND RBR OF A MULTI-RBR DEVICE. IT ALSO CLEANS UP A 
          MESSAGE ISSUED BY LBL.
  
          RMD    08/02/77          LBL
  
 NB00900  LISTCID ONLY CHECKING THE FIRST WORD OF THE SECOND
          LINE BEFORE SENDING "DUPLICATE LINE" MESSAGE. THIS
          CODE WILL CHECK ALL FOUR WORDS. 
          RAW    10/21/77          LISTCID
  
 IN42138  INSURE LISTCID IS LOCKED-IN DURING EXECUTION
          TO PREVENT FILE ZZZZZDD FROM GETTING A NEW
          FNT ADDRESS.
          RAW    10/25/77          LISTCID
  
 NB0B577  THIS MOD CORRECTS A PROBLEM IN 1PC WHICH COULD RESULT IN A
          SYSTEM ABORT. 
  
          RMD    10/21/77          1PC
  
NB0B606   THE 1DD CALL OF 20B (DUMP LOW CORE AND RBT) USES
          T.ENTRY+1 FOR THE LWA OF THE LOW CORE DUMP.  IF 
          CALLED BY A SYSTEM THAT DOES NOT HAVE ECS CONFIGURED
          ONLY THE FIRST 100B CM WORDS GET DUMPED.  CHANGED 
          THE LWA OF THE LOW CORE DUMP TO THE LWA+1 OF T.SCHJDT.
          ALSO TURNED ON CODE FOR RBT DUMPS.
          RAW    11/03/77          1DD
  
 NB0B483  MODIFICATION TO LOADPF TO PRESERVE THE DEVICE TYPE, ALLOCATION
          STYLE, AND THE OVERFLOW BIT, IF THE FILE WAS REQUESTED BY 
          DEVICE TYPE. ON RELOAD THE OPERATOR WILL HAVE THE OPTION OF 
          SKIPPING THOSE FILES REQUESTING A NON-EXISTENT DT/AS WITHOUT
          OVERFLOW. 
          LRT    10/04/77          LOADPF 
  
 NB00307  MODIFY TRANSPF DISK FILE REQUEST MACRO TO SPECIFY OVERFLOW. 
          LRT    10/31/77          TRANSPF
  
 NB0B668  JOBS HANGING IN AUTO RECALL. 1PC SAVING ABSOLUTE FET ADDRESS, 
          USING TO SET FET COMPLETE AFTER CALLING MTR WHICH ALLOWS
          STORAGE MOVE TO OCCUR.
          LRT    11/17/77          1PC
  
 NB01004  THIS MOD PREVENTS 1PF FROM CLEARING AN APF ENTRY WHICH MAY BE 
          IN USE. 
  
          RMD    10/25/77          1PF
  
 NB0B620  THIS MOD CORRECTS BAD CODE IN 1PK.
  
          RMD    11/04/77          1PK
  
 NB0B597  THIS MOD CAUSES ADS TO IGNORE THE FT PARAMETER RATHER THAN
          ABORT THE USER. 
  
          RMD    10/28/77          ADS
  
 NB00919  ISSUE ERROR MESSAGE AND ABORT USER IF CONTROL STATEMENT 
          CONTAINS NO TERMINATOR. 
          EWB    11/04/77          SYSBULL
  
 NB01114  THIS MOD FIXES 2 CODING ERRORS IN HDS.
  
          RMD    11/11/77          HDS
  
 NB01022  IRCP DOES NOT CALCULATE CHECKSUMS CORRECTLY. SINCE THE CPU
          WILL NOT ALLOW NEGATIVE ZERO THE FIX WAS MADE IN LBL. 
          ANYTIME A NEGATIVE ZERO IS CALCULATED A POSITIVE ZERO IS
          SUBSTITUTED.
          DTK    11/04/77          COMPFLB
  
 NB01170  EPF SEARCHES ONLY SEVEN SMT ENTRIES.
          INCREASE NUMBER OF ENTRIES SEARCHED.
          GJM    12/07/77          EPF
  
 NB01120  THIS MOD FIXES A 1PF INTERLOCK PROBLEM. IT ALSO CAUSES 1PF
          TO CLEAR THE APF ENTRY FOR NON-SWAPPABLE JOBS. THIS SOLVES
          THE PROBLEM OF AN APF ENTRY REMAINING IN CM AFTER A DIS JOB 
          IS DROPPED WHILE IN THE PF QUEUE. 
  
          RMD    11/11/77          1PF
  
 *L464*    ************************************************************** 
 NB00601  REMOVE SPECIFIC TEST FOR FO=IS, AK, AND DA WHEN CHECKING
          FOR SAAM FILE.
          JXS    5/31/77           PFC, PFMESS
  
 FEAT184L *LDL* IS MODIFIED TO RETURN THE FNT ADDRESS OF THE CONTROL
          POINT ZERO COPIES OF *ZZZZZ03* AND *ZZZZZ04* ON A FUNCTION
          4142 CALL (PSEUDO-OPEN OF A SYSTEM LIBRARY).  THIS WILL 
          ENABLE LOADER TO SET UP THE FILE SPECIFICATION ENTRY FOR
          *FOL* TYPE (0,0) OVERLAYS LOADED FROM SYSTEM LIBRARIES. 
          CJL    77/05/03    LDL                           FEATURE
  
 FEAT184V *LDV* AND *LDW* ARE MODIFIED FOR FAST OVERLAY LOADING (FOL).
          IF THE OVERLAY BEING LOADED IS A MAIN (0,0) OVERLAY WITH A
          *FOL* DIRECTORY BUILT INTO THE 54-TABLE HEADER, THEN THE
          FILE SPECIFICATION AND RANDOM ADDRESS (OF THE (0,0) OVERLAY)
          ARE WRITTEN TO RA+106/107B. 
          OVERLAY LOADS FROM TAPE FILES ARE DECOMMITTED IN *LDV*/*LDW*. 
          CJL    77/04/06    LDV,LDW                       FEATURE
  
 F7830AB  ABS WILL DROP IF ERROR FLAG IS SET TO F.ERTI. 
          RKN    77/02/15          ABS
  
 F7830CN  CHANGE WAIT FOR FNT COMPLETE TO DROP OUT, IF THE
          REPRIEVE MASK IS SET, ONLY ON OPERATOR KILL.
          RKN    77/05/16          CON
  
 F7830AU  DELETE CODE FOR UNUSED FUNCTION CODE 130. 
          RKN    77/04/27          AUX
  
 F7830DM  DMP WILL DROP IF ERROR FLAG IS SET TO F.ERTI. 
          RKN    77/02/15          DMP
  
 F7830FI  CHANGE WAIT FOR FNT COMPLETE TO DROP OUT, IF THE
          REPRIEVE MASK IS SET, ONLY ON OPERATOR KILL.
          RKN    77/05/18          FIN
  
 F7830RC  UPGRADE PROGRAM LEVEL DOCUMENTATION OF *RECOVR*.
          RKN    77/04/25          RECOVR 
  
 F7100HD  HDS MOD FOR IMPLEMENTATION OF AUTOMATIC RECOVERY OF USER SETS.
  
          RMD    02/24/77          HDS
  
 F7100RE  RECOVER MOD FOR IMPLEMENTATION OF AUTOMATIC RECOVERY OF USER
          SETS. THIS MOD ALLOWS MODE 0 TO BE RUN FROM A USER CONTROL
          POINT DURING POST-DS. 
  
          RMD    04/05/77          RECOVER
  
 F7100AX  CODE IN OUX TO SET THE COMPLETE BIT IN THE PFC FNT
          JGS    77/03/05          AUX
  
 F7830DP  REMOVE OPTION OF DUMPING ABSOLUTE CM FROM *DMP*.
          RKN    77/09/01          DMP
  
 NB0B635  THIS MOD CAUSES CLEARING OF THE FET ADDRESS IN THE FNT
          TO AVOID POSSIBLE UPDATING OF THE FDB BY 1SI IF SWAPOUT OCCURS
  
          RMD    12/06/77          PFP, DECKALL 
  
 NB0B678  THIS MOD FIXES THE PROBLEM OF LABELMS CLOBBERING THE CM RBR 
          OF THE SYSTEM SET AT POST-DS. 
  
          RMD    12/01/77          LBL
  
F7541PB   PROHIBIT RERUN IN RST.
          BJE    8/77              RST
  
 NB00354  SUPPLY DETAILED RETURN CODES FOR FILE UNAVAILABLE DUE TO
          1) NO APF SPACE.
          2) PERMISSION CONFLICTS (NOT SECURITY VIOLATION). 
          3) FILE ARCHIVED. 
          ALSO PFA WILL NOT ABORT THE CONTROL POINT ON SECURITY 
          VIOLATIONS IF THE JOB IS A SYSTEM CONTROL POINT. THIS IS
          REQUIRED FOR CDCS SUPPORT.
          GJM    12/06/77          1PD,PFA,PFMESS 
  
 NB0B630  REMOVE TYPE 00 LABEL PROCESSING.
          THE FOLLOWING LIST SHOWS CORRECTION IDENTS USED AND 
          DECKS MODIFIED: 
  
          IDENT                    DECK MODIFIED
          NB0B630C                 COMPFLB
          NB0B630M                 MNT
          NB0B630A                 ADS
          NB0B630DA                DECKALL
          NB0B630NA                PFA
          NB0B630WA                1FC
          NB0B630C1                COMPFLB
          NB0B630L                 LBL
          NB0B630H                 COMSDSS
          NB0B630K                 LABELMS
          NB0B630G                 DLM
          NB0B630R                 RELABEL
          NB0B630PA                PFD
          NB0B630B                 AUX
          NB0B630S                 TAT
          NB0B630Q                 PFE
          NB0B630OA                PFC
          NB0B630V                 1PK
          NB0B630U                 1PC
          LRT,RMD,JXS        R4 
  
 F7100A   THE DEVICE SET PASSWORD FEATURE PERMITS EACH PRIVATE SET
          TO DEFINE UNIVERSAL PASSWORD(UV), UNIVERSAL PERMISSIONS(UP),
          PUBLIC PASSWORD(PB), AND DEFAULT FILE RETENTION PERIOD(FR)
          FOR ITS PERMANENT FILES. PASSWORDS ARE DEFINED WHEN 
          CREATING THE PRIVATE SET MASTER DEVICE USING
          ADDSET(      ... UV=  ,UP=  ,PB=  ,FR=  ).
  
          DEFINATION OF PERMANENT FILE DUM, ID=PUBLIC HAS BEEN CHANGED
          TO ALLOW THE OWNER COMPLETE CONTROL OVER PERMANENT FILES
          ON HIS PRIVATE SET.  TK=DUMPF IS NOT USED.  EX=PASSWORD4 IS 
          ADDED TO CONTROL LOADPF EXECUTION.  PW=PASSWORD4 MUST BE
          SPECIFIED ON LOADPF STATEMENTS. 
  
          KEYWORD CODES FOR PERMANENT FILE AND DEVICE SET PARAMETERS
          ARE DEFINED IN A SINGLE LIST IN COMDECK COMSDSS.
  
          DEVICE SET PASSWORD FEATURE DEPENDS ON THE FOLLOWING CODE:  
          NB00737A-G               ACCESS LEVEL CHECK FOR PF FUNCTIONS
          NB0B630                  REMOVE RECONFIGURATION CODE
  
          THE DEVICE SET PASSWORD FEATURE HAS THE FOLLOWING 
          CORRECTION IDENTS AND DECKS MODIFIED: 
  
          IDENT                    DECK MODIFIED
          F7100AAA                 ADS
          F7100AAB                 ADS
          F7100ABA                 PFA
          COMPFA                   COMPFA(NEW COMDECK)
          F7100ABC                 PFA
          F7100ABM                 PFMESS 
          F7100ACA                 PFC
          COMPFC                   COMPFC(NEW COMDECK)
          F7100ACC                 PFC
          F7100ADA                 DUMPF
          F7100ADB                 DUMPF
          F7100ADD                 DUMPF
          F7100AEA                 DECKALL
          F7100AEB                 DECKALL
          F7100AEC                 PFCELLS
          F7100AED                 PFCD03 
          F7100AEE                 PREAMB 
          F7100AEI                 INIT 
          F7100AFA                 1FC
          F7100AGA                 COMSDSS
          F7100AJA                 LBL
          F7100AKA                 LABELMS
          F7100ALA                 LOADPF 
          F7100AMA                 MNT
          F7100AOA                 PFCOM
          F7100APA                 PFCCP
          F7100APB                 PFCCP
          F7100APC                 PFCCP
          F7100ASA                 SETCCP 
          F7100ATA                 TRANSPF
          F7100AUA                 TABLES 
          F7100AVA                 AUX
          F7100AVC                 GPF
          F7100AVJ                 PFP
          F7100AVK                 PFR
          F7100AVL                 PFS
          F7100AVN                 SPF
          JXS    11/21/77 
  
 F7100AEN SAVE SPACE IN NB00834 CODE. 
          JXS     12/19/77         NEWAPF 
  
 *L470*    *************************************************************
 *L477*    **************************************************** 
 *L485*    *****************************************************
 *L498*    ************************************************ 
 *L505*    ************************************************ 
 *L508*    ************************************************ 
 *L518*    ************************************************ 
 *L528*    ************************************************ 
 *L538*    ************************************************ 
 *L552*    ************************************************ 
 *L564*    ************************************************ 
 *L577*    ************************************************ 
 *L587*    ************************************************ 
 *L601*    ************************************************ 
 *L617*    ************************************************ 
 *L628*    ************************************************ 
 *L642*    ************************************************ 
 *L650*    ************************************************ 
 *L670*    ************************************************ 
 *L688*    ************************************************ 
 *L716*    ************************************************ 
 *L739*    ************************************************ 
 *L780*    ************************************************ 
 *L797*    ************************************************ 
 *L803*    ************************************************ 
 *L826*    ************************************************ 
 *L840*    ************************************************ 
 *L847*    ************************************************ 
 *L851*    ************************************************ 
 *L859*    ************************************************ 
 *L871*    ************************************************ 
  
 FEAT133D1 DEVICE ERROR ON READING LABEL MAY SATURATE PP WITH 1PK 
           SW    02/18/76          1PK
SC45493A  DMP AND 1EJ USE ALL 18 BITS OF P REG STORED IN RA+0 WHEN
          DUMPING  P+- 100.   IF A MODE ERROR OCCURS WHEN A PROGRAM 
          FORCES AN ABORT WITH  JP  *+400000B,  P+- 100 WILL NOT BE 
          DUMPED.   THIS CODE CHANGES DMP TO CLEAR THE SIGN BIT AND 
          DUMP P+- 100  IN CASE IT IS VALID.
                        DMP 
  
